pag_table_new["widget_add_device"] = {
	onload: function()
	{
		footer_wizard_switch(8);
		header_wizard_switch();
		save_step(WS_WIZARD_STEP_ALARM_NEW);
		//
		if (SIL)
		{
			device_pair_auto_mode_flg = false;
			waiting_status = 0;
			//
			this.alaBus_activator(widget_add_device_mode_bus_flg);
		}
		//
		xml_menu_load_send
		(
			WS_DEV_STR
			, WS_DEV_ALARM_POW_STR
			+ "|" + WS_DEV_ALARM_GSM_STR
			+ "|" + WS_DEV_ALARM_WIFI_STR
			+ "|" + WS_DEV_ALARM_TERM_STR
			+ "|" + WS_DEV_ALARM_CEN_STR
			+ "|" + WS_DEV_ALARM_LCD_STR
			+ "|" + WS_DEV_ALARM_PSTN_STR
			+ "|" + WS_DEV_ALARM_RTC_STR
			+ "|" + WS_DEV_ALARM_BAT_STR
			+ "|" + WS_DEV_ALARM_CARRIER_STR
			+ "|" + WS_DEV_ALARM_CLOUD_STR
			+ "|" + WS_DEV_ALARM_TELEGEST_STR
			+ "|" + WS_DEV_ALARM_DASH_STR
			, "filter_not", "widget_add_device"
		);
		load_devices();
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						if (SIL)
						{
							var bus_present_flg = conf.find("subcategory:contains('" + WS_DEV_ALARM_BUS_STR + "')").length > 0;
							global_bus_present_flg = bus_present_flg;
							if ((bus_present_flg && !widget_add_device_mode_bus_flg) || (!bus_present_flg && widget_add_device_mode_bus_flg))
							{
								widget_add_device_mode_bus_flg = bus_present_flg;
								this.alaBus_activator(widget_add_device_mode_bus_flg);
							}
						}
						//
						if (conf.children("par").children().length <= 0)
							this.done_activator(false);
						else
							this.done_activator(true);
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "PNP")
		{
			if (indi.children("act").text() == "DETECTION")
			{
				if (indi.children("res").text() == "DETECTED")
				{
					indi.find("par item").each(function()
					{
						xml_tvcc = $(this);
						//
						here_context = $(".widget_add_device").parent();
						pag_change("HERE", "widget_mod_device_tvcc", "binding");
					});
				}
			}
		}
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_add_device",
	send_tvcc_flg: true,
	//
	done_activator: function(done)
	{
		if (done)
		{
			$("#done_widget_add_device_title").show();
			$("#done_widget_add_device").click(function()
			{
				here_context = $(".widget_add_device").parent();
				pag_change("HERE", "widget_add_other_devices");
			});
			$("#footer_d_b").click(function()
			{
				here_context = $(".widget_add_device").parent();
				pag_change("HERE", "widget_add_other_devices");
			}).parent().show();
		}
		else
		{
			$("#done_widget_add_device_title").hide();
			$("#done_widget_add_device, #footer_d_b").unbind("click");
			$("#footer_d_b").parent().hide();
		}
	},
	tvcc_activator: function(devices)
	{
		if (type_conn != null && type_conn != "NN" && this.count_tvcc(devices) < TVCC_QTY)
		{
			var widget_obj = this;
			//
			$("#ipcamera").addClass("highlight");
			//
			$("#ipcamera").off("click").click(function()
			{
				if (widget_obj.send_tvcc_flg)
				{
					xml_request = xml_request_head_build("PNP");
					xml_par = $(XML("act")); xml_par.text("NEW_TVCC"); xml_request.append(xml_par);
					xml_send(xml_request);
					//
					widget_obj.send_tvcc_flg = false;
				}
			});
		}
	},
	wireless_activator: function()
	{
		$("#add_device_wireless").addClass("highlight");
		//
		$("#add_device_wireless").off("click").click(function()
		{
			here_context = $(".widget_add_device").parent();
			pag_change("HERE", "widget_device_wireless");
		});
	},
	alaBus_activator: function(bus_present_flg)
	{
		var widget_obj = this;
		//
		if (bus_present_flg)
		{
			$("#alaBus").off("click").click(function()
			{
				device_pair_auto_mode_flg = true;
				//
				here_context = $("." + widget_obj.name).parent();
				pag_change("HERE", "widget_device_bus_pair");
			}).show().addClass("highlight").siblings().addClass("tertium");
		}
		else
		{
			$("#add_device_wireless .itemwrap").html("{LANG_WIZARD_ADD_DEVICE_WIRELESS_R}");
			$("#alaBus").off("click").hide().removeClass("highlight").siblings().removeClass("tertium");
		}
	},
	count_tvcc: function(items)
	{
		return items.filter(function()
		{
			if 
			(
				$(this).children("subcategory").text() == WS_DEV_ALARM_TVCC_STR 
				|| $(this).children("subcategory").text() == WS_DEV_ALARM_SEN_PHOTOPIR_STR
				|| $(this).children("subcategory").text() == WS_DEV_ALARM_SEN_PHOTOPIR_OUTDOOR_STR
			) return true;
			else return false;
		}).length;
	}
};