pag_table_new["widget_add_installer"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(13, this);
		save_step(WS_WIZARD_STEP_INST);
		//
		//
		$("#newpin_installer").on("on_pw_ok", function()
		{
			$(this).val("");
		});
		//
		xml_menu_load_send("USER", "INST", null, "widget_add_installer");
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_USER_STR)
					{
						$(".footer_container_btn_inside").trigger("inst_saved");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					if (conf.children("page").text() == WS_USER_STR)
					{
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_PWD_EXIST}", "ok", "#newpin_installer");
					}
				}
			}
			else if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_USER_STR)
					{
						var widget_obj = this;
						//
						this.item_user = conf.find("par item");
						this.name_inst = conf.find("par item name").text();
						global_item_init(".widget_add_installer", "name", "input", "name", this, this.item_user, null, null);
						global_item_init(".widget_add_installer", "pass", "input", null, null, null, "", conf.find("par item code").attr("maxlength"));
						$("#pin_installer").text(conf.find("par item code").text());
						$("#newpin_installer").on("check_input_inst", function()
						{
							if (($.trim($("#newpin_installer").val())).length == 0 || $.trim($("#newpin_installer").val()) == $("#pin_installer").text())
							{
								widget_obj.change_pin = false;
							}
							else
							{
								widget_obj.change_pin = true;
							}
							widget_obj.send_save_user();
						});
						$("#name_installer").change(function()
						{
							widget_obj.change_name = true;
						});
						$("#footer_d_b").parent().show();
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_add_installer",
	item_user: null,
	change_pin: false,
	change_name: false,
	name_inst: null,
	//
	save_user: function()
	{
		if (this.change_name)
			this.item_user.children("name").text($("#name_installer").val());
		if (this.change_pin) 
			this.item_user.children("code").text($("#newpin_installer").val());
	},
	send_save_user: function()
	{
		$("#name_installer").css("background-color", "");
		$("#newpin_installer").css("background-color", "");
		//
		if (this.name_inst != $("#name_installer").val())
			this.change_name = true;
		//
		if (this.change_pin)
		{
			if (this.name_newpin_check())
			{
				this.save_user();
				xml_request = xml_request_head_build("MENU", "widget_add_installer");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text("USER"); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.append(this.item_user); xml_request.append(xml_par);
				xml_send(xml_request);
			}
		}
		else if (this.change_name)
		{
			if (this.name_pin_check())
			{
				this.save_user();
				xml_request = xml_request_head_build("MENU", "widget_add_installer");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text("USER"); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.append(this.item_user); xml_request.append(xml_par);
				xml_send(xml_request);
			}
		}
		else
		{
			if (this.name_pin_check())
			{
				$(".footer_container_btn_inside").trigger("inst_already_saved");
			}
		}
	},
	name_newpin_check: function()
	{
		var res_name = false;
		var nameTag = this.item_user.find("name");
		var maxlengthNAME = Number(nameTag.attr("maxlength"));
		var minlengthNAME = Number(nameTag.attr("minlength"));
		if 
		(
			$.trim($("#name_installer").val()).length < maxlengthNAME
			&& $.trim($("#name_installer").val()).length > minlengthNAME
		)
			res_name = true;
		//
		var pinTag = this.item_user.find("code");
		var maxlengthPIN = Number(pinTag.attr("maxlength"));
		var minlengthPIN = Number(pinTag.attr("minlength"));
		//
		var nopinstrs = [];
		for (var i = 0; i < maxlengthPIN - minlengthPIN + 1; i++)
		{
			nopinstrs.push("");
			for (var j = 0; j < minlengthPIN + i; j++)
				nopinstrs[i] += "0";
		}
		//
		var res_newpin = true;
		if ($.trim($("#newpin_installer").val()).length > maxlengthPIN)
			res_newpin = false;
		if ($.trim($("#newpin_installer").val()).length < minlengthPIN)
			res_newpin = false;
		if (!($.isNumeric($.trim($("#newpin_installer").val()))))
			res_newpin = false;
		for (var i = 0; i < nopinstrs.length; i++)			
			if ($.trim($("#newpin_installer").val()) == nopinstrs[i])
				res_newpin = false;
		//
		if (!res_name)
		{
			$("#name_installer").css("background-color", "rgba(255,0,0,0.2)");
		}
		if (!res_newpin)
		{
			$("#newpin_installer").css("background-color", "rgba(255,0,0,0.2)");
		}
		return (res_name && res_newpin);
	},
	name_pin_check: function()
	{
		var res_name = false;
		var nameTag = this.item_user.find("name");
		var maxlengthNAME = Number(nameTag.attr("maxlength"));
		var minlengthNAME = Number(nameTag.attr("minlength"));
		if 
		(
			$.trim($("#name_installer").val()).length < maxlengthNAME
			&& $.trim($("#name_installer").val()).length > minlengthNAME
		)
			res_name = true;
		//
		var pinTag = this.item_user.find("code");
		var maxlengthPIN = Number(pinTag.attr("maxlength"));
		var minlengthPIN = Number(pinTag.attr("minlength"));
		//
		var nopinstrs = [];
		for (var i = 0; i < maxlengthPIN - minlengthPIN + 1; i++)
		{
			nopinstrs.push("");
			for (var j = 0; j < minlengthPIN + i; j++)
				nopinstrs[i] += "0";
		}
		//
		var res_pin = true;
		if ($.trim($("#pin_installer").text()).length > maxlengthPIN)
			res_pin = false;
		if ($.trim($("#pin_installer").text()).length < minlengthPIN)
			res_pin = false;
		if (!($.isNumeric($.trim($("#pin_installer").text()))))
			res_pin = false;
		for (var i = 0; i < nopinstrs.length; i++)
			if ($.trim($("#pin_installer").text()) == nopinstrs[i])
				res_pin = false;
		//
		if (!res_name)
		{
			$("#name_installer").css("background-color", "rgba(255,0,0,0.2)");
		}
		if (!res_pin)
		{
			$("#newpin_installer").css("background-color", "rgba(255,0,0,0.2)");
		}
		return (res_name && res_pin);
	}
};