pag_table_new["widget_add_other_users"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(16, this);
		save_step(WS_WIZARD_STEP_USER_MOD);
		//
		xml_menu_load_send(WS_USER_STR, "USER|POWERUSER|INST", null, "widget_add_other_users");
		//
		if (role_str == "USER")
		{
			$("#add_other_users_btn").css("color", "rgba(255,255,255,0.4)");
		}
		else
		{
			$("#add_other_users_btn").click(function()
			{
				here_context = $(".widget_add_other_users").parent();
				pag_change("HERE", "widget_add_user");
			});
		}
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_USER_STR)
					{
						conf.children("par").children("item")
						.filter(function(index)
						{
							xml_user_tbl[index] = $(this);
							//
							if (role_str == "USER")
								if ($(this).children("code").text() == u_p)
									return true;
								else
									return false;
							else
								return true;
						})
						.each(function(index)
						{//sistema poco efficiente v.add_other_devices
							var item_gui = $("#addOU_item_tmpl").clone();
							item_gui
								.removeAttr("id")
								.attr("class", "add_other_users_item btt user s_shift");
							//
							item_gui.attr("data-id", $(this).children("id").text());
							item_gui.children(".number").text(index+1);
							item_gui.children(".name").text($(this).children("name").text());
							item_gui.attr("data-role", $(this).children("role").text());
							if ($(this).children("role").text() == "POWERUSER")
								item_gui.children(".name").append(" ("+"{LANG_WIZARD_ADD_POWER_USER_LOGIN}"+")");
							else if ($(this).children("role").text() == "INST")
								item_gui.children(".name").append(" ("+"{LANG_WIZARD_ADD_INSTALLER_LOGIN}"+")");
							//
							item_gui.appendTo(".add_other_users_container");
							item_gui.show();
						});
						//
						var total_user_h = 0;
						$(".add_other_users_item.user").each(function()
						{
							total_user_h += $(this).outerHeight(true);
						});
						if (total_user_h < $(".add_other_users_container").height())
							$(".add_other_users_item.user:last").addClass("btb");
						else
							$(".add_other_users_item.user:last").removeClass("btb");
						//
						$(".widget_add_other_users .eye_binder").click(function()
						{
							if ($(this).parent().attr("data-role") === "INST")
							{
								here_context = $(".widget_add_other_users").parent();
								pag_change("HERE", "widget_mod_inst");
							}
							else
							{
								here_context = $(".widget_add_other_users").parent();
								pag_change("HERE", "widget_mod_user", $(this).parent().index()-1);
							}
						});
						//
						$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".add_other_users_container.s_container");
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_add_other_users"
};