pag_table_new["widget_mod_device_bus_dt"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(9, this);
		xml_any = this.xml_any;
		//
		//title
		$("#container_bus_dt .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_bus_dt", "name", "input", "name", this);
		//room
		item_room("#container_bus_dt");
		//
		global_load_areas("#container_bus_dt .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		picker("#container_bus_dt");
		//integration
		item_integration("#container_bus_dt");
		//
		item_pulse("#container_bus_dt");
		//
		global_picker_init("#container_bus_dt", "mode_delay_sec", "delay", this);
		//tempo di interdizione
//		item_inter("#container_bus_dt");
		//sir_mode
		item_sir_mode("#container_bus_dt");
		//led allarme
		global_toggle_tick_binder("#container_bus_dt .led", "led");
		//anti removal protection
		item_protection("#container_bus_dt");
		//temperature compensation
		item_temp_comp("#container_bus_dt");
		//sensibility
		item_sensibility("#container_bus_dt");
		//chime
		global_toggle_tick_binder("#container_bus_dt .chime", "chime", null, null, DIY ? "disabled" : null);
		//antimask
		global_toggle_tick_binder("#container_bus_dt .antimask", "antimask", null, null, DIY ? "disabled" : null);
		//dispositivo associato
		item_and_function_dev_wrapper("#container_bus_dt");
		//area and
		item_area_and_wrapper("#container_bus_dt");
		//delay between device matched
		global_picker_init("#container_bus_dt", "mode_match_sec", "mode_match_sec_item", this);
		//allarme doppia rilevazione
//		global_toggle_tick_binder("#container_bus_dt .double_ala", "and");
		//
		item_sensibility_mw("#container_bus_dt");
		//
		item_integration_mw("#container_bus_dt");
		//
		//tvcc
		item_tvcc("#container_bus_dt", this);
		//
		item_tvcc_delay_initial("#container_bus_dt", this);
		//
		item_fw_ver("#container_bus_dt");
		//
		item_delete("#container_bus_dt", this);
		//
//		DIY_mode(this.name);
		//
		//
		global_item_tag_ter("#container_bus_dt");
		global_subtitle_header("#container_bus_dt", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_bus_dt",
	xml_any: xml_any_tbl[any_ind],
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	trovata_tvvc: false,
	attivata_tvcc: false,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_bus_dt", this);
		//save_room
		xml_any.find("room").text(id_room_selected);
		//
		xml_any.children("sir_mode").text($("#container_bus_dt .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//integration
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_bus_dt", "pir_a_time_integration", "integration");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_bus_dt", "pir_b_time_integration", "integration");
		//regolazione contaimpulsi
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_bus_dt", "pir_a_count_impulses", "pulse");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_bus_dt", "pir_b_count_impulses", "pulse");
		//ritardo allarme
		save_item_picker("#container_bus_dt", "mode_delay_sec", "delay");
		//
//		if (xml_any.children("pir_a_present").text() == "1")
//			save_item_picker("#container_bus_dt", "pir_a_block_tx", "inter");
//		if (xml_any.children("pir_b_present").text() == "1")
//			save_item_picker("#container_bus_dt", "pir_b_block_tx", "inter");
		//
//		xml_any.children("sir_mode").text($("#container_bus_dt .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
		save_item_toggled("#container_bus_dt", "led");
		save_item_toggled("#container_bus_dt", "reed_tamper", "protect");
		//temperature compensation
		if (xml_any.children("pir_a_present").text() == "1")
			xml_any.children("pir_a_temperature").text($("#container_bus_dt .temp_comp").attr("data-checked"));
		if (xml_any.children("pir_b_present").text() == "1")
			xml_any.children("pir_b_temperature").text($("#container_bus_dt .temp_comp").attr("data-checked"));
		//sensibility
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_bus_dt", "pir_a_sensibility", "sensibility");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_bus_dt", "pir_b_sensibility", "sensibility");
		//
		save_item_toggled("#container_bus_dt", "chime");
		//antimask
		save_item_toggled("#container_bus_dt", "antimask");
		//mode save
		save_item_mode("#container_bus_dt");
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		//
		save_item_picker("#container_bus_dt", "mode_match_sec", "mode_match_sec_item");
		//
		save_item_toggled("#container_bus_dt", "area_or", "area_and");
		// allarme per doppia rilevazione (and)
//		save_item_toggled("#container_bus_dt", "and", "double_ala");
		//
		save_item_picker("#container_bus_dt", "mw_sensibility", "sensibility_mw");
		//
		save_item_picker("#container_bus_dt", "mw_time", "integration_mw");
		//
		save_item_tvcc("#container_bus_dt", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_bus_dt", this);
		//
		var area_str = "";
		area_str += ($("#container_bus_dt .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_bus_dt .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_bus_dt .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_bus_dt .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_bus_dt .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_bus_dt .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
	}
};