pag_table_new["widget_mod_device_bus_relay"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(9, this);
		xml_any = this.xml_any;
		this.init_new_dev_list_oc();
		this.init_new_dev_list_sen();
		this.init_remote_list();
		//
		//title
		$("#container_bus_relay .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_bus_relay", "name", "input", "name", this);
		//room
		item_room("#container_bus_relay");
		//
		global_load_areas("#container_bus_relay .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		picker("#container_bus_relay");
//		//
		item_mode_alarm("#container_bus_relay", this);
//		//
		item_timing("#container_bus_relay", this);
//		//
		item_abilitation("#container_bus_relay", this);
//		//
		item_trigger_relay("#container_bus_relay", this);
//		//
		item_real_relay("#container_bus_relay", this);
		//
		item_fw_ver("#container_bus_relay");
		//
		item_delete("#container_bus_relay", this);
		//
		//
		global_item_tag_ter("#container_bus_relay");
		global_subtitle_header("#container_bus_relay", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						if (this.mode != "2")
							this.delete_relay_from_rem();
						//
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						this.delete_relay_from_rem();
						//
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (indi.children("res").text() == "ERROR")
				{
					alert(indi.children("res").text()+": "+indi.children("desc").text());
				}
			}
		}
	},
	onclose: function()
	{
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_bus_relay",
	xml_any: xml_any_tbl[any_ind],
	xml_any_arr: [],
	xml_sen_oc_tbl: [],
	xml_sen_tbl: [],
	mode_domo_sen_a_id: xml_any_tbl[any_ind].children("mode_domo_sen_a_id").text(),
	mode_domo_sen_b_id: xml_any_tbl[any_ind].children("mode_domo_sen_b_id").text(),
	mode_domo_sen_c_id: xml_any_tbl[any_ind].children("mode_domo_sen_c_id").text(),
	mode: xml_any_tbl[any_ind].children("mode").text(),
	mode_repeat_eve: xml_any_tbl[any_ind].children("mode_repeat_eve").text(),
	mode_repeat_par: xml_any_tbl[any_ind].children("mode_repeat_par").text(),
	cfg_relay_cfm_exe_ext: xml_any_tbl[any_ind].children("cfg_rele_cfm_exe_ext").text(),
	cfg_relay_mode: xml_any_tbl[any_ind].children("cfg_rele_mode").text(),
	mode_domo_mono_sec: xml_any_tbl[any_ind].children("mode_domo_mono_sec").text(),
	mode_domo_blind_sec: xml_any_tbl[any_ind].children("mode_domo_blind_sec").text(),
	mode_domo_sen_trigger_id: xml_any_tbl[any_ind].children("mode_domo_sen_trigger_id").text(),
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_bus_relay", this);
		//
		xml_any.find("room").text(id_room_selected);
		//
		xml_any.find("mode").text(this.mode);
		xml_any.find("mode_repeat_eve").text(this.mode_repeat_eve);
		xml_any.find("mode_repeat_par").text(this.mode_repeat_par);
		xml_any.find("cfg_rele_mode").text(this.cfg_relay_mode);
		xml_any.find("mode_domo_mono_sec").text(this.mode_domo_mono_sec);
		xml_any.find("mode_domo_blind_sec").text(this.mode_domo_blind_sec);
		xml_any.find("mode_domo_sen_trigger_id").text(this.mode_domo_sen_trigger_id);
		//
		xml_any.find("mode_domo_sen_a_id").text(this.mode_domo_sen_a_id);
		xml_any.find("mode_domo_sen_b_id").text(this.mode_domo_sen_b_id);
		xml_any.find("mode_domo_sen_c_id").text(this.mode_domo_sen_c_id);
		//
		xml_any.find("cfg_rele_cfm_exe_ext").text(this.cfg_relay_cfm_exe_ext);
		//
		var area_str = "";
		area_str += ($("#container_bus_relay .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_bus_relay .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_bus_relay .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_bus_relay .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_bus_relay .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_bus_relay .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
	},
	init_new_dev_list_oc: function()
	{
		var j = 0;
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			var subcategory = xml_any_tbl[i].children("subcategory").text();
			if 
			(
				(
					subcategory == WS_DEV_ALARM_SEN_MAG_STR 
					&& check_son_ena(xml_any_tbl[i].children("ord").text(), subcategory, xml_any_tbl[i]) 
					&& xml_any_tbl[i].children("alarm_mode").text() == "2"
					&& this.match_areas(xml_any_tbl[i], this.xml_any)
				)
				||
				(
					subcategory == WS_DEV_ALARM_SEN_MIC_STR
					&& check_son_ena(xml_any_tbl[i].children("ord").text(), subcategory, xml_any_tbl[i])
					&& xml_any_tbl[i].children("alarm_mode").text() == "2"
					&& this.match_areas(xml_any_tbl[i], this.xml_any)
				)
				||
				(
					subcategory == WS_DEV_ALARM_SENUNI_STR
					&& check_son_ena(xml_any_tbl[i].children("ord").text(), subcategory, xml_any_tbl[i])
					&& xml_any_tbl[i].children("alarm_mode").text() == "2"
					&& this.match_areas(xml_any_tbl[i], this.xml_any)
				)
				||
				(
					subcategory == WS_DEV_ALARM_WIRED_STR
					&& xml_any_tbl[i].children("wire_type").text() === "1" //ingressi
					&& check_son_ena(xml_any_tbl[i].children("ord").text(), subcategory, xml_any_tbl[i])
					&& xml_any_tbl[i].children("cfg_wire_in_alarm_mode").text() == "2"
					&& this.match_areas(xml_any_tbl[i], this.xml_any)
				)
			)
				this.xml_sen_oc_tbl[j++] = xml_any_tbl[i];
		}
	},
	init_new_dev_list_sen: function()
	{
		var j = 0;
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			var subcategory = xml_any_tbl[i].children("subcategory").text();
			if 
			(
				(
					(
						subcategory == WS_DEV_ALARM_SEN_MAG_STR
						|| subcategory == WS_DEV_ALARM_SEN_PIR_STR
						|| subcategory == WS_DEV_ALARM_SEN_DT_STR
						|| subcategory == WS_DEV_ALARM_SEN_SMO_STR
						|| subcategory == WS_DEV_ALARM_SEN_FLO_STR
						|| subcategory == WS_DEV_ALARM_SEN_MIC_STR
						||
						(
							subcategory == WS_DEV_ALARM_SENUNI_STR
							&& xml_any_tbl[i].children("ord").text() != "0"
						)
						|| subcategory == WS_DEV_ALARM_SEN_PHOTOPIR_STR
						||
						(
							subcategory == WS_DEV_ALARM_WIRED_STR
							&& xml_any_tbl[i].children("wire_type").text() === "1" //ingressi
						)
						|| subcategory == WS_DEV_ALARM_BUS_SENIR_STR
						|| subcategory == WS_DEV_ALARM_BUS_SENDT_STR
						|| subcategory == WS_DEV_ALARM_BUS_SMALLPIR_STR
						|| subcategory == WS_DEV_ALARM_BUS_WINDOWPIR_STR
						|| subcategory == WS_DEV_ALARM_BUS_TRANSPONDER_STR
						||
						(
							(
								subcategory == WS_DEV_ALARM_BUS_SENSORI_STR
								|| subcategory == WS_DEV_ALARM_BUS_CONC_RF_STR
							)
							&& 
							(
								xml_any_tbl[i].children("ord").text() == "0"
								|| xml_any_tbl[i].children("child_valid").text() == "1"
							)
						)
						||
						(
							(
								subcategory == WS_DEV_ALARM_BUS_CONC_STR
								|| subcategory == WS_DEV_ALARM_BUS_INPUT_STR
							)
							&& Number(xml_any_tbl[i].children("ord").text()) > 0
							&& xml_any_tbl[i].children("child_valid").text() == "1"
						)
					)
					&& check_son_ena(xml_any_tbl[i].children("ord").text(), subcategory, xml_any_tbl[i])
					&& this.match_areas(xml_any_tbl[i], this.xml_any)
				)
			)
				this.xml_sen_tbl[j++] = xml_any_tbl[i];
		}
	},
	init_remote_list: function() /*inizializza la lista dei rem collegati al relay*/
	{
		var widget_obj = this;
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			if (xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_REM_STR)
			{
				xml_any_tbl[i].find("keys key")
				.filter(function()
				{
					if ($(this).children("type").text() == "DOMO")
						return true;
					else
						return false;
				})
				.each(function()
				{
					if ($(this).children("par").text() == widget_obj.xml_any.children("id").text())
					{
						widget_obj.xml_any_arr.push(xml_any_tbl[i]);
						return false;
					}
				});
			}
		}
	},
	delete_relay_from_rem: function()
	{
		var all_areas_selected_str = "";
		var widget_obj = this;
		if (this.xml_any_arr.length > 0)
		{
			area_list.children("item").each(function()
			{
				all_areas_selected_str += $(this).children("id").text();
			});
		}
		//
		for (var i = 0; i < this.xml_any_arr.length; i++)
		{
			this.xml_any_arr[i].find("keys key").each(function()
			{
				if ($(this).children("type").text() == "DOMO")
				{
					if ($(this).children("par").text() == widget_obj.xml_any.children("id").text())
					{
						$(this).children("type").text("VOID");
						$(this).children("par").text(all_areas_selected_str);
					}
				}
			});
		}
		//
		if (this.xml_any_arr.length > 0)
		{
			global_send_dev_mod_save(this, false, false);
		}
	},
	match_areas: function(trama1, trama2)
	{
		var tr1_areas = trama1.children("area_alarm").text();
		var tr2_areas = trama2.children("area_alarm").text();
		//
		for (var i = 0; i < tr1_areas.length; i++)
		{
			if (tr1_areas.charAt(i) != "-" && tr1_areas.charAt(i) == tr2_areas.charAt(i))
				return true;
		}
		//
		return false;
	}
};