pag_table_new["widget_mod_device_bus_transponder"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//title
		$("#container_bus_transponder .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_bus_transponder", "name", "input", "name", this);
		//room
		item_room("#container_bus_transponder");
		//
		global_load_areas("#container_bus_transponder .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//reed
//		item_reed_mode("#container_bus_transponder", null, this);
		//
		picker("#container_bus_transponder");
		//
		global_picker_init("#container_bus_transponder", "mode_delay_sec", "delay", this);
		//tempo di interdizione
//		item_inter("#container_bus_transponder");
		//sir_mode
		item_sir_mode("#container_bus_transponder");
		//configurazione di ingresso
//		item_phy_mode("#container_bus_transponder", this);
		//pulse
//		global_picker_init("#container_bus_transponder", "pulse_n", "impulse", this, this.phy_mode != this.NC_CONTAIMPULSI && this.phy_mode != this.NC_BILANCIATO_CONTAIMPULSI ? "disabled" : null);
		//dispositivo associato
		item_and_function_dev_wrapper("#container_bus_transponder");
		//area and
		item_area_and_wrapper("#container_bus_transponder");
		//delay between device matched
		global_picker_init("#container_bus_transponder", "mode_match_sec", "mode_match_sec_item", this);
		//tvcc
		item_tvcc("#container_bus_transponder", this);
		//
		item_tvcc_delay_initial("#container_bus_transponder", this);
		//chime
		global_toggle_tick_binder("#container_bus_transponder .chime", "chime", null, null, DIY ? "unavailable" : null);
		//
		item_fw_ver("#container_bus_transponder");
		//
		item_delete("#container_bus_transponder", this);
		//
		global_item_tag_ter("#container_bus_transponder");
		global_subtitle_header("#container_bus_transponder", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_bus_transponder",
	xml_any: xml_any_tbl[any_ind],
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
//	trovata_tvvc: false,
//	attivata_tvcc: false,
//	force_to_open: false,
	phy_mode: xml_any_tbl[any_ind].children("phy_mode").text(),
//	associative_phy_mode: ["NONE" ,"{LANG_NCLOSED}", "{LANG_NOPENED}", "{LANG_ICOUNT}", "{LANG_BALANCED}", "{LANG_DBALANCED}", "{LANG_IBALANCED}"],
//	NC_BILANCIATO: SENMAG_NC_BILANCIATO,
//	NC_DOPPIO_BILANCIAMENTO: SENMAG_NC_DOPPIO_BILANCIAMENTO,
//	NC_BILANCIATO_CONTAIMPULSI: SENMAG_NC_BILANCIATO_CONTAIMPULSI,
//	NC: SENMAG_NC,
//	NO: SENMAG_NO,
//	NC_CONTAIMPULSI: SENMAG_NC_CONTAIMPULSI,
//	N_DISABLED: SENMAG_N_DISABLED,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_bus_transponder", this);
		//
		xml_any.find("room").text(id_room_selected);
		//
		var area_str_son = "";
		area_str_son += ($("#container_bus_transponder .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str_son += ($("#container_bus_transponder .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str_son += ($("#container_bus_transponder .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str_son += ($("#container_bus_transponder .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str_son += ($("#container_bus_transponder .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str_son += ($("#container_bus_transponder .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str_son == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str_son);
		//
//		if (this.force_to_open)
//			xml_any.children("alarm_mode").text("1");
//		else if ($("#container_bus_transponder .reed .roc[data-checked='1']").hasClass("open"))
//			xml_any.children("alarm_mode").text("1");
//		else if ($("#container_bus_transponder .reed .roc[data-checked='1']").hasClass("open_close"))
//			xml_any.children("alarm_mode").text("2");
		//
		save_item_picker("#container_bus_transponder", "mode_delay_sec", "delay");
//		save_item_picker("#container_bus_transponder", "block_tx", "inter");
		//
		xml_any.children("sir_mode").text($("#container_bus_transponder .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//	
//		this.xml_any.children("phy_mode").text(this.phy_mode);
		//
//		save_item_picker("#container_bus_transponder", "pulse_n", "impulse");
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		//
		save_item_picker("#container_bus_transponder", "mode_match_sec", "mode_match_sec_item");
		//
		save_item_mode("#container_bus_transponder");
		//
		save_item_tvcc("#container_bus_transponder", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_bus_transponder", this);
		//
		save_item_toggled("#container_bus_transponder", "chime");
	}
};