pag_table_new["widget_mod_device_dualpir_lr"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(9, this);
		xml_any = this.xml_any;
		//
		//title
		$("#container_dualpir_lr .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_dualpir_lr", "name", "input", "name", this);
		//room
		item_room("#container_dualpir_lr");
		//
		global_load_areas("#container_dualpir_lr .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		picker("#container_dualpir_lr");
		//integration
		item_integration("#container_dualpir_lr");
		//
		item_pulse("#container_dualpir_lr");
		//
		global_picker_init("#container_dualpir_lr", "mode_delay_sec", "delay", this);
		//tempo di interdizione
		item_inter("#container_dualpir_lr");
		//
		global_toggle_tick_binder_warn("#container_dualpir_lr .reed_tamper_o", "reed_tamper", "2", null, "on_ballot_x", "{LANG_EN50131}", "disabled");
		global_toggle_tick_binder_warn("#container_dualpir_lr .reed_tamper_r", "reed_tamper", "1", null, "on_ballot_x", "{LANG_EN50131}", null);
		if (xml_any.children("reed_tamper").text() === "3")
		{
			$("#container_dualpir_lr .reed_tamper_o").attr("data-checked", "2");
			$("#container_dualpir_lr .reed_tamper_o").css("background", "url({TMPL_DIR}res/"+($("#container_dualpir_lr .reed_tamper_o").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
			$("#container_dualpir_lr .reed_tamper_r").attr("data-checked", "1");
			$("#container_dualpir_lr .reed_tamper_r").css("background", "url({TMPL_DIR}res/"+($("#container_dualpir_lr .reed_tamper_r").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
		}
		//sir_mode
		item_sir_mode("#container_dualpir_lr");
		//led allarme
		global_toggle_tick_binder("#container_dualpir_lr .led", "led");
		//anti removal protection
		item_protection("#container_dualpir_lr");
		//temperature compensation
		item_temp_comp("#container_dualpir_lr");
		//sensibility
		item_sensibility("#container_dualpir_lr");
		//chime
		global_toggle_tick_binder("#container_dualpir_lr .chime", "chime", null, null, DIY ? "disabled" : null);
		//antimask
		global_toggle_tick_binder("#container_dualpir_lr .antimask", "antimask", null, null, DIY ? "disabled" : null);
		//dispositivo associato
		item_and_function_dev_wrapper("#container_dualpir_lr");
		//area and
		item_area_and_wrapper("#container_dualpir_lr");
		//delay between device matched
		global_picker_init("#container_dualpir_lr", "mode_match_sec", "mode_match_sec_item", this);
		//allarme doppia rilevazione
		global_toggle_tick_binder("#container_dualpir_lr .double_ala", "and");
		//tvcc
		item_tvcc("#container_dualpir_lr", this);
		//
		item_tvcc_delay_initial("#container_dualpir_lr", this);
		//
		item_fw_ver("#container_dualpir_lr");
		//
		item_delete("#container_dualpir_lr", this);
		//
		//
		global_item_tag_ter("#container_dualpir_lr");
		global_subtitle_header("#container_dualpir_lr", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_dualpir_lr",
	xml_any: xml_any_tbl[any_ind],
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	trovata_tvvc: false,
	attivata_tvcc: false,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_dualpir_lr", this);
		//save_room
		xml_any.find("room").text(id_room_selected);
		//integration
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_a_time_integration", "integration_a");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_b_time_integration", "integration_b");
		//regolazione contaimpulsi
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_a_count_impulses", "pulse_a");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_b_count_impulses", "pulse_b");
		//ritardo allarme
		save_item_picker("#container_dualpir_lr", "mode_delay_sec", "delay");
		//
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_a_block_tx", "inter");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_b_block_tx", "inter");
		//
		xml_any.children("sir_mode").text($("#container_dualpir_lr .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
		save_item_toggled("#container_dualpir_lr", "led");
		//
		if ($("#container_dualpir_lr .reed .roc[data-checked='1']").hasClass("open"))
			xml_any.children("alarm_mode").text("1");
		else if ($("#container_dualpir_lr .reed .roc[data-checked='1']").hasClass("open_close"))
			xml_any.children("alarm_mode").text("2");
		//temperature compensation
		if (xml_any.children("pir_a_present").text() == "1")
			xml_any.children("pir_a_temperature").text($("#container_dualpir_lr .temp_comp").attr("data-checked"));
		if (xml_any.children("pir_b_present").text() == "1")
			xml_any.children("pir_b_temperature").text($("#container_dualpir_lr .temp_comp").attr("data-checked"));
		//sensibility
		if (xml_any.children("pir_a_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_a_sensibility", "sensibility_a");
		if (xml_any.children("pir_b_present").text() == "1")
			save_item_picker("#container_dualpir_lr", "pir_b_sensibility", "sensibility_b");
		//
		save_item_toggled("#container_dualpir_lr", "chime");
		//antimask
		save_item_toggled("#container_dualpir_lr", "antimask");
		//mode save
		save_item_mode("#container_dualpir_lr");
		//
		if ($("#container_dualpir_lr .reed_tamper_o").attr("data-checked") === "2" && $("#container_dualpir_lr .reed_tamper_r").attr("data-checked") === "1")
		{
			xml_any.children("reed_tamper").text("3");
		}
		else if ($("#container_dualpir_lr .reed_tamper_o").attr("data-checked") === "2")
		{
			xml_any.children("reed_tamper").text("2");
		}
		else if ($("#container_dualpir_lr .reed_tamper_r").attr("data-checked") === "1")
		{
			xml_any.children("reed_tamper").text("1");
		}
		else
		{
			xml_any.children("reed_tamper").text("0");
		}
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		//
		save_item_picker("#container_dualpir_lr", "mode_match_sec", "mode_match_sec_item");
		//
		save_item_toggled("#container_dualpir_lr", "area_or", "area_and");
		// allarme per doppia rilevazione (and)
		save_item_toggled("#container_dualpir_lr", "and", "double_ala");
		//
		save_item_tvcc("#container_dualpir_lr", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_dualpir_lr", this);
		//
		var area_str = "";
		area_str += ($("#container_dualpir_lr .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_dualpir_lr .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_dualpir_lr .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_dualpir_lr .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_dualpir_lr .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_dualpir_lr .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
	}
};