pag_table_new["widget_mod_device_gsm"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_mod_device_gsm .s_container", 60, null, 0).parent().show();
		//
		picker("#container_gsm");
		//
		$("#container_gsm .nndb_title").text(xml_any.children("name").text());
		global_item_init("#container_gsm", "name", "input", "name", this);
		global_item_init("#container_gsm", "pin", "input", "gsm_pin", this);
		$("#container_gsm .serial").text(xml_any.children("sn").text());
		$("#container_gsm .ope").text(xml_any.children("gsm_ope").text());
		global_picker_init("#container_gsm", "sim_expire", "simexp", this);
		global_item_init("#container_gsm", "credit", "input", "gsm_cre_sms", this);
		global_item_init("#container_gsm", "prov", "input", "gsm_cre_telnum", this);
		global_item_init("#container_gsm", "apn", "input", "gprs_apn", this);
		$("#container_gsm .ip").val(xml_any.children("gprs_ip_adr").text());
		global_item_init("#container_gsm", "user", "input", "gprs_user", this);
		global_item_init("#container_gsm", "pwd", "input", "gprs_pwd", this);
		global_picker_init("#container_gsm", "gsm_vol_msg", "gsm_vol_msg", this);
		//
		//
		var g4_discriminator_fleg = false;
		if (this.xml_any.children("hw_type").length > 0)
			if (this.xml_any.children("hw_type").text() == "3")
				g4_discriminator_fleg = true;
		//
		global_toggle_tick_binder("#container_gsm .data_ena_flg", "data_ena_flg", null, null, g4_discriminator_fleg ? null : "unavailable");
		global_toggle_tick_binder("#container_gsm .data_sms_only_flg", "data_sms_only_flg", null, null, g4_discriminator_fleg ? null : "unavailable");
		$("#container_gsm .data_ena_flg").on("toggle_tick_click", function()
		{
			if ($("#container_gsm .data_sms_only_flg").hasClass("unavailable"))
				return false;
			//
			if ($(this).attr("data-checked") == "0")
			{
				$("#container_gsm .data_sms_only_flg")
				.attr("data-checked", "0")
				.attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat 94% center;")
				.trigger("change_toggle_state", ["disabled"]);
			}
			else
				$("#container_gsm .data_sms_only_flg").trigger("change_toggle_state", ["enabled"]);
		}).trigger("toggle_tick_click");
		//
		//
		item_fw_ver("#container_gsm");
		//
		item_delete("#container_gsm", this);
		//
		global_item_tag_ter("#container_gsm");
		global_subtitle_header("#container_gsm", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						refresh_set_email_from_gsm_dev = true;
						//
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_gsm",
	xml_any: xml_any_tbl[any_ind],
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_gsm", this);
		save_item_picker("#container_gsm", "sim_expire", "simexp");
		$("#container_gsm .pin").global_save_item_val({trama_ptr: this.xml_any.children("gsm_pin"), position: 0, check_func: this.pure_number_check_fourdig, extra: this.xml_any.children("gsm_pin").attr("maxlength")+","+this.xml_any.children("gsm_pin").attr("minlength")});
		$("#container_gsm .credit").global_save_item_val({trama_ptr: this.xml_any.children("gsm_cre_sms"), position: 0});
		$("#container_gsm .prov").global_save_item_val({trama_ptr: this.xml_any.children("gsm_cre_telnum"), position: 0, check_func: this.phone_number_check, extra: this.xml_any.children("gsm_cre_telnum").attr("maxlength")+","+this.xml_any.children("gsm_cre_telnum").attr("minlength")});
		$("#container_gsm .apn").global_save_item_val({trama_ptr: this.xml_any.children("gprs_apn"), position: $("#container_gsm .pwd").closest(".entire").index()});
		$("#container_gsm .ip").global_save_item_val({trama_ptr: this.xml_any.children("gprs_ip_adr"), position: 1, check_func: this.check_address});
		$("#container_gsm .user").global_save_item_val({trama_ptr: this.xml_any.children("gprs_user"), position: $("#container_gsm .pwd").closest(".entire").index()});
		$("#container_gsm .pwd").global_save_item_val({trama_ptr: this.xml_any.children("gprs_pwd"), position: $("#container_gsm .pwd").closest(".entire").index()});
		save_item_picker("#container_gsm", "gsm_vol_msg", "gsm_vol_msg");
		save_item_toggled2("#container_gsm", "data_ena_flg", null, this, null, ["unavailable"], null);
		save_item_toggled2("#container_gsm", "data_sms_only_flg", null, this, null, ["unavailable"], null);
	},
	phone_number_check: function(minmax)
	{
		var maxlength = minmax.split(",")[0];
		var minlength = minmax.split(",")[1];
		//
		var value_str = "";
		value_str += $.trim($(this).val());
		value_str = value_str.replaceAll("*", "0");
		value_str = value_str.replaceAll("+", "0");
		value_str = value_str.replaceAll("#", "0");
		//
		return (!isNaN(value_str) && value_str.length <= maxlength && value_str.length >= minlength) || value_str == "";
	},
	check_address: function()
	{
		var val_array = $(this).val().split(".");
		if (val_array.length != 4)
		{
			return false;
		}
		else
		{
			for (var i = 0; i < val_array.length; i++)
			{
				if (isNaN(val_array[i]))
					return false;
				else if (val_array[i] < 0 || val_array[i] > 255 || val_array[i] == "")
					return false;
			}
		}
		return true;
	},
	pure_number_check: function()
	{
		var value_str = "";
		value_str += $(this).val();
		//
		return !isNaN(value_str);
	},
	pure_number_check_fourdig: function(minmax)
	{
		var maxlength = minmax.split(",")[0];
		var minlength = minmax.split(",")[1];
		//
		var value_str = "";
		value_str += $(this).val();
		if (value_str.length < maxlength && value_str.length > minlength || value_str.length > maxlength)
			return false;
		//
		return !isNaN(value_str);
	}
};