pag_table_new["widget_mod_device_mic"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//title
		$("#container_mic .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_mic", "name", "input", "name", this);
		//room
		item_room("#container_mic");
		//
		global_load_areas("#container_mic .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		picker("#container_mic");
		//
		item_sensibility("#container_mic");
		//
		global_picker_init("#container_mic", "mode_delay_sec", "delay", this);
		//
		item_sir_mode("#container_mic");
		//
		item_protection("#container_mic");
		//
		global_toggle_tick_binder("#container_mic .led", "led");
		//dispositivo associato
		item_and_function_dev_wrapper("#container_mic");
		//area and
		item_area_and_wrapper("#container_mic");
		//delay between device matched
		global_picker_init("#container_mic", "mode_match_sec", "mode_match_sec_item", this);
		//father ena sons
		var am_son1 = "2";
		if (this.son1.children("alarm_mode").text() != "0")
			am_son1 = this.son1.children("alarm_mode").text();
		global_toggle_tick_binder("#container_mic .ena_son1", "alarm_mode", am_son1, this.son1);
		//tvcc
		item_tvcc("#container_mic", this);
		//
		item_tvcc_delay_initial("#container_mic", this);
		//
		item_fw_ver("#container_mic");
		//
		item_delete("#container_mic", this);
		//
		//
		global_item_tag_ter("#container_mic");
		global_subtitle_header("#container_mic", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_mic",
	xml_any: xml_any_tbl[any_ind],
	son1: xml_any_tbl[any_ind].children("has_children").text() == "1" ? xml_any_tbl[any_ind-1+2] : null,
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	trovata_tvvc: false,
	attivata_tvcc: false,
	//
	par_save: function()
	{
		ena_save = true;
		save_item_name("#container_mic", this);
		//save_room
		xml_any.find("room").text(id_room_selected);
		this.son1.find("room").text(id_room_selected);
		//
		save_item_picker("#container_mic", "sensibility", "sensibility");
		//
		save_item_picker("#container_mic", "mode_delay_sec", "delay");
		//
		xml_any.children("sir_mode").text($("#container_mic .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		this.son1.children("sir_mode").text($("#container_mic .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
		save_item_toggled("#container_mic", "reed_tamper", "protect");
		//
		save_item_toggled("#container_mic", "led");
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		this.son1.children("mode_match_id").text(and_function_dev);
		//
		save_item_mode("#container_mic");
		save_item_mode("#container_mic", this.son1);
		//
		save_item_picker("#container_mic", "mode_match_sec", "mode_match_sec_item");
		save_item_picker("#container_mic", "mode_match_sec", "mode_match_sec_item", this.son1);
		//
		var area_str = "";
		area_str += ($("#container_mic .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_mic .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_mic .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_mic .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_mic .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_mic .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
		//
		save_item_toggled("#container_mic", "alarm_mode", "ena_son1", this.son1);
		//
		save_item_tvcc("#container_mic", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_mic", this);
	}
};