pag_table_new["widget_mod_device_pstn"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//
		picker("#container_pstn");
		//title
		$("#container_pstn .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_pstn", "name", "input", "name", this);
		//
		$("#container_pstn .region .sl_selector").html(xml_file_configuration.children("regions").children("region[id='"+xml_any.children("country").text()+"']").attr("desc"));
		$("#container_pstn .region").click(function()
		{
			pag_change(".JSdialog", "widget_region_diag");
		});
		//
		global_toggle_tick_binder_warn("#container_pstn .force", "force_flg", null, null, null, "{LANG_EN50131}");
		//
		global_toggle_tick_binder("#container_pstn .switchboard_ena", "pabx_ena_flg");
		$("#container_pstn .switchboard_ena").on("toggle_tick_click", function()
		{
			if ($(this).attr("data-checked") == "0")
				$("#container_pstn .switchboard").parent().addClass("invisible");
			else if ($(this).attr("data-checked") == "1")
				$("#container_pstn .switchboard").parent().removeClass("invisible");
		}).trigger("toggle_tick_click");
		//
		$("#container_pstn .switchboard").val(xml_any.children("pabx_val").text());
		//
		global_picker_init("#container_pstn", "ring_answ_cnt", null, this);
		//
		item_delete("#container_pstn", this);
		//
		//
		global_item_tag_ter("#container_pstn");
		global_subtitle_header("#container_pstn", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (indi.children("res").text() == "ERROR")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						alert(indi.children("res").text()+": "+indi.children("desc").text());
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_pstn",
	xml_any: xml_any_tbl[any_ind],
	local_region_pstn: xml_any_tbl[any_ind].children("country").text(),
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_pstn", this);
		//
		xml_any.children("country").text(this.local_region_pstn);
		//
		save_item_toggled("#container_pstn", "force_flg", "force");
		//
		save_item_toggled("#container_pstn", "pabx_ena_flg", "switchboard_ena");
		//
		save_item_picker("#container_pstn", "ring_answ_cnt", "ring_answ_cnt");
		//
		$("#container_pstn .switchboard").global_save_item_val({trama_ptr: this.xml_any.children("pabx_val"), position: 0, check_func: this.check_switchboard});
	},
	check_switchboard: function()
	{
		if ($.trim($("#container_pstn .switchboard").val()).length == 1 && $.isNumeric($.trim($("#container_pstn .switchboard").val())))
			return true;
		else
			return false;
	}
};