pag_table_new["widget_mod_device_repeater"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//
		$("#container_repeater .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_repeater", "name", "input", "name", this);
		//room
		item_room("#container_repeater");
		//
		global_load_areas("#container_repeater .area_container_trins", "area_alarm", null, "disabled");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		//repeater devices
		var trovato = false;
		this.devList.children("dev").each(function()
		{
			if ($(this).attr("selected") == 1)
			{
				$("#container_repeater .dev_list .sl_selector").html("{LANG_ITEM_AT_LEAST_ONE}");
				trovato = true;
				return false;
			}
		});
		if (!trovato)
			$("#container_repeater .dev_list .sl_selector").html("{LANG_ITEM_NONE}");
		global_apply_diag("#container_repeater", "dev_list", "{LANG_REPEATER_DEVICE_LIST_STR}", "repeaterDeviceList", null, "widget_mod_device_repeater", null);
		//
		//
		global_toggle_tick_binder_warn("#container_repeater .reed_tamper_o", "reed_tamper", "2", null, "on_ballot_x", "{LANG_EN50131}", "disabled");
		global_toggle_tick_binder_warn("#container_repeater .reed_tamper_r", "reed_tamper", "1", null, "on_ballot_x", "{LANG_EN50131}", DIY ? "disabled" : null);
		if (xml_any.children("reed_tamper").text() === "3")
		{
			$("#container_repeater .reed_tamper_o").attr("data-checked", "2");
			$("#container_repeater .reed_tamper_o").css("background", "url({TMPL_DIR}res/"+($("#container_repeater .reed_tamper_o").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
			$("#container_repeater .reed_tamper_r").attr("data-checked", "1");
			$("#container_repeater .reed_tamper_r").css("background", "url({TMPL_DIR}res/"+($("#container_repeater .reed_tamper_r").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
		}
		//led allarme
		global_toggle_tick_binder("#container_repeater .led", "led");
		//
		item_repeater_startstop("#container_repeater", this);
		//
		item_fw_ver("#container_repeater");
		//
		item_delete("#container_repeater", this);
		//
		//
		picker("#container_repeater");
		global_item_tag_ter("#container_repeater");
		global_subtitle_header("#container_repeater", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
		else if (indi.attr("type") == "STATE")
		{
			var child_state_str = indi.children("State").text();
			//
			if (child_state_str == WS_DEV_ALARM_REPEATER_PAIR_ON_STR)
			{
				if (this.allow_start)
				{
					clearTimeout(this.t_out_start);
					//
					$("#container_repeater #start_stop .item_tag")
						.html("{LANG_REPEATER_PROG_STOP_STR}")
						.parent().switchClass("disabled", "stop")
						.siblings(".dot").switchClass("starting", "started");
					//
					this.allow_start = false;
				}
			}
			else if (child_state_str == WS_DEV_ALARM_REPEATER_PAIR_OFF_STR)
			{
				if (this.allow_stop)
				{
					clearTimeout(this.t_out_stop);
					//
					$("#container_repeater #start_stop .item_tag")
						.html("{LANG_REPEATER_PROG_START_STR}")
						.parent().switchClass("disabled", "start")
						.siblings(".dot").switchClass("starting", "stopped");
					//
					this.allow_stop = false;
				}
			}
		} 
	},
	onclose: function()
	{
		this.pair_stop("no_response");
		//
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_repeater",
	xml_any: xml_any_tbl[any_ind],
	devList: xml_any_tbl[any_ind].children("dev_list"),
	devListSave: xml_any_tbl[any_ind].children("dev_list").clone(),
	//
	t_out_start: null,
	t_out_start: null,
	allow_start: false,
	allow_stop: false,
	//
	par_save: function()
	{
		ena_save = true;
		//
		this.xml_any.find("room").text(id_room_selected);
		//
		save_item_name("#container_repeater", this);
		//
		if ($("#container_repeater .reed_tamper_o").attr("data-checked") === "2" && $("#container_repeater .reed_tamper_r").attr("data-checked") === "1")
		{
			this.xml_any.children("reed_tamper").text("3");
		}
		else if ($("#container_repeater .reed_tamper_o").attr("data-checked") === "2")
		{
			this.xml_any.children("reed_tamper").text("2");
		}
		else if ($("#container_repeater .reed_tamper_r").attr("data-checked") === "1")
		{
			this.xml_any.children("reed_tamper").text("1");
		}
		else
		{
			this.xml_any.children("reed_tamper").text("0");
		}
		//
		save_item_toggled("#container_repeater", "led");
		//
		xml_any_tbl[any_ind].children("dev_list").html(this.devListSave.children());
		//
		var area_str = "";
		area_str += ($("#container_repeater .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_repeater .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_repeater .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_repeater .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_repeater .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_repeater .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		this.xml_any.find("area_alarm").text(area_str);
	},
	pair_start: function()
	{
		xml_request = xml_request_head_build("MENU", "widget_mod_device_repeater");
		xml_par = $(XML("act")); xml_par.text("PROGRAM"); xml_request.append(xml_par);
		xml_par = $(XML("page")); xml_par.text(WS_DEV_STR); xml_request.append(xml_par);
		xml_par = $(XML("par"));
		xml_node = $(XML("item")); xml_node.attr("id", "1"); xml_par.append(xml_node); xml_request.append(xml_par);
		xml_node2 = $(XML("id")); xml_node2.text(this.xml_any.children("id").text()); xml_node.append(xml_node2);
		xml_node2 = $(XML("act")); xml_node2.text("entry"); xml_node.append(xml_node2);
		xml_send(xml_request);
	},
	pair_stop: function(response_flg)
	{
		xml_request = xml_request_head_build("MENU", response_flg == "no_response" ? null : "widget_mod_device_repeater");
		xml_par = $(XML("act")); xml_par.text("PROGRAM"); xml_request.append(xml_par);
		xml_par = $(XML("page")); xml_par.text(WS_DEV_STR); xml_request.append(xml_par);
		xml_par = $(XML("par"));
		xml_node = $(XML("item")); xml_node.attr("id", "1"); xml_par.append(xml_node); xml_request.append(xml_par);
		xml_node2 = $(XML("id")); xml_node2.text(this.xml_any.children("id").text()); xml_node.append(xml_node2);
		xml_node2 = $(XML("act")); xml_node2.text("exit"); xml_node.append(xml_node2);
		xml_send(xml_request);
	}
};