pag_table_new["widget_mod_device_tvcc"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(this.binding ? 32 : 9, this);
		//
		//title
		$("#container_tvcc .nndb_title").text(this.xml_any.children("name").text()+(this.binding ? " "+this.xml_any.children("prg").text() : ""));
		//name
		$("#container_tvcc .name").val(this.xml_any.children("name").text()+(this.binding ? " "+this.xml_any.children("prg").text() : ""));
		//room
		item_room("#container_tvcc");
		//
		picker("#container_tvcc");
		//
		global_item_init("#container_tvcc", "tvcc_mac", "input", "sn", this);
		//
		global_item_init("#container_tvcc", "tvcc_port", "input", "port", this);
		//
		global_item_init("#container_tvcc", "tvcc_address", "input", "url", this);
		//
		global_item_init("#container_tvcc", "user", "input", "user", this);
		//
		global_item_init("#container_tvcc", "pass", "input", "pwd", this);
		//
		item_frame("#container_tvcc", this);
		//
		if (!this.binding)
			item_visual("#container_tvcc", this, this.xml_any.children("tag").text());
		//
		item_photo("#container_tvcc", this);
		//
		item_fw_ver("#container_tvcc");
		//
		if (this.binding)
			$("#container_tvcc .delete").empty();
		else
			item_delete("#container_tvcc", this);
		//
		//
		global_item_tag_ter("#container_tvcc");
		global_subtitle_header("#container_tvcc", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
		else if (conf.attr("type") == "DEVICE_CMD")
		{
			clearTimeout(this.t_out_visual);
			this.t_out_visual = setTimeout(function()
			{
				$("#container_tvcc .visual .info").html("");
				$("#container_tvcc .visual").removeAttr("style");
				$("#container_tvcc #get_frame").removeClass("disabled");
			}, 10*1000);
			if (conf.children("Image").text() != "")
				$("#container_tvcc .visual .info").html("");
			$("#container_tvcc .visual").attr("style", "background-image: url(data:image/jpg;base64,"+conf.children("Image").text()+");");
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
		else if (indi.attr("type") == "PNP")
		{
			if (indi.children("act").text() == "STORE")
			{
				if (indi.children("res").text() == "STORED")
				{
					$(".footer_container_btn_inside").trigger("bound");
				}
				else if (indi.children("res").text() == "ABORTED")
				{
					//
				}
				else if (indi.children("res").text() == "ERROR")
				{				
					//
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_tvcc",
	xml_any: $(".widget_mod_device_tvcc").attr("data-context") == "binding" ? xml_tvcc : xml_any_tbl[any_ind],
	binding: $(".widget_mod_device_tvcc").attr("data-context") == "binding",
	uansciot_fleg: true,
	t_out_visual: null,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_tvcc", this);
		//save_room
		this.xml_any.find("room").text(id_room_selected);
		//
		$("#container_tvcc .tvcc_mac").global_save_item_val({trama_ptr: this.xml_any.children("sn"), position: 1, check_func: this.mac_check});
		//
		$("#container_tvcc .tvcc_port").global_save_item_val({trama_ptr: this.xml_any.children("port"), position: 1, check_func: this.port_check});
		//
		save_item_global("#container_tvcc", "tvcc_address", "input", "url", this);
		//
		save_item_global("#container_tvcc", "user", "input", "user", this);
		//
		save_item_global("#container_tvcc", "pass", "input", "pwd", this);
		//
		save_item_picker("#container_tvcc", "snapshot_frame_cnt", "frame");
		//
		save_item_picker("#container_tvcc", "snapshot_delay_sec", "photo");
	},
	par_send: function()
	{
		this.par_save();
		//
		xml_request = xml_request_head_build("PNP", "widget_mod_device_tvcc");
		xml_par = $(XML("act")); xml_par.text("STORE"); xml_request.append(xml_par);
		xml_par = $(XML("par")); xml_request.append(xml_par);
		xml_par.append(this.xml_any);
		if (ena_save) xml_send(xml_request);
	},
	port_check: function()
	{
		var value_str = "";
		value_str += $(this).val();
		if (isNaN(value_str))
			return false;
		if (value_str >= 1 && value_str <= 65535)
			return true;
		else
			return false;
	},
	mac_check: function()
	{
		var value_str = "";
		value_str += $(this).val();
		$(this).val($(this).val().toUpperCase());
		if (value_str.search(/[a-f0-9]{12}/i) == -1)
			return false;
		else
			return true;
	}
};