pag_table_new["widget_mod_device_wired"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		this.init_wired_i_tbl();
		this.init_wired_o_tbl();
		this.init_wired_k_tbl();
		//
		//title
		$("#container_wired .nndb_title").text(this.xml_any.children("name").text());
		//name
		$("#container_wired .name").val(this.xml_any.children("name").text());
		//
		for (var i = 0; i < this.xml_wired_i_tbl.length; i++)
		{
			var label = "{LANG_DISABLED}";
			if (this.xml_wired_i_tbl[i].children("cfg_wire_in_mode").text() != "6")
				label = this.xml_wired_i_tbl[i].children("name").text();
			$("#container_wired .wired_input:eq("+i+") .sl_selector").html(label);
			global_apply_diag("#container_wired", "wired_input:eq("+i+")", "{LANG_WIZARD_WIRED_IN} "+(i+1), "wired", i, "widget_mod_device_wired");
		}
		for (var i = 0; i < this.xml_wired_o_tbl.length; i++)
		{
			var label = "{LANG_DISABLED}";
			if (this.xml_wired_o_tbl[i].children("wire_out_mode").text() != "0")
				label = this.xml_wired_o_tbl[i].children("name").text();
			$("#container_wired .wired_output:eq("+i+") .sl_selector").html(label);
			global_apply_diag("#container_wired", "wired_output:eq("+i+")", "{LANG_WIZARD_WIRED_OUT} "+(i+1), "wired", i, "widget_mod_device_wired");
		}
		for (var i = 0; i < this.xml_wired_k_tbl.length; i++)
		{
			var label = "{LANG_DISABLED}";
			if (this.xml_wired_k_tbl[i].children("wire_key_mode").text() != "0")
				label = this.xml_wired_k_tbl[i].children("name").text();
			$("#container_wired .wired_key:eq("+i+") .sl_selector").html(label);
			global_apply_diag("#container_wired", "wired_key:eq("+i+")", "{LANG_WIZARD_WIRED_KEY} "+(i+1), "wired", i, "widget_mod_device_wired");
		}
		//
		item_fw_ver("#container_wired");
		//
		item_delete("#container_wired", this);
//rtyu(this.xml_any.html());
//for (var i = 0; i < this.xml_wired_i_tbl.length; i++)
//	rtyu(this.xml_wired_i_tbl[i].html(), true);
//for (var i = 0; i < this.xml_wired_o_tbl.length; i++)
//	rtyu(this.xml_wired_o_tbl[i].html(), true);
		//
		//
		global_item_tag_ter("#container_wired");
		global_subtitle_header("#container_wired", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_AREA_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert("_EO_1" + conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert("_EO_2" + conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert("_EO_3" + conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_wired",
	xml_any: xml_any_tbl[any_ind],
	xml_wired_i_tbl: [],
	xml_wired_o_tbl: [],
	xml_wired_k_tbl: [],
	xml_any_arr: [],
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_wired", this);
		//
		this.xml_any_arr = this.xml_wired_i_tbl.concat(this.xml_wired_o_tbl.concat(this.xml_wired_k_tbl));
	},
	init_wired_i_tbl: function()
	{
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			if (xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_WIRED_STR)
				if (xml_any_tbl[i].children("wire_type").text() == "1")
					this.xml_wired_i_tbl.push(xml_any_tbl[i]);
		}
	},
	init_wired_o_tbl: function()
	{
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			if (xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_WIRED_STR)
				if (xml_any_tbl[i].children("wire_type").text() == "5")
					this.xml_wired_o_tbl.push(xml_any_tbl[i]);
		}
	},
	init_wired_k_tbl: function()
	{
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			if (xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_WIRED_STR)
				if (xml_any_tbl[i].children("wire_type").text() == "3")
					this.xml_wired_k_tbl.push(xml_any_tbl[i]);
		}
	}
};