pag_table_new["widget_region"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(23, this);
		save_step(WS_WIZARD_STEP_REGION);
		//
		//
		var region_button_id = [];
		var region_button_desc = [];
		xml_file_configuration.children("regions").children("region").each(function(index)
		{
			region_button_desc[index] = $(this).attr("desc");
			region_button_id[index] = $(this).attr("id");
		});
		this.item_button_sort(region_button_desc, region_button_id);
		for (var i = 0; i < region_button_desc.length; i++)
		{
			$("#region_button_container").append("<div class=\"region_button item btt\" id=\""+region_button_id[i]+"\">"+region_button_desc[i]+"</div>");
		}
		//init filter
		var filter_char = [];
		for (var i = 0; i < region_button_desc.length; i++)
		{
			filter_char[i] = region_button_desc[i].charAt(0).toUpperCase();
		}
		filter_char.sort();
		var len = filter_char.length;
		for (var i = 1; i < len; i++) 
		{
	        if (filter_char[i-1] == filter_char[i]) 
	        {
	        	filter_char.splice(i--, 1);
	        	len = filter_char.length;
	        }
	    }
		for (var i = 0; i < filter_char.length; i++)
		{
			$("#region_filter_char_container").append("<div class=\"character\" name=\""+filter_char[i]+"\">"+filter_char[i]+"</div>");
		}
		//
		$("#region_filter_container .character").hide();
		$("#region_filter_container .character:first").show();
		//
		if (region_button_desc.length > MAX_REGION_ITEMS_PER_PAGE)
		{
			$(".footer_wizard").s_scroller_new("#region_button_container");
			//
			$("#region_button_container").on("scroller_extra", function()
			{
				$("#region_filter_container .character:visible").hide();
				var index = Math.round($(this).scrollTop()/$(this).children().outerHeight(true));
				var fl = $(this).children().eq(index).text().charAt(0).toUpperCase();
				$("#region_filter_container .character[name='"+fl+"']").show();
			});
		}
		else
		{
			$(".widget_region .region_button:last-child").addClass("btb");
			$("#region_filter_container").children().hide();
			$("#region_filter_container")
				.css("background-color", "rgba(0,0,0,0)")
				.css("border-top-color", "rgba(255,255,255,0)");
		}
		//
		if (region_selection_new == "0")
		{
			$(".region_button.item[id='"+region+"']")
				.attr("data-checked", "1")
				.attr("style", "background:url({TMPL_DIR}res/tick_y.png) no-repeat 70% center;")
				.css("color", "white");
			//
			var item_index = $("#region_button_container .region_button.item[data-checked='1']").index();
			if (region_button_desc.length > MAX_REGION_ITEMS_PER_PAGE)
				$(".footer_wizard").shift_item_new(item_index, 0, $(".region_button.item").outerHeight(true));
			else
				$(".widget_region .region_button:last-child").addClass("btb");
			//
			$("#footer_d_b").parent().show();
		}
		else
		{
			$(".region_button.item[id='"+region+"']")
				.attr("data-checked", "1")
				.css("color", "white");
			var item_index = $("#region_button_container .region_button.item[data-checked='1']").index();
			if (region_button_desc.length > MAX_REGION_ITEMS_PER_PAGE)
				$(".footer_wizard").shift_item_new(item_index, 0, $(".region_button.item").outerHeight(true));
			else
				$(".widget_region .region_button:last-child").addClass("btb");
		}
		//
		$("#region_arrow_left").click(function()
		{
			if (!$("#region_filter_container .character:visible").is(":first-child"))
			{
				$("#region_filter_container .character:visible").hide().prev().show();
				var item_index = $("#region_button_container .region_button.item").filter(function()
				{
					if ($(this).html().charAt(0).toUpperCase() == $("#region_filter_container .character:visible").attr("name"))
					{
						return true;
					}
				}).first().index();
				//
				$(".footer_wizard").shift_item_new(item_index, 0, $(".region_button.item").outerHeight(true));
			}
		});
		$("#region_arrow_right").click(function()
		{
			if (!$("#region_filter_container .character:visible").is(":last-child"))
			{
				$("#region_filter_container .character:visible").hide().next().show();
				var item_index = $("#region_button_container .region_button.item").filter(function()
				{
					if ($(this).html().charAt(0).toUpperCase() == $("#region_filter_container .character:visible").attr("name"))
					{
						return true;
					}
				}).first().index();
				//
				$(".footer_wizard").shift_item_new(item_index, 0, $(".region_button.item").outerHeight(true));
			}
		});
		//
		$(".region_button.item").click(function()
		{
			$(".region_button.item")
				.attr("data-checked", "0")
				.removeAttr("style")
				.css("color", "rgba(255,255,255,0.5)");
			$(this)
				.attr("data-checked", "1")
				.attr("style", "background:url({TMPL_DIR}res/tick_y.png) no-repeat 70% center;")
				.css("color", "rgba(255,255,255,1)");
			//
			if ($(".widget_region .region_button.item").length < MAX_REGION_ITEMS_PER_PAGE)
			{
				$(".widget_region .region_button.item:last-child").addClass("btb");
			}
			//
			$("#footer_d_b").parent().show();
		});
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.find("act").text() == "SAVE")
			{
				if (conf.find("res").text() == "SAVED")
				{
					if (conf.find("page").text() == "SET")
					{
						cen_set_xml.children("region").text(this.local_region);
						cen_set_xml.children("new_region").text("0");
						//
						region = this.local_region;
						region_selection_new = "0";
						$(".footer_container_btn_inside").trigger("region_saved");
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_region",
	local_region: "",
	//
	save_region: function()
	{
		this.local_region = $(".region_button.item[data-checked='1']").attr("id");
		//
		xml_request = xml_request_head_build("MENU", "widget_region");
		xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);		
		xml_par = $(XML("page")); xml_par.text("SET"); xml_request.append(xml_par);		
		xml_par = $(XML("par")); xml_request.append(xml_par);		
		xml_item = $(XML("region")); xml_item.text(this.local_region); xml_par.append(xml_item);		
		xml_send(xml_request);
	},
	item_button_sort: function(ib_desc, ib_id)
	{
		var temp = 0;
		var j = ib_desc.length-1;
		while (j > 0) 
		{
			for (var i = 0; i < j; i++) 
			{
				if (ib_desc[i].toLowerCase() > ib_desc[i+1].toLowerCase())
				{
					temp = ib_desc[i];
					ib_desc[i] = ib_desc[i+1];
					ib_desc[i+1] = temp;
					//
					temp = ib_id[i];
					ib_id[i] = ib_id[i+1];
					ib_id[i+1] = temp;
				}
			}
			j--;
		}
	}
};