pag_table_new["widget_scheduler"] = {
	onload: function()
	{
		pag_clear(".home .JSdialog");
		page_act("#scheduler-page");
		schema_act("#scheduler-page", "quadrant_abcd");
		var widget_obj = this;
		//
		$(".widget_scheduler .comand_container .command .cmd.add").remove();
		//
		footer_act("#footer-home-page");
		//
		footer_menu_switcher(3);
		//
		if (h24)
			$(".widget_scheduler .scheduler_container").removeClass("h24")
		else
			$(".widget_scheduler .scheduler_container").addClass("h24");
		//
		$(".widget_scheduler .day").click(function()
		{
			$(this).siblings().addClass("c_smtW");
			$(this).removeClass("c_smtW");
			//
			if ($(this).attr("id") == "bt_Week")
				$(".widget_scheduler .scheduler_container .day_container.ena").show();
			else
				$(".widget_scheduler .scheduler_container .day_container.ena").hide().filter("[id$='c_"+$(this).attr("id").cutBefore("bt_")+"']").show();
			//
			var sceneNums = $(".day_container.ena .task:visible").length;
			$(".widget_scheduler .comand_container .command").off("s_scroller_new").s_scroller_new(".widget_scheduler .scheduler_container", sceneNums*60-300, 0, null, 60);
			//
			scheduler_filter = $(this).attr("id");
			scheduler_list_scroller_px = -1;
			widget_obj.set_scroll();
		});
		//
		this.load_sceneries();
		this.load_dash_list();
	},
	onrecv_confirmation: function(conf)
	{
		var widget_obj = this;
		//
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("page").text() == "DASH")
			{
				if (conf.children("act").text() == "LOAD")
				{
					if (conf.children("res").text() == "LOADED")
					{
						$(".widget_scheduler .scheduler_container .day_container").removeClass("ena").children(".box").siblings().remove();
						this.scheduler = [];
						//
						var present_daystamp;
						this.scheduler_xml = conf.find("par");
						conf.find("par item scene").each(function()
						{
							present_daystamp = $(this).attr("daystamp_local_cur");
							widget_obj.scheduler.push($(this));
						});
						present_daystamp = Number(present_daystamp);
						if (isNaN(present_daystamp)) tyu("present daystamp is not a number");
						//
						var sceneNums = this.scheduler.length;
						//
						if (sceneNums > 0)
						{
							var schIndex = 0;
							var time = -1;
							//
							var item_daystamp = widget_obj.scheduler[schIndex].find("scheduling daystamp_local").text();
							item_daystamp = Number(item_daystamp);
							if (isNaN(item_daystamp)) tyu("item daystamp is not a number");
							if (present_daystamp > item_daystamp)
								time = 0;
							else if (present_daystamp == item_daystamp)
								time = 1;
							else if (present_daystamp < item_daystamp)
								time = 2;
							//
							if (time == -1)
								tyu("ERROR");
							else
							{
								$(".widget_scheduler .scheduler_container .day_container").each(function()
								{
									var gui_period = $(this).attr("id").cutAfter("_s");
									var gui_day = $(this).attr("id").cutBefore("c_");
									var oneShotWDMFD_flg = true;
									//
									while
									(
										schIndex < sceneNums
										&& gui_period == widget_obj.period[time]
										&& gui_day == widget_obj.scheduler[schIndex].find("scheduling dow").text()
									)
									{
										var dt_str = ampm_time(widget_obj.scheduler[schIndex].find("scheduling hour").text()+":"+widget_obj.scheduler[schIndex].find("scheduling minutes").text());
										var state = widget_obj.states[widget_obj.scheduler[schIndex].attr("state")];
										//
										$(this).append
										(
											"<div class='task btb "+state+"' data-scene-id='"+widget_obj.scheduler[schIndex].attr("id")+"'>"
											+	"<div class='icon'></div>"
											+	"<div class='time c_smtGD'>"+dt_str+"</div>"
											+	"<div class='desc c_smtGD'>"+widget_obj.scheduler[schIndex].attr("desc")+"</div>"
											+	"<div class='detail'></div>"
											+	"</div>"
										).addClass("ena");
										//
										if (oneShotWDMFD_flg)
										{
											oneShotWDMFD_flg = false;
											var box = week_day_month_for_dash(widget_obj.scheduler[schIndex].find("scheduling dow").text(), widget_obj.scheduler[schIndex].find("scheduling day").text(), widget_obj.scheduler[schIndex].find("scheduling month").text());
											$(".box", this).html(box);
										}
										//
										schIndex++;
										//
										if (schIndex < sceneNums)
										{
											item_daystamp = widget_obj.scheduler[schIndex].find("scheduling daystamp_local").text();
											item_daystamp = Number(item_daystamp);
											if (isNaN(item_daystamp)) tyu("item daystamp is not a number");
											if (present_daystamp > item_daystamp)
												time = 0;
											else if (present_daystamp == item_daystamp)
												time = 1;
											else if (present_daystamp < item_daystamp)
												time = 2;
										}
									}
								});
							}
						}
						//
						$(".widget_scheduler .scheduler_container .day_container .task .icon").off("click").click(function(event, send_flg)
						{
							var task_item = $(this).parent();
							if (send_flg == null) send_flg = true;
							if (send_flg) widget_obj.item_modified = $(this);
							//
							if (task_item.hasClass("scheduled"))
							{
								task_item.switchClass("scheduled", "paused", 0);
								//
								widget_obj.change_state(task_item.attr("data-scene-id"), "4", send_flg);
							}
							else if (task_item.hasClass("paused"))
							{
								task_item.switchClass("paused", "scheduled", 0);
								//
								widget_obj.change_state(task_item.attr("data-scene-id"), "5", send_flg);
							}
							else if (task_item.hasClass("warn"))
							{
								task_item.switchClass("warn", "warned", 0);
								//
								widget_obj.change_state(task_item.attr("data-scene-id"), "3", send_flg);
								//
								pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_DASH_WARN}", "ok", null, null);
							}
							else if (task_item.hasClass("warned"))
							{
								if (!send_flg) 
								{
									task_item.switchClass("warned", "warn", 0);
									//
									widget_obj.change_state(task_item.attr("data-scene-id"), "2", send_flg);
								}
								else
								{
									pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_DASH_WARN}", "ok", null, null);
								}
							}
						});
						//
						$(".widget_scheduler .scheduler_container .day_container .task .detail").click(function()
						{
							scheduler_list_scroller_px = $(".widget_scheduler .scheduler_container").scrollTop();
							//
							widget_obj.edit_scenario(widget_obj.scheduler_xml.find("par item scene[id='"+$(this).parent().attr("data-scene-id")+"']").attr("tag"));
						});
						//
						this.init_filter();
						//
						this.set_scroll();
					}
					else if (conf.children("res").text() == "WAIT")
					{
						this.load_dash_list();
					}
				}
				else if (conf.children("act").text() == "USER_EVENT")
				{
					if (conf.children("res").text() == "OK")
					{
						//
					}
					else if (conf.children("res").text() == "KO")
					{
						this.item_modified.trigger("click", false);
					}
				}
			}
		}
		else if (conf.attr("type") == "SCENE_LOAD")
		{
			sceneries = conf.find("Scenes Scene[permanent='FALSE']");
			sceneries_all = conf.find("Scenes Scene");
		}
	},
	onrecv_indication: function(indi)
	{
		//"onrecv_indication" chiamata da "main_status_get"
		this.load_dash_list();
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_scheduler",
	scheduler: [],
	scheduler_xml: null,
	states: ["none" ,"done", "warn", "warned", "paused", "scheduled", "skipped"],
	period: ["past", "present", "future"],
	item_modified: null,
	//
	load_sceneries: function()
	{
		xml_request = xml_request_head_build("SCENE_LOAD", "widget_scheduler");
		xml_send(xml_request);
	},
	load_dash_list: function()
	{
		xml_request = xml_request_head_build("MENU", "widget_scheduler");
		xml_node = $(XML("act")); xml_node.text("LOAD"); xml_request.append(xml_node);
		xml_node = $(XML("page")); xml_node.text("DASH"); xml_request.append(xml_node);
		xml_node = $(XML("par")); xml_request.append(xml_node);
		xml_send(xml_request);
	},
	change_state: function(scene_id, state, send_flg)
	{		
		var scene = this.scheduler_xml.find("item scene[id='"+scene_id+"']");
		scene.attr("state", state);
		var item = scene.parent();
		//
		if (send_flg)
		{
			xml_request = xml_request_head_build("MENU", "widget_scheduler");
			xml_node = $(XML("act")); xml_node.text("USER_EVENT"); xml_request.append(xml_node);
			xml_node = $(XML("page")); xml_node.text("DASH"); xml_request.append(xml_node);
			xml_node = $(XML("par")); xml_node.append(item.clone()); xml_request.append(xml_node);
			xml_send(xml_request);
		}
	},
	edit_scenario: function(scene_id)
	{
		here_context = $(".widget_scheduler").parent();
		pag_change("HERE", "widget_add_scenery", scene_id, "read");
	},
	init_filter: function()
	{
		if (scheduler_filter != "")
		{
			if (scheduler_filter == "bt_Week")
				$(".widget_scheduler .scheduler_container .day_container.ena").show();
			else
				$(".widget_scheduler .scheduler_container .day_container.ena").hide().filter("[id$='c_"+scheduler_filter.cutBefore("bt_")+"']").show();
		}
		//
		var sceneNums = $(".day_container.ena .task:visible").length;
		$(".widget_scheduler .comand_container .command").off("s_scroller_new").s_scroller_new(".widget_scheduler .scheduler_container", sceneNums*60-300, 0, null, 60);
	},
	set_scroll: function()
	{
		if (scheduler_list_scroller_px != -1)
		{
			$(".widget_scheduler .comand_container .command").shift_item_new(Math.round(scheduler_list_scroller_px/60), 0, 60);
		}
		else
		{
			var pres = $("[id^='present_s']:visible:first");
			var fut = $("[id^='future_s']:visible:first");
			if (pres.length > 0)
				$(".widget_scheduler .comand_container .command").shift_item_new(Math.round(pres.position().top/60), 0, 60);
			else if (fut.length > 0)
				$(".widget_scheduler .comand_container .command").shift_item_new(Math.round(fut.position().top/60), 0, 60);
			else
				$(".widget_scheduler .comand_container .command").shift_item_new(0, 0, 60);
		}
	},
	clean_page: function()
	{
		scheduler_list_scroller_px = -1;
		scheduler_filter = "";
		//
		pag_clear("#scheduler-page .quadrant_abcd");
	}
};