pag_table_new["widget_test_device"] = {
	onload: function()
	{
		footer_wizard_switch(20, this);
		header_wizard_switch();
		save_step(WS_WIZARD_STEP_TEST);
		//
		//reset filtri di lista
		filter_area = [];
		filter_room = [];
		filter_type = [];
		//
		xml_request = xml_request_head_build("MENU", "widget_test_device");
		xml_par = $(XML("act")); xml_par.text("INIT"); xml_request.append(xml_par);
		xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);
		xml_par = $(XML("par")); xml_request.append(xml_par);
		xml_send(xml_request);
		//
		here_context = $(".widget_test_device").parent();
		$("#test_field_meter").click(function()
		{			
			pag_change("HERE", "widget_test_field_meter");
		});
		$("#test_device").click(function()
		{
			pag_change("HERE", "widget_test_device_list", DEVICE_TEST_SEN);
		});
		//
		$("#footer_d_b").parent().show();
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//controllo presenza device da testare
						var combinatori = false;
						var sirene = false;
						var fotogrammi = false;
						var rele = false;
						conf.find("subcategory").each(function()
						{
							if 
							(
								!combinatori
								&&
								(
									$(this).text() == WS_DEV_ALARM_GSM_STR
									|| $(this).text() == WS_DEV_ALARM_PSTN_STR
									|| $(this).text() == WS_DEV_ALARM_WIFI_STR
								)
							)
								combinatori = true;
							else if
							(
								!sirene
								&&
								(
									$(this).text() == WS_DEV_ALARM_SIR_STR
									|| $(this).text() == WS_DEV_ALARM_SIRI_STR
									|| $(this).text() == WS_DEV_ALARM_BUS_SIR_STR
								)
							)
								sirene = true;
							else if
							(
								!fotogrammi
								&&
								(
									$(this).text() == WS_DEV_ALARM_SEN_PHOTOPIR_STR
									|| $(this).text() == WS_DEV_ALARM_SEN_PHOTOPIR_OUTDOOR_STR
									|| $(this).text() == WS_DEV_ALARM_TVCC_STR
								)
							)
								fotogrammi = true;
							else if
							(
								!rele
								&&
								(
									$(this).text() == WS_DEV_ALARM_RELAY_STR
									|| $(this).text() == WS_DEV_ALARM_BUS_RELAY_STR
								)
							)
								rele = true;
							if (combinatori && sirene && fotogrammi && rele)
								return false;
						});
						if (combinatori)
						{
							$("#test_combiner").click(function()
							{
								pag_change("HERE", "widget_test_device_list", DEVICE_TEST_TEL);
							}).css("color", "white");
						}
						if (sirene)
						{
							$("#test_siren").click(function()
							{
								pag_change("HERE", "widget_test_device_list", DEVICE_TEST_SIR);
							}).css("color", "white");
						}
						if (fotogrammi)
						{
							$("#test_camera").click(function()
							{
								pag_change("HERE", "widget_test_device_list", DEVICE_TEST_TVCC);
							}).css("color", "white");
						}
						if (rele)
						{
							$("#test_relay").click(function()
							{
								pag_change("HERE", "widget_test_device_list", DEVICE_TEST_RELAY);
							}).css("color", "white");
						}
					}
				}
			}
			else if (conf.children("act").text() == "INIT")
			{
				if (conf.children("page").text() == WS_TEST_STR)
				{
					xml_menu_load_send
					(
						WS_DEV_STR, 
						WS_DEV_ALARM_POW_STR
						+ "|" + WS_DEV_ALARM_TERM_STR
						+ "|" + WS_DEV_ALARM_CEN_STR
						+ "|" + WS_DEV_ALARM_LCD_STR
						+ "|" + WS_DEV_ALARM_RTC_STR
						+ "|" + WS_DEV_ALARM_BAT_STR
						+ "|" + WS_DEV_ALARM_CARRIER_STR
						+ "|" + WS_DEV_ALARM_CLOUD_STR
						+ "|" + WS_DEV_ALARM_TELEGEST_STR
						+ "|" + WS_DEV_ALARM_DASH_STR
						, "filter_not", "widget_test_device"
					);
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_test_device",
	type_of_list: null
};