pag_table_new["widget_test_field_meter"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(29, this);
		var widget_obj = this;
		//
		//
		if (SIL || NICE)
		{
			$(".widget_test_field_meter .nndb_subtitle").html("{LANG_WIZARD_FIELD_METER_SUBTITLE_SIL}");
			//
			$(".widget_test_field_meter .graph canvas")
				.attr("height", "40px")
				.attr("width", "670px");
			this.ctx433_1 = document.getElementById("g433_1").getContext("2d");
			this.ctx433_2 = document.getElementById("g433_2").getContext("2d");
			this.ctx868_1 = document.getElementById("g868_1").getContext("2d");
			this.ctx868_2 = document.getElementById("g868_2").getContext("2d");
			if (SIL)
			{
				this.ctx433_1.fillStyle = "#f7b600";
				this.ctx433_2.fillStyle = "#f7b600";
				this.ctx868_1.fillStyle = "#f7b600";
				this.ctx868_2.fillStyle = "#f7b600";
			}
			else if (NICE)
			{
				this.ctx433_1.fillStyle = "#69a0fa";
				this.ctx433_2.fillStyle = "#69a0fa";
				this.ctx868_1.fillStyle = "#69a0fa";
				this.ctx868_2.fillStyle = "#69a0fa";
			}
		}
		else
		{
		/* _FT_ serve per disegnare la griglia da trasformare in png
			var g433 = document.getElementById("g433");
			var ctx = g433.getContext("2d");
			//
			ctx.lineWidth = 1;
			ctx.strokeRect(1, 1, 348, 158);
			//
			ctx.moveTo(0, 105);
			ctx.lineTo(350, 105);
			ctx.strokeStyle = "#ff0000";
			ctx.stroke();
		*/
			$(".field433_2, .field868_2").remove();
			//
			this.ctx433_1 = document.getElementById("g433_1").getContext("2d");
			this.ctx868_1 = document.getElementById("g868_1").getContext("2d");
			for (var i = 0; i < Math.floor(this.w/this.step)+1; i++)
			{
				this.g433_ys_1.push(80);
			}
			for (var i = 0; i < Math.floor(this.w/this.step)+1; i++)
			{
				this.g868_ys_1.push(80);
			}
		}
		//
		xml_request = xml_request_head_build("MENU");
		xml_par = $(XML("act")); xml_par.text("START"); xml_request.append(xml_par);		
		xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
		xml_par = $(XML("par")); xml_par.text(DEVICE_TEST_FIELD); xml_request.append(xml_par);
		xml_send(xml_request);
	},
	onrecv_confirmation: function(conf)
	{
		//
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("page").text() == WS_TEST_STR)
			{
				if (indi.children("act").text() == "METER")
				{
					var level_chan_1 = indi.find("par item[id='1'] value").text();
					var level_chan_2 = indi.find("par item[id='2'] value").text();
					var level_chan_3 = indi.find("par item[id='3'] value").text();
					var level_chan_4 = indi.find("par item[id='4'] value").text();
					//
					if (SIL || NICE)
					{
						if (level_chan_1 != "-1") this.bar_drawer(this.ctx433_1, Math.round(level_chan_1/5));
						if (level_chan_2 != "-1") this.bar_drawer(this.ctx433_2, Math.round(level_chan_2/5));
						if (level_chan_3 != "-1") this.bar_drawer(this.ctx868_1, Math.round(level_chan_3/5));
						if (level_chan_4 != "-1") this.bar_drawer(this.ctx868_2, Math.round(level_chan_4/5));
					}
					else
					{
						this.g433_ys_1.push(Math.round(level_chan_1/100 * this.h));
						this.g433_ys_1.shift();
						this.g_draw(this.ctx433_1, this.g433_ys_1);
						//
						this.g868_ys_1.push(Math.round(level_chan_3/100 * this.h));
						this.g868_ys_1.shift();
						this.g_draw(this.ctx868_1, this.g868_ys_1);
					}	
				}
			}
		}
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_test_field_meter",
	xml_any: xml_any_tbl[any_ind],
	ctx433_1: null,
	ctx433_2: null,
	ctx868_1: null,
	ctx868_2: null,
	g433_ys_1: [],
	g868_ys_1: [],
	h: 160,
	w: 350,
	step: 2,
	gap: 7,
	//
	g_draw: function(ctx, g_ys)
	{
		for (var i = 0; i < g_ys.length-1; i++)
		{
			ctx.beginPath();
			ctx.clearRect(this.step*i, 0, this.step+1, this.h);
			ctx.moveTo(this.x(this.step*i), this.y(g_ys[i]));
			ctx.lineTo(this.x(this.step*i+this.step), this.y(g_ys[i+1]));
			ctx.stroke();
		}
	},
	y: function(y)
	{
		return -y -0.5 + this.h;
	},
	x: function(x)
	{
		return x -0.5;
	},
	bar_drawer: function(ctx, g_ys)
	{
		ctx.beginPath();
		ctx.clearRect(0, 0, 670, 40);
		for (var i = 0; i < g_ys; i++)
			ctx.fillRect((i*this.gap)+(26*i), 0, 26, 40);
	}
};