pag_table_new["widget_tvcc"] = {
	onload: function()
	{
		var widget_obj = this;
		//
		$(".tvcc.single .magnifying_glass").off("click").click(function()
		{
			var widget_home = pag_table_new["home"];
			//
			if (widget_obj.tvcc_full_screen)
			{
				$("#main-page > .quadrant.quadrant_abcd.abcd").children().detach().appendTo("#main-page > .quadrant.quadrant_a_bc_d.d");
				$("#main-page > .quadrant.quadrant_a_bc_d.d").attr("data-curpage", $("#main-page > .quadrant.quadrant_abcd.abcd").attr("data-curpage"));
				$("#main-page > .quadrant.quadrant_abcd.abcd").removeAttr("data-curpage");
				//
				widget_obj.tvcc_full_screen = false;
				//
				widget_obj.pause_tvcc();
				//
				widget_home.schema = "quadrant_a_bc_d";
				schema_act("#main-page", "quadrant_a_bc_d");
				//
				widget_obj.backto_single();
				//
				widget_obj.activate_slide();
				//
				var cam_idx = $(".tvcc.single .cam:visible").attr("id").cutBefore("_")-1;
				var cam_id = widget_obj.array_cam_id[cam_idx];
				if (widget_obj.fav_tvcc_id_lst.indexOf(cam_id) != -1)
				{
					widget_obj.fav_index = cam_idx;
					widget_obj.resume_tvcc();
				}
			}
			else
			{
				$("#main-page > .quadrant.quadrant_a_bc_d.d").children().detach().appendTo("#main-page > .quadrant.quadrant_abcd.abcd");
				$("#main-page > .quadrant.quadrant_abcd.abcd").attr("data-curpage", $("#main-page > .quadrant.quadrant_a_bc_d.d").attr("data-curpage"));
				$("#main-page > .quadrant.quadrant_a_bc_d.d").removeAttr("data-curpage");
				//
				widget_obj.tvcc_full_screen = true;
				//
				widget_home.schema = "quadrant_abcd";
				schema_act("#main-page", "quadrant_abcd");
				//
				if (widget_obj.array_cam_id.length > 1)
				{
					widget_obj.goto_quad();
				}
			}
		});
		$(".tvcc.quad .magnifying_glass").off("click").click(function()
		{
			widget_obj.pause_tvcc();
			//
			var cam_idx = $(this).attr("id").cutBefore("_")-1;
			//
			$(".tvcc.single .cam").hide();
			$("#s_"+(cam_idx-1+2)).show();
			//
			var cam_id = widget_obj.array_cam_id[cam_idx];
			if (widget_obj.fav_tvcc_id_lst.indexOf(cam_id) != -1)
			{
				widget_obj.fav_index = cam_idx;
				widget_obj.resume_tvcc();
			}
			//
			widget_obj.backto_single();
		});
		$(".tvcc.single .arrow_left").off("click").click(function()
		{
			if (widget_obj.array_cam_id.length > 1)
			{
				widget_obj.activate_slide();
				widget_obj.pause_tvcc();
				//
				var curr_elem = $(".tvcc.single .cam:visible");
				var prev_elem = curr_elem.prev().not(".disabled");
				if (prev_elem[0] == null)
				{
					$(".tvcc.single .cam:not(.disabled):last").show();
					curr_elem.hide();
				}
				else
				{
					prev_elem.show();
					curr_elem.hide();
				}
				//
				var cam_idx = $(".tvcc.single .cam:visible").attr("id").cutBefore("_")-1;
				var cam_id = widget_obj.array_cam_id[cam_idx];
				if (widget_obj.fav_tvcc_id_lst.indexOf(cam_id) != -1)
				{
					widget_obj.fav_index = cam_idx;
					widget_obj.resume_tvcc();
				}
			}
		});
		$(".tvcc.single .arrow_right").off("click").click(function()
		{
			if (widget_obj.array_cam_id.length > 1)
			{
				widget_obj.activate_slide();
				widget_obj.pause_tvcc();
				//
				var curr_elem = $(".tvcc.single .cam:visible");
				var next_elem = curr_elem.next().not(".disabled");
				if (next_elem[0] == null)
				{
					$(".tvcc.single .cam:not(.disabled):first").show();
					curr_elem.hide();
				}
				else
				{
					next_elem.show();
					curr_elem.hide();
				}
				//
				var cam_idx = $(".tvcc.single .cam:visible").attr("id").cutBefore("_")-1;
				var cam_id = widget_obj.array_cam_id[cam_idx];
				if (widget_obj.fav_tvcc_id_lst.indexOf(cam_id) != -1)
				{
					widget_obj.fav_index = cam_idx;
					widget_obj.resume_tvcc();
				}
			}
		});
		$(".tvcc.quad .favorite").off("click").click(function()
		{
			var cam_idx_gui = $(this).attr("id").cutBefore("_");
			if (widget_obj.cam_debouncer[cam_idx_gui])
			{
				if ($(this).attr("data-checked") == "0")
				{
					$(this).attr("data-checked", "1");
					var cam_idx = $(this).attr("id").cutBefore("_")-1;
					var cam_id = widget_obj.array_cam_id[cam_idx];
					fav_indexes[cam_id] = cam_idx;
					//
					if (widget_obj.is_a_tvcc[cam_id])
						widget_obj.fav_tvcc_id_lst.push(cam_id);
					widget_obj.fav_cam_idx_lst.push(fav_indexes[cam_id]);
					//
					if (widget_obj.fav_index == null)
						widget_obj.fav_index = widget_obj.fav_cam_idx_lst[0];
					//
					widget_obj.resume_tvcc();
				}
				else if ($(this).attr("data-checked") == "1")
				{
					$(this).attr("data-checked", "0");
					var cam_idx = $(this).attr("id").cutBefore("_")-1;
					var cam_id = widget_obj.array_cam_id[cam_idx];
					//
					del_occurs(widget_obj.fav_tvcc_id_lst, cam_id);
					del_occurs(widget_obj.fav_cam_idx_lst, fav_indexes[cam_id]);
					//
					fav_indexes[cam_id] = -1; //toglie la tvvc o il photopir dai preferiti
					//
					if (widget_obj.fav_cam_idx_lst.length == 0)
					{
						widget_obj.fav_index = null;
					}
				}
			}
		});
		$(".tvcc.single .favorite").off("click").click(function()
		{
			var cam_idx_gui = $(this).attr("id").cutBefore("_s");
			if (widget_obj.cam_debouncer["s"+cam_idx_gui])
			{
				if ($(this).attr("data-checked") == "0")
				{
					$(this).attr("data-checked", "1");
					var cam_idx = $(this).attr("id").cutBefore("_s")-1;
					var cam_id = widget_obj.array_cam_id[cam_idx];
					fav_indexes[cam_id] = cam_idx;
					//
					if (widget_obj.is_a_tvcc[cam_id])
						widget_obj.fav_tvcc_id_lst.push(cam_id);
					widget_obj.fav_cam_idx_lst.push(fav_indexes[cam_id]);
					//
					if (widget_obj.fav_index == null)
						widget_obj.fav_index = widget_obj.fav_cam_idx_lst[0];
					//
					widget_obj.resume_tvcc();
				}
				else if ($(this).attr("data-checked") == "1")
				{
					$(this).attr("data-checked", "0");
					var cam_idx = $(this).attr("id").cutBefore("_s")-1;
					var cam_id = widget_obj.array_cam_id[cam_idx];
					//
					del_occurs(widget_obj.fav_tvcc_id_lst, cam_id);
					del_occurs(widget_obj.fav_cam_idx_lst, fav_indexes[cam_id]);
					//
					fav_indexes[cam_id] = -1;
					//
					if (widget_obj.fav_cam_idx_lst.length == 0)
					{
						widget_obj.fav_index = null;
						widget_obj.pause_tvcc();
					}
				}
			}
		});
		$(".tvcc.quad .loader_cam").off("click").click(function()
		{
			var cam_idx = $(this).attr("id").cutBefore("_q")-1;
			var cam_idx_gui = cam_idx-1+2;
			//
			if (/*widget_obj.cam_debouncer[cam_idx_gui]*/widget_obj.debounced())
			{
				var cam_id = widget_obj.array_cam_id[cam_idx];
				var command_cam = widget_obj.commands_cam[cam_id];
				//
				widget_obj.tickets[cam_idx] = "q";
				//
				widget_obj.take_picture(cam_id, command_cam);
				//
				widget_obj.acquiring(cam_idx_gui);
			}
		});
		$(".tvcc.single .loader_cam").off("click").click(function()
		{
			var cam_idx = $(this).attr("id").cutBefore("_s")-1;
			var cam_idx_gui = cam_idx-1+2;
			widget_obj.activate_slide();
			//
			if (/*widget_obj.cam_debouncer["s"+cam_idx_gui]*/widget_obj.debounced())
			{
				var cam_id = widget_obj.array_cam_id[cam_idx];
				var command_cam = widget_obj.commands_cam[cam_id];
				//
				widget_obj.tickets[cam_idx] = "s";
				//
				widget_obj.take_picture(cam_id, command_cam);
				//
				widget_obj.acquiring("s"+cam_idx_gui);
			}
		});
		//
		this.loaded = true;
		//
		this.init_cam_array(true);
		//
		this.start_tvcc();
	},
	onrecv_confirmation: function(conf)
	{
		var widget_obj = this;
		//
		var xml_img = conf.children("Image:first");
		if (xml_img.length > 0)
		{
			if (xml_img.text() != "")
			{
				var cam_idx_gui = this.array_cam_id.indexOf(xml_img.attr("device"))+1;
				var cam_idx = cam_idx_gui-1;
				if (widget_obj.tickets[cam_idx] == "")
				{
					if (!this.tvcc_quad_screen) cam_idx_gui = "s"+cam_idx_gui;
				}
				else
				{
					if (widget_obj.tickets[cam_idx] == "s") cam_idx_gui = "s"+cam_idx_gui;
					this.polling = false;
					widget_obj.tickets[cam_idx] = "";
				}
				//
				$("#widget_tvcc_ima_"+cam_idx_gui).attr("style", "background-image: url(data:image/jpg;base64,"+xml_img.text()+");");
				//
				this.acquired(cam_idx_gui);
				//
				if (this.tvcc_go)
				{
					clearTimeout(this.t_out_cam);
					this.t_out_cam = setTimeout(function()
					{
						clearInterval(t_out_cam_miss);
						t_out_cam_miss = setInterval(function()
						{
							widget_obj.request_picture();
						}, 5000);
						//
						widget_obj.request_picture();
					}, QT ? this.tvcc_quad_screen ? DCAM/2 : DCAM : this.tvcc_quad_screen ? DCAM/4 : DCAM/2);
				}
			}
			else
			{
				clearInterval(t_out_cam_miss);
				//ARRIVA INDICATION da photopir
				//oppure fai ripartire tvcc
				//
				this.polling = false;
				var cam_id = xml_img.attr("device");
				if (this.is_a_tvcc[cam_id])
				{//inoltra più richieste in caso di ticket (.loader)
					this.polling = this.tickets[this.array_cam_id.indexOf(cam_id)] != "";
				}
				if (this.polling)
				{
					this.poll_id = cam_id;
				}
				//
				if (this.tvcc_go && (!this.tvcc_pause || this.polling))
				{
					if (this.fav_tvcc_id_lst.indexOf(xml_img.attr("device")) != -1 || this.polling)
					{
						clearTimeout(this.t_out_cam_poll);
						this.t_out_cam_poll = setTimeout(function()
						{
							widget_obj.request_picture();
						}, this.tvcc_quad_screen ? DCAM : DCAM*4);
					}
				}
			}
		}
		else
		{
			clearInterval(t_out_cam_miss);
			//
			//
			var cam_idx_gui = this.array_cam_id.indexOf(xml_img.attr("device"))+1;
			if (!this.tvcc_quad_screen) cam_idx_gui = "s"+cam_idx_gui;
			//
			widget_obj.noimage(cam_idx_gui);
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "DEVICE_CMD")
		{
			var xml_img = indi.children("Image:first");
			if (xml_img.length > 0)
			{
				if (xml_img.attr("res") == "1")
				{
					var widget_obj = this;
					//
					var cam_idx_gui = this.array_cam_id.indexOf(xml_img.attr("device"))+1;
					if (!this.tvcc_quad_screen) cam_idx_gui = "s"+cam_idx_gui;
					$("#widget_tvcc_ima_"+cam_idx_gui).attr("style", "background-image: url(data:image/jpg;base64,"+xml_img.text()+");");
					//
					this.acquired(cam_idx_gui);
				}
				else
				{
					var cam_idx_gui = this.array_cam_id.indexOf(xml_img.attr("device"))+1;
					if (!this.tvcc_quad_screen) cam_idx_gui = "s"+cam_idx_gui;
					//
					this.noimage(cam_idx_gui);
				}
			}
		}
//		else if (indi.attr("type") == "STATE")
//		{
//			if (indi.find("State").text() == WS_DEV_ALARM_CEN_RESUME_TVCC_STR)
//			{
//				this.resume_tvcc(true);
//			}
//		}
	},
	onclose: function()
	{
		clearInterval(t_out_cam_miss);
	},
	//
	name: "widget_tvcc",
	tvcc_full_screen: false,
	tvcc_go: false,
	tvcc_pause: false,
	commands_cam: [],//associa all'id di configurazione delle tvcc e dei photopir il relativo comando di richiesta fotogramma 
	array_cam_id: [],//l'insieme di tutti gli id di configurazione di tvcc e photopir
	tvcc_quad_screen: false,
	tvcc_quad_index: 0,
	is_a_tvcc: [],//associa all'id di configurazione delle tvcc il booleano TRUE, serve per determinare se l'id è di una tvcc 
	t_out_slider: null,
	t_out_cam: null,
	fav_index: null,
	fav_tvcc_id_lst: [],//lista degli id di configurazione di tvcc nei preferiti (non associativo)
	fav_cam_idx_lst: [],//lista degli id di gui di tvcc e photopir nei preferiti
	fav_counter: 0,
	t_out_splash: [],
	cam_debouncer: [],
	t_splash: 10,
	t_splash_acquiring: 40-5,
	t_slide: 40,
	tickets: [],
	initialization_flg: false,
	loaded: false,
	polling: false,
	poll_id: "",
	t_out_cam_poll: null,
	//
	init_cam_array: function()
	{
		this.initialization_flg = true;
		this.stop_tvcc();
		//
		this.polling = false;
		this.poll_id = "";
		this.t_out_cam_poll = null;
		//
		var widget_obj = this;
		this.array_cam_id = [];
		this.commands_cam = [];
		this.is_a_tvcc = [];
		//
		xml_file_configuration.find("Devices Device").each(function()
		{
			if
			(
				$(this).children("Subcategory").text() == WS_DEV_ALARM_TVCC_STR
				&& $(this).attr("deleted") == "FALSE"
				&& $(this).children("Excluded").text() == "FALSE"
			)
			{
				widget_obj.array_cam_id.push($(this).attr("id"));
				widget_obj.is_a_tvcc[$(this).attr("id")] = true;
				widget_obj.commands_cam[$(this).attr("id")] = xml_file_configuration.find("Devices Device[id='"+$(this).attr("id")+"'][deleted='FALSE'] Commands").text();
				$("#cam_name_"+widget_obj.array_cam_id.length).html($(this).attr("desc"));
				$("#cam_name_s"+widget_obj.array_cam_id.length).html($(this).attr("desc"));
			}
			else if
			(
				$(this).children("Subcategory").text() == WS_DEV_ALARM_SEN_PHOTOPIR_STR
				&& $(this).attr("deleted") == "FALSE"
				&& $(this).children("Excluded").text() == "FALSE"
			)
			{
				widget_obj.array_cam_id.push($(this).attr("id"));
				widget_obj.commands_cam[$(this).attr("id")] = xml_file_configuration.find("Devices Device[id='"+$(this).attr("id")+"'][deleted='FALSE'] Commands").text();
				$("#cam_name_"+widget_obj.array_cam_id.length).html($(this).attr("desc"));
				$("#cam_name_s"+widget_obj.array_cam_id.length).html($(this).attr("desc"));
			}
			else if
			(
				$(this).children("Subcategory").text() == WS_DEV_ALARM_SEN_PHOTOPIR_OUTDOOR_STR
				&& $(this).attr("deleted") == "FALSE"
				&& $(this).children("Excluded").text() == "FALSE"
			)
			{
				widget_obj.array_cam_id.push($(this).attr("id"));
				widget_obj.commands_cam[$(this).attr("id")] = xml_file_configuration.find("Devices Device[id='"+$(this).attr("id")+"'][deleted='FALSE'] Commands").text();
				$("#cam_name_"+widget_obj.array_cam_id.length).html($(this).attr("desc"));
				$("#cam_name_s"+widget_obj.array_cam_id.length).html($(this).attr("desc"));
			}
		});
		//
		if (this.array_cam_id.length == 1)
		{
			$(".tvcc.single .arrow_left, .tvcc.single .arrow_right").hide();
			$(".tvcc.single .favorite:first").show();
		}
		else
		{
			$(".tvcc.single .arrow_left, .tvcc.single .arrow_right").show();
			$(".tvcc.single .favorite:first").hide();
		}
		//
		this.init_debouncer();
		//
		this.init_favorite();
		//
		this.init_layout();
		//
		this.init_slide();
		//
		this.initialization_flg = false;
		initialized_cams_flg = true;
		this.start_tvcc();
	},
	request_picture: function()
	{
		if (!this.tvcc_pause)
		{
			if (this.tvcc_quad_screen)
			{
				if (++this.tvcc_quad_index >= this.fav_tvcc_id_lst.length) this.tvcc_quad_index = 0;
				var tvcc_quad_id = this.fav_tvcc_id_lst[this.tvcc_quad_index];
				//
				var cam_id = tvcc_quad_id;
				var command_cam = this.commands_cam[tvcc_quad_id];
				//
				if (tvcc_quad_id != null)
				{
					this.take_picture(cam_id, command_cam);
				}
				else
				{
					this.pause_tvcc();
				}
			}
			else
			{
				var res = true;
				var cam_id = null;
				//
				if (this.fav_index == null || this.fav_index == -1)
					res = false;
				//
				if (res)
				{
					cam_id = this.array_cam_id[this.fav_index];
					if (cam_id == null)
						res = false;
				}
				//
				if (res)
				{
					if (this.is_a_tvcc[cam_id])
					{
						var command_cam = this.commands_cam[cam_id];
						//
						this.take_picture(cam_id, command_cam);
					}
					else
					{
						res = false;
					}
				}
				//
				if (!res)
				{
					this.pause_tvcc();
				}
			}
		}
		if (this.polling)
		{
			this.take_picture(this.poll_id, this.commands_cam[this.poll_id]);
		}
	},
	take_picture: function(cam_id, command_cam)
	{
		xml_request = xml_request_head_build("DEVICE_CMD", "widget_tvcc");
		xml_par = $(XML("Command")); xml_par.text(command_cam); xml_request.append(xml_par);
		xml_par = $(XML("Device")); xml_par.text(cam_id); xml_request.append(xml_par);
		xml_send(xml_request);
	},
	init_favorite: function()
	{
		for (var i = 0; i < this.array_cam_id.length; i++) //aggiunge nuove cam senza alterare lo stato dei preferiti
			if (!(this.array_cam_id[i] in fav_indexes))
				fav_indexes[this.array_cam_id[i]] = -1; //fav_indexes associa l'id di configurazione di tvcc e photopir all'indice di gui
			else if (fav_indexes[this.array_cam_id[i]] != -1)
				fav_indexes[this.array_cam_id[i]] = i;		
		//
		for (var key in fav_indexes) //rimuove le cam che sono state eliminate
			if (get_all_indexes(this.array_cam_id, key).length == 0)
				delete fav_indexes[key];
		//
		this.fav_tvcc_id_lst = [];
		this.fav_cam_idx_lst = [];
		this.fav_index = null;
		$(".tvcc.quad .favorite").attr("data-checked", "0");
		for (var key in fav_indexes)
		{
			if (fav_indexes[key] != -1)
			{
				if (this.is_a_tvcc[key]) this.fav_tvcc_id_lst.push(key);
				this.fav_cam_idx_lst.push(fav_indexes[key]);
				if (this.fav_index == null) this.fav_index = fav_indexes[key];
				$("#favorite_"+(fav_indexes[key]+1)).attr("data-checked", "1");
			}
		}
		//
		if (this.array_cam_id.length == 1)
		{
			$(".tvcc.single .favorite").attr("data-checked", "0");
			for (var key in fav_indexes)
			{
				if (fav_indexes[key] != -1)
					$("#favorite_s"+(fav_indexes[key]+1)).attr("data-checked", "1");
			}
		}
	},
	init_slide: function()
	{
		$(".tvcc.single .cam").hide();
		$(".tvcc.single .cam[id='s_"+(this.fav_index+1)+"']").show();
	},
	activate_slide: function()
	{
		clearTimeout(this.t_out_slider);
		//
		var widget_obj = this;
		//
		if (this.tvcc_go && !this.tvcc_quad_screen && !this.tvcc_full_screen && this.fav_cam_idx_lst.length > 0)
		{
			this.t_out_slider = setTimeout(function()
			{
				widget_obj.next_favs();
				//
				if (/*widget_obj.fav_cam_idx_lst.length > 1*/widget_obj.array_cam_id.length > 1)
				{
					$(".tvcc.single .cam").hide();
					$(".tvcc.single .cam[id='s_"+(widget_obj.fav_index-1+2)+"']").show();
				}
				//
				widget_obj.resume_tvcc();
				//
				widget_obj.activate_slide();
			}, this.t_slide*1000);
		}
	},
	next_favs: function()
	{
		if (++this.fav_counter >= this.fav_cam_idx_lst.length) this.fav_counter = 0;
		this.fav_index = this.fav_cam_idx_lst[this.fav_counter];
	},
	start_tvcc: function()
	{
		if
		(
			!this.tvcc_go
			&& !this.initialization_flg
			&& curr_page == "#main-page"
			&& !stdby_flg
			&& initialized_cams_flg
		)
		{
			this.tvcc_go = true;
			this.request_picture();
			this.activate_slide();
		}
	},
	stop_tvcc: function()
	{
		this.tvcc_go = false;
		clearTimeout(this.t_out_cam);
		clearTimeout(this.t_out_cam_poll);
		clearTimeout(this.t_out_slider);
		clearInterval(t_out_cam_miss);
	},
	resume_tvcc: function(force)
	{
		if (force == null)
			force = false;
		//
		if ((this.tvcc_pause || force) && this.tvcc_go)
		{
			this.tvcc_pause = false;
			this.request_picture();
		}
	},
	pause_tvcc: function()
	{
		this.tvcc_pause = true;
		clearTimeout(this.t_out_cam);
		clearInterval(t_out_cam_miss);
	},
	goto_quad: function()
	{
		$(".widget_tvcc .tvcc.quad").show();
		$(".widget_tvcc .tvcc.single").hide();
		this.tvcc_quad_screen = true;
		this.resume_tvcc();
		clearTimeout(this.t_out_slider);
	},
	backto_single: function()
	{
		if (this.tvcc_quad_screen)
		{
			$(".widget_tvcc .tvcc.quad").hide();
			$(".widget_tvcc .tvcc.single").show();
			this.tvcc_quad_screen = false;
		}
	},
	init_layout: function()
	{
		for (var i = this.array_cam_id.length; i < 4; i++)
		{
			$("#q_"+(i+1)+" .cam_name, #q_"+(i+1)+" .cmd").hide();
			$("#s_"+(i+1)+" .cam_name, #s_"+(i+1)+" .cmd").hide();
			$("#widget_tvcc_ima_"+(i+1)).addClass("disabled").parent().addClass("disabled").children(".info").hide();
			$("#widget_tvcc_ima_s"+(i+1)).addClass("disabled").parent().addClass("disabled").children(".info").hide();
		}
		for (var i = 0; i < this.array_cam_id.length; i++)
		{
			$("#q_"+(i+1)+" .cam_name, #q_"+(i+1)+" .cmd").show();
			$("#s_"+(i+1)+" .cam_name, #s_"+(i+1)+" .cmd").show();
			$("#widget_tvcc_ima_"+(i+1)).removeClass("disabled").parent().removeClass("disabled").children(".info").show();
			$("#widget_tvcc_ima_s"+(i+1)).removeClass("disabled").parent().removeClass("disabled").children(".info").show();
		}
	},
	//
	init_debouncer: function()
	{
		this.cam_debouncer["s1"] = true;
		this.cam_debouncer["s2"] = true;
		this.cam_debouncer["s3"] = true;
		this.cam_debouncer["s4"] = true;
		this.cam_debouncer["1"] = true;
		this.cam_debouncer["2"] = true;
		this.cam_debouncer["3"] = true;
		this.cam_debouncer["4"] = true;
		//
		this.tickets[0] = "";
		this.tickets[1] = "";
		this.tickets[2] = "";
		this.tickets[3] = "";
	},
	debounced: function()
	{
		for(var key in this.cam_debouncer)
			if (!this.cam_debouncer[key]) return false; 
		return true;
	},
	acquiring: function(select)
	{
		var widget_obj = this;
		//
		$("#widget_tvcc_ima_"+select).removeAttr("style");
		//
		$("#info_"+select).html("{LANG_ACQUIRING}");
		//
		this.cam_debouncer[select] = false;
		//
		clearTimeout(this.t_out_splash[select]);
		this.t_out_splash[select] = setTimeout(function()
		{
			widget_obj.noimage(select);
		}, this.t_splash_acquiring*1000);
	},
	acquired: function(select)
	{
		var widget_obj = this;
		//
		this.cam_debouncer[select] = true;
		//
		clearTimeout(this.t_out_splash[select]);
		this.t_out_splash[select] = setTimeout(function()
		{
			$("#widget_tvcc_ima_"+select).removeAttr("style");
			widget_obj.refresh(select);
		}, this.t_splash*1000);
	},
	refresh: function(select)
	{
		$("#info_"+select).html("{LANG_PRESS_REFRESH}");
	},
	noimage: function(select)
	{
		var widget_obj = this;
		//
		clearTimeout(this.t_out_cam_poll);
		this.polling = false;
		//
		$("#widget_tvcc_ima_"+select).removeAttr("style");
		//
		$("#info_"+select).html("{LANG_NO_IMAGE_AVAILABLE}");
		//
		this.cam_debouncer[select] = true;
		//
		clearTimeout(this.t_out_splash[select]);
		this.t_out_splash[select] = setTimeout(function()
		{
			widget_obj.refresh(select);
		}, this.t_splash*1000);
	}
};