/**************************/
/***** FOOTER MANAGER *****/
/**************************/
function footer_wizard_switch(wizard_st, widget_obj)
{
	g_wizard_st = wizard_st;
	g_widget_obj = widget_obj;
	//
	if (wizard_st != 7 && wizard_st != -1 && wizard_st != -2 && !$(".wizard").hasClass("brown_gradient"))
	{
		$(".wizard").attr("class", "wizard brown_gradient");
	}
	else if ((wizard_st == 7 || wizard_st == -1 || wizard_st == -2) && $(".wizard").hasClass("brown_gradient"))
	{
		$(".wizard").attr("class", "wizard");
	}
	//
	if ($("#gui_footer").length > 0 && $("#footer-wizard-page").attr("data-curpage") != "footer_wizard")
	{
		pag_change("#footer-wizard-page", "footer_wizard");
	}
	else if ($(".wizard_footer_container").length > 0 && $(".wizard_footer_container").attr("data-curpage") != "footer_wizard")
	{
		pag_change(".wizard .wizard_footer_container", "footer_wizard");
	}
	else if ($(".wizard_footer_container").length > 0)
	{
		$(".footer_container_btn").unbind();
		$(".footer_container_btn_inside").unbind();
		$(".footer_container_btn").hide();
		$(".footer_container_info").hide();
		$(".footer_wizard").show();
		if (wizard_st == -1) //welcome
		{
			if (QT) wbr_version = webbridge.getVersion();
			else wbr_version = null;
			web_version = $("#wrapper").attr("data-web-version");
			//
			tlc_version = xml_file_configuration.find("Central Versions tlc").text();
			som_version = xml_file_configuration.find("Central Versions som").text();
			car_version = xml_file_configuration.find("Central Versions carrier").text();
			ker_version = xml_file_configuration.find("Central Versions kernel").text();
			datesom = xml_file_configuration.find("Central Versions datesom").text();
			$(".footer_container_info").show();
			$(".tlc inner").text("  "+tlc_version);
			$(".som inner").text("  "+som_version);
			$(".carrier inner").text("  "+car_version);
			if (xml_file_configuration.find("Central Versions imei").text() != ""
				&& xml_file_configuration.find("Central Versions imei").text() != "INIT")
				$(".imei inner").text(xml_file_configuration.find("Central Versions imei").text()).parent().show();
		}
		else if (wizard_st == 0) //language
		{
			$("#footer_a_a").click(function()
			{
				widget_lang_scroller_sets = null;
				pag_change(".wizard .wizard_body", "widget_welcome");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_lang_scroller_sets = null;
				pag_change(".wizard .wizard_body", "widget_region");
			});
		}
		else if (wizard_st == 23) //region
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_lang");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.save_region();
			});
			$("#footer_d_b").on("region_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_guide");
			});
		}
		else if (wizard_st == 25) //guide
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_region");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_dtpicker");
			}).parent().show();
			$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_guide.s_container", $(".widget_guide #guide").outerHeight(true)-$(".widget_guide").height(), null, 0).parent().show();
		}
		else if (wizard_st == 1) //dtpicker
		{
			$("#footer_a_a").click(function()
			{
				widget_obj.only_rollback = true;
				global_send_dev_mod_save(widget_obj, false);
				//
				pag_change(".wizard .wizard_body", "widget_guide");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$("#footer_d_b").on("dt_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_new_implant");
			});
		}
		else if (wizard_st == 2) //nuovo impianto
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_dtpicker");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$("#footer_d_b").on("system_name_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_typeconn");
			});
		}
		else if (wizard_st == 10) //typeconn
		{
			$("#footer_a_a").click(function()
			{
				typeconn.mode = null;
				pag_change(".wizard .wizard_body", "widget_new_implant");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				if (parconn.saved && typeconn.mode == type_conn)
					pag_change(".wizard .wizard_body", "widget_identifying_areas");
				else if (typeconn.mode == "NN")
					global_send_dev_mod_save(widget_obj);
				else
					pag_change(".wizard .wizard_body", "widget_parconn");
				
			}).parent().show();
			$("#footer_d_b").on("parconn_saved", function()
			{
				parconn.saved = true;
				typeconn.mode = null;
				pag_change(".wizard .wizard_body", "widget_identifying_areas");		
			});
		}
		else if (wizard_st == 11) //parconn
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_typeconn");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$("#footer_d_b").on("parconn_saved", function()
			{
				parconn.saved = true;
				typeconn.mode = null;
				pag_change(".wizard .wizard_body", "widget_identifying_areas");
			});
		}
		else if (wizard_st == 3) //identificazione aree
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_typeconn");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.save_area();
			});
			$("#footer_d_b").on("areas_name_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_add_device");
			});
		}
		else if (wizard_st == 4) //dispositivi wireless
		{
			$("#footer_a_a").click(function()
			{
				clearTimeout(t_out_main_secondary);
				widget_obj.abort_detection();
				pag_change(".wizard .wizard_body", "widget_add_device");
			}).parent().show();
		}
		else if (wizard_st == 5) //dispositivo
		{
			// gestito dal widget_device
		}
		else if (wizard_st == 6) //set_device
		{
			device_set_converge_footer(widget_obj);
		}
		else if (wizard_st == 7) //conferma aggiunta contatto confirm
		{
			$(".footer_wizard").hide();
		}
		else if (wizard_st == 8) //add device
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_identifying_areas");
			}).parent().show();
		}
		else if (wizard_st == 9) //mod_device
		{
			$("#footer_a_a").click(function()
			{
				device_not_saved = true;
				pag_change(".wizard .wizard_body", "widget_add_other_devices");
			}).parent().show();
			$("#footer_a_a").on("add_other_devices_back", function()
			{
				filter_area = [];
				filter_room = [];
				filter_type = [];
				//
				pag_change(".wizard .wizard_body", "widget_add_other_devices");
			});
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_mod_device .s_container", null, null, 0);
		}
		else if (wizard_st == 12) //add other devices
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				file_conf_request();//un file conf aggiornato serve solo per la funzione gsm_check
				pag_change(".wizard .wizard_body", "widget_add_installer");
			}).parent().show();
		}
		else if (wizard_st == 13) //add installer
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				$("#newpin_installer").trigger("check_input_inst");
			});
			$("#footer_d_b").on("inst_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_confirm", "{LANG_INSTALLER}", widget_obj.item_user.children("name").text(), "widget_add_power_user");
			});
			$("#footer_d_b").on("inst_already_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_add_power_user");
			});
		}
		else if (wizard_st == 14) //add power user
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_installer");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				$("#newpin_poweruser").trigger("check_input_pow");
			});
			$("#footer_d_b").on("pow_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_confirm", "{LANG_WIZARD_ADD_POWER_USER_PAGE_CONFIRM}", widget_obj.item_user.children("name").text(), "widget_add_user");
			});
			$("#footer_d_b").on("pow_already_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_add_user");
			});
		}
		else if (wizard_st == 15) //add user
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_power_user");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_other_users");
			}).parent().show();
		}
		else if (wizard_st == 22) //add user2
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_user");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.send_save_user();
			});
			$("#footer_d_b").on("usr_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_confirm", "{LANG_WIZARD_ADD_USER2_PAGE_CONFIRM}", widget_obj.item_user.children("name").text(), "widget_add_user");
			});
		}
		else if (wizard_st == 16) //add other users
		{
			$("#footer_a_a").click(function()
			{
				xml_user_tbl = [];
				pag_change(".wizard .wizard_body", "widget_add_user");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_parcen");
			}).parent().show();
		}
		else if (wizard_st == 17) //mod user
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_other_users");
			}).parent().show();
			$("#footer_a_a").on("add_other_users_back", function()
			{
				pag_change(".wizard .wizard_body", "widget_add_other_users");
			});
			$("#footer_d_b").click(function()
			{
				widget_obj.user_par_save();
				//
				xml_request = xml_request_head_build("MENU", "widget_mod_user");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);	
				xml_par = $(XML("page")); xml_par.text(WS_USER_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_par.append(widget_obj.user);
				if (ena_save) xml_send(xml_request);
			}).parent().show();
			$(".footer_wizard").s_scroller_new(".widget_mod_user .s_container", null, null, 0);
		}
		else if (wizard_st == 18) //disponibile
		{
			//
		}
		else if (wizard_st == 19) //disponibile
		{
			//
		}
		else if (wizard_st == 20) //test_device
		{
			$("#footer_a_a").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change(".wizard .wizard_body", "widget_audio");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				file_conf_request(true); //ATTENZIONE RICHIEDERE PRIMA DI ENTRARE IN HOME
			});
		}
		else if (wizard_st == 21) //test_device_list
		{
			$("#footer_a_a").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change(".wizard .wizard_body", "widget_test_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				if (!pag_table_new["widget_test_device_list"].run_once || widget_obj.type_of_list != DEVICE_TEST_SEN)
				{
					$("#footer_a_a").trigger("click");
				}
				else
				{
					pag_table_new["widget_test_device_list"].run_once = false;
					//
					xml_request = xml_request_head_build("MENU", "widget_test_device_list");
					xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
					xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
					xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
					xml_send(xml_request);
				}
			}).parent().show();
			$("#footer_d_b").on("test_stopped", function()
			{
				pag_table_new["main_obj"].preload_dev = true;
				xml_menu_load_send(WS_TEST_STR, null, null, "main_obj", widget_obj.type_of_list);
			});
		}
		else if (wizard_st == 29) //test_field_meter
		{
			$("#footer_a_a").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(DEVICE_TEST_FIELD); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change(".wizard .wizard_body", "widget_test_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(DEVICE_TEST_FIELD); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change(".wizard .wizard_body", "widget_test_device");
			}).parent().show();
		}
		else if (wizard_st == 30) //test_device_detail
		{
			$("#footer_a_a").click(function()
			{
				pag_clear(".JSdialog");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				//TODO: salvataggio risultati test
				pag_clear(".JSdialog");
			}).parent().show();
		}
		else if (wizard_st == 31) //keypad
		{
			$("#footer_a_a").click(function()
			{
				pag_clear(".JSdialog2");
				//
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("EXE"); xml_request.append(xml_par);
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_node = $(XML("id")); xml_node.text($(".widget_test_device_detail").attr("data-dev-id")); xml_par.append(xml_node);
				xml_node = $(XML("act")); xml_node.text("ABORT"); xml_par.append(xml_node);
				xml_send(xml_request);
				//
				widget_obj.okey_toggle("ON");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				$("#footer_a_a").trigger("click");
			}).parent().show();
		}
		else if (wizard_st == 24) //parcen
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_other_users");
				//
//				send_state_maint();//_FT_ PERCHE???
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				waiting_status = 1;
				pag_change(".JSdialog", "widget_waiting");
				global_send_dev_mod_save(widget_obj, null, null, WS_SET_STR);
			}).parent().show();
			$("#footer_d_b").on("parcen_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_parvig");
				//
//				send_state_maint();//_FT_ PERCHE???
			});
			$(".footer_wizard").off("s_scroller_new").s_scroller_new("#container_parcen", null, null, 0);
		}
		else if (wizard_st == 28) //parvig
		{
			$("#footer_a_a").click(function() //NO UNBIND
			{
				pag_change(".wizard .wizard_body", "widget_parcen");
				//
//				send_state_maint();//_FT_ PERCHE???
			}).parent().show();
			//
			$("#footer_d_b").click(function()
			{
				widget_obj.send_parvig_save();
			});
			$("#footer_d_b").on("parvig_saved", function()
			{
				if ((gsm_check() && type_conn == "AP") || type_conn == "CL")
					pag_change(".wizard .wizard_body", "widget_mod_email");
				else
					pag_change(".wizard .wizard_body", "widget_audio");
				//
//				send_state_maint();//_FT_ PERCHE???
			});
			$(".footer_wizard").s_scroller_new("#container_parvig", null, null, 0);
		}
		else if (wizard_st == 26) //audio
		{
			$("#footer_a_a").click(function()
			{
				if ((gsm_check() && type_conn == "AP") || type_conn == "CL")
					pag_change(".wizard .wizard_body", "widget_mod_email");
				else
					pag_change(".wizard .wizard_body", "widget_parvig");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_test_device");
			}).parent().show();
		}
		else if (wizard_st == 32) //mod_device_tvcc solo-binding
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_add_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.par_send();
			}).parent().show();
			$("#footer_d_b").on("bound", function()
			{
				pag_change(".wizard .wizard_body", "widget_add_device");
			});
			$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_mod_device .s_container", null, null, 0);
		}
		else if (wizard_st == 33) //email
		{
			$("#footer_a_a").click(function()
			{
				pag_change(".wizard .wizard_body", "widget_parvig");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.par_save();
				//
				xml_request = xml_request_head_build("MENU", "widget_mod_email");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);
				xml_par = $(XML("page")); xml_par.text(WS_SET_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_par.append(widget_obj.xml_set);
				if (ena_save) xml_send(xml_request);
			});
			$("#footer_d_b").on("email_saved", function()
			{
				pag_change(".wizard .wizard_body", "widget_audio");
			});
		}
	}
	else if ($("#gui_footer").length > 0)
	{
		$(".footer_container_btn").unbind();
		$(".footer_container_btn_inside").unbind();
		$(".footer_container_btn").hide();
		$(".footer_container_info").hide();
		$(".footer_wizard").show();
		footer_act("#footer-wizard-page");
		//
		$("#footer_a_a").click(function()
		{
			footer_act("#footer-home-page"); //prima di page_act("#settings-page");
			pag_clear("#seeking-page .quadrant");
			page_act("#settings-page");
			header_act("#header-home-page");
			file_conf_request();
		}).parent().show();
		//
		if (wizard_st == -1)
		{
			footer_act("#footer-home-page");
		}
		else if (wizard_st == 0) //language
		{
			$("#footer_a_a").off("click");
			$("#footer_d_b, #footer_a_a").click(function()
			{
//				$("#footer_a_a").trigger("click");
				widget_lang_scroller_sets = null;
				footer_act("#footer-home-page"); //prima di page_act("#settings-page");
				pag_clear("#seeking-page .quadrant");
				page_act("#settings-page");
				header_act("#header-home-page");
			});
		}
		else if (wizard_st == 1) //dtpicker
		{
			$("#footer_a_a").off("click").on("click.rollback", function()
			{
				widget_obj.only_rollback = true;
				global_send_dev_mod_save(widget_obj, false);
			});
			$("#footer_a_a").on("click.ok", function()
			{
				footer_act("#footer-home-page");
				pag_clear("#seeking-page .quadrant");
				page_act("#settings-page");
				header_act("#header-home-page");
				file_conf_request();
			});
			//
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$("#footer_d_b").on("dt_saved", function()
			{
				$("#footer_a_a").trigger("click.ok");
			});
		}
		else if (wizard_st == 2) //nuovo impianto
		{
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$("#footer_d_b").on("system_name_saved", function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 3) //identificazione aree
		{
			$("#footer_d_b").click(function()
			{
				widget_obj.save_area();
			}).parent().show();
			$("#footer_d_b").on("areas_name_saved", function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 4) //dispositivi wireless
		{
			$("#footer_a_a").unbind("click").click(function()
			{
				clearTimeout(t_out_main_secondary);
				widget_obj.abort_detection();
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_device");
			}).parent().show();
		}
		else if (wizard_st == 5) //dispositivo
		{
			// gestito dal widget_device
		}
		else if (wizard_st == 6) //set_device
		{
			device_set_converge_footer(widget_obj);
		}
		else if (wizard_st == 7) //conferma aggiunta contatto confirm
		{
			$(".footer_wizard").hide();
		}
		else if (wizard_st == 8) //add device
		{
			$("#footer_a_a").unbind().click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_devices");
			}).parent().show();
		}
		else if (wizard_st == 9) //mod_device
		{
			$("#footer_a_a").unbind().click(function()
			{
				device_not_saved = true;// x non richiedere nuovamente la lista dei device alla centrale
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_devices");
			}).parent().show();
			$("#footer_a_a").on("add_other_devices_back", function()
			{
				filter_area = [];
				filter_room = [];
				filter_type = [];
				//
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_devices");
			});
			$("#footer_d_b").click(function()
			{
				global_send_dev_mod_save(widget_obj);
			}).parent().show();
			$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_mod_device .s_container", null, null, 0);
		}
		else if (wizard_st == 10) //typeconn
		{
			$("#footer_a_a").click(function()
			{
				parconn.ap_cl_nn = [];
				parconn.saved = false;
				typeconn.mode = null;
			});
			$("#footer_d_b").click(function()
			{
				if (SIL)
				{
					if (typeconn.mode == "NN")
					{
						if (typeconn.mode != type_conn)
							global_send_dev_mod_save(widget_obj);
						else
							$("#footer_a_a").trigger("click");
					}
					else
					{
						$("#footer_a_a").trigger("click");
					}
				}
				else
				{
					if (typeconn.mode == type_conn && !parconn.saved)
						$("#footer_a_a").trigger("click");
					else
						global_send_dev_mod_save(widget_obj);
				}
			}).parent().show();
			$("#footer_d_b").on("parconn_saved", function()
			{
				refresh_set_email = true;
				//
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 11) //parconn
		{
			$("#footer_a_a").unbind().click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_typeconn");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				if (SIL)
				{
					global_send_dev_mod_save(widget_obj);
				}
				else
				{
					widget_obj.par_save();
					if (ena_save)
					{
						parconn.ap_cl_nn = widget_obj.xml_any_arr;
						parconn.saved = true;
						$("#footer_a_a").trigger("click");
					}
				}
			}).parent().show();
			if (SIL)
			{
				$("#footer_d_b").on("parconn_saved", function()
				{
					refresh_set_email = true;
					//
					$("#footer_a_a").trigger("click");
				});
			}
		}
		else if (wizard_st == 12) //add other devices
		{
			//
		}
		else if (wizard_st == 13) //add installer
		{
			$("#footer_d_b").click(function()
			{
				$("#newpin_installer").trigger("check_input_inst");
			});
			$("#footer_d_b").on("inst_saved", function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_confirm", "{LANG_INSTALLER}", widget_obj.item_user.children("name").text(), "RETURN_TO_SETTINGS");
			});
			$("#footer_d_b").on("inst_already_saved", function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 14) //add power user
		{
			$("#footer_d_b").click(function()
			{
				$("#newpin_poweruser").trigger("check_input_pow");
			});
			$("#footer_d_b").on("pow_saved", function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_confirm", "{LANG_WIZARD_ADD_POWER_USER_PAGE_CONFIRM}", widget_obj.item_user.children("name").text(), "RETURN_TO_SETTINGS");
			});
			$("#footer_d_b").on("pow_already_saved", function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 15) //add user
		{
			$("#footer_a_a").unbind().click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_users");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_users");
			}).parent().show();
		}
		else if (wizard_st == 22) //add user2
		{
			$("#footer_a_a").unbind().click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_user");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.send_save_user();
			});
			$("#footer_d_b").on("usr_saved", function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_confirm", "{LANG_WIZARD_ADD_USER2_PAGE_CONFIRM}", widget_obj.item_user.children("name").text(), "widget_add_user");
			});
		}
		else if (wizard_st == 16) //add other users
		{
			$("#footer_a_a").on("click", function()
			{
				xml_user_tbl = [];
			});
		}
		else if (wizard_st == 17) //mod user
		{
			$("#footer_a_a").unbind().click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_users");
			}).parent().show();
			$("#footer_a_a").on("add_other_users_back", function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_other_users");
			});
			$("#footer_d_b").click(function()
			{
				widget_obj.user_par_save();
				//
				xml_request = xml_request_head_build("MENU", "widget_mod_user");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);	
				xml_par = $(XML("page")); xml_par.text(WS_USER_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_par.append(widget_obj.user);
				if (ena_save) xml_send(xml_request);
			}).parent().show();
			$(".footer_wizard").s_scroller_new(".widget_mod_user .s_container", null, null, 0);
		}
		else if (wizard_st == 24) //parcen
		{
			$("#footer_a_a").click(function() //NO UNBIND
			{
//				send_state_maint();
			});
			//
			$("#footer_d_b").click(function()
			{
				waiting_status = 1;
				pag_change(".JSdialog", "widget_waiting");
				global_send_dev_mod_save(widget_obj, null, null, WS_SET_STR);
			}).parent().show();
			$("#footer_d_b").on("parcen_saved", function()
			{
				$("#footer_a_a").trigger("click");
				//
//				send_state_maint();
			});
			$(".footer_wizard").off("s_scroller_new").s_scroller_new("#container_parcen", null, null, 0);
		}
		else if (wizard_st == 28) //parvig
		{
			$("#footer_a_a").click(function() //NO UNBIND
			{
//				send_state_maint();
			});
			//
			$("#footer_d_b").click(function()
			{
				widget_obj.send_parvig_save();
			});
			$("#footer_d_b").on("parvig_saved", function()
			{
				$("#footer_a_a").trigger("click");
				//
//				send_state_maint();
			});
			$(".footer_wizard").s_scroller_new("#container_parvig", null, null, 0);
		}
		else if (wizard_st == 26) //audio
		{
			$("#footer_d_b").click(function()
			{
				$("#footer_a_a").trigger("click");
			}).parent().show();
		}
		else if (wizard_st == 20) //test_device
		{
			$("#footer_a_a").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
				xml_send(xml_request);
			});
			$("#footer_d_b").click(function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 21) //test_device_list
		{
			$("#footer_a_a").off("click").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_test_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				if (!pag_table_new["widget_test_device_list"].run_once || widget_obj.type_of_list != DEVICE_TEST_SEN)
				{
					$("#footer_a_a").trigger("click");
				}
				else
				{
					pag_table_new["widget_test_device_list"].run_once = false;
					//
					xml_request = xml_request_head_build("MENU", "widget_test_device_list");
					xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
					xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
					xml_par = $(XML("par")); xml_par.text(widget_obj.type_of_list); xml_request.append(xml_par);
					xml_send(xml_request);
				}
			}).parent().show();
			$("#footer_d_b").on("test_stopped", function()
			{
				pag_table_new["main_obj"].preload_dev = true;
				xml_menu_load_send(WS_TEST_STR, null, null, "main_obj", widget_obj.type_of_list);
			});
		}
		else if (wizard_st == 29) //test_field_meter
		{
			$("#footer_a_a").off("click").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(DEVICE_TEST_FIELD); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_test_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("STOP"); xml_request.append(xml_par);		
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);		
				xml_par = $(XML("par")); xml_par.text(DEVICE_TEST_FIELD); xml_request.append(xml_par);
				xml_send(xml_request);
				//
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_test_device");
			}).parent().show();
		}
		else if (wizard_st == 30) //test_device_detail
		{
			$("#footer_a_a").off("click").click(function()
			{
				pag_clear(".JSdialog");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				//TODO: salvataggio risultati test
				pag_clear(".JSdialog");
			}).parent().show();
		}
		else if (wizard_st == 31) //keypad
		{
			$("#footer_a_a").off("click").click(function()
			{
				pag_clear(".JSdialog2");
				//
				xml_request = xml_request_head_build("MENU");
				xml_par = $(XML("act")); xml_par.text("EXE"); xml_request.append(xml_par);
				xml_par = $(XML("page")); xml_par.text(WS_TEST_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_node = $(XML("id")); xml_node.text($(".widget_test_device_detail").attr("data-dev-id")); xml_par.append(xml_node);
				xml_node = $(XML("act")); xml_node.text("ABORT"); xml_par.append(xml_node);
				xml_send(xml_request);
				//
				widget_obj.okey_toggle("ON");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				$("#footer_a_a").trigger("click");
			}).parent().show();
		}
		else if (wizard_st == 23) //region
		{
			$("#footer_d_b").click(function()
			{
				widget_obj.save_region();
			});
			$("#footer_d_b").on("region_saved", function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 25) //guide
		{
			$("#footer_d_b").click(function()
			{
				$("#footer_a_a").trigger("click");
			}).parent().show();
			$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_guide.s_container", $(".widget_guide #guide").outerHeight(true)-$(".widget_guide").height(), null, 0).parent().show();
		}
		else if (wizard_st == 32) //mod_device_tvcc solo-binding
		{
			$("#footer_a_a").off("click").click(function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_device");
			}).parent().show();
			$("#footer_d_b").click(function()
			{
				widget_obj.par_send();
			}).parent().show();
			$("#footer_d_b").on("bound", function()
			{
				pag_change("#seeking-page .quadrant_abcd.abcd", "widget_add_device");
			});
			$(".footer_wizard").unbind("s_scroller_new").s_scroller_new(".widget_mod_device .s_container", null, null, 0);
		}
		else if (wizard_st == 33) //email
		{
			$("#footer_d_b").click(function()
			{
				widget_obj.par_save();
				//
				xml_request = xml_request_head_build("MENU", "widget_mod_email");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);
				xml_par = $(XML("page")); xml_par.text(WS_SET_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_par.append(widget_obj.xml_set);
				if (ena_save) xml_send(xml_request);
			});
			$("#footer_d_b").on("email_saved", function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
		else if (wizard_st == 34) //smart
		{
			$("#footer_a_a").click(function()
			{
				widget_obj.stop_binding();
			});
			$("#footer_d_b").click(function()
			{
				$("#footer_a_a").trigger("click");
			});
		}
	}
}
//
function device_set_converge_footer(widget_obj)
{
	//if ($("#gui_footer").length > 0)
		$("#footer_a_a").off("click").parent().hide();
	//
	$("#footer_d_b").click(function()
	{
		global_send_dev_mod_save(widget_obj);
		//
		if (ena_save)
		{
			waiting_status = 1;
			pag_change(".JSdialog", "widget_waiting");
		}
	}).parent().show();
	$("#footer_d_b").off("any_saved").on("any_saved", function()
	{
		waiting_status = 0;
		pag_clear(".JSdialog");
		//
		var footer_type_str = xml_file_configuration
			.find("Categories")
			.find("Category[id='"+xml_any_tbl[any_ind].find("category").text()+"']")
			.find("Subcategories").find("Subcategory[id='"+xml_any_tbl[any_ind]
			.find("subcategory").text()+"']")
			.attr("name");
		// NUOVA here_context
		pag_change("[data-curpage = " + widget_obj.name + "]", "widget_confirm", footer_type_str, xml_any_tbl[any_ind].children("name").text(), "widget_add_device");
	});
	if (widget_obj.name == "widget_set_device_rem")
		$(".footer_wizard").unbind().s_scroller_new(".widget_set_device.s_container", null, null, 0).parent().show();
	if (widget_obj.name == "widget_set_device_tagelockreader")
		$(".footer_wizard").unbind().s_scroller_new(".widget_set_device.s_container", null, null, 0).parent().show();
}
/**************************/
/*** END FOOTER MANAGER ***/
/**************************/
//
/*** DA RTC.JS ***/
function week_day_month()
{
	var week_day_month_str = "";
	//
	var dow = get_day_week();
	if (dow == 0) week_day_month_str += "{LANG_SUNDAY}";
	else if (dow == 1) week_day_month_str += "{LANG_MONDAY}";
	else if (dow == 2) week_day_month_str += "{LANG_TUESDAY}";
	else if (dow == 3) week_day_month_str += "{LANG_WEDNESDAY}";
	else if (dow == 4) week_day_month_str += "{LANG_THURSDAY}";
	else if (dow == 5) week_day_month_str += "{LANG_FRIDAY}";
	else if (dow == 6) week_day_month_str += "{LANG_SATURDAY}";
	//
	week_day_month_str += " ";
	week_day_month_str += get_day();
	//
	week_day_month_str += " ";
	var mon = get_month();
	if (mon == 1) week_day_month_str += "{LANG_SHORT_JANUARY}";
	else if (mon == 2) week_day_month_str += "{LANG_SHORT_FEBRUARY}";
	else if (mon == 3) week_day_month_str += "{LANG_SHORT_MARCH}";
	else if (mon == 4) week_day_month_str += "{LANG_SHORT_APRIL}";
	else if (mon == 5) week_day_month_str += "{LANG_SHORT_MAY}";
	else if (mon == 6) week_day_month_str += "{LANG_SHORT_JUNE}";
	else if (mon == 7) week_day_month_str += "{LANG_SHORT_JULY}";
	else if (mon == 8) week_day_month_str += "{LANG_SHORT_AUGUST}";
	else if (mon == 9) week_day_month_str += "{LANG_SHORT_SEPTEMBER}";
	else if (mon == 10) week_day_month_str += "{LANG_SHORT_OCTOBER}";
	else if (mon == 11) week_day_month_str += "{LANG_SHORT_NOVEMBER}";
	else if (mon == 12) week_day_month_str += "{LANG_SHORT_DECEMBER}";
	//
	return (week_day_month_str);
}
function week_day_month_do(local_date_obj)
{
	var week_day_month_str = "";
	//
	var dow = get_day_week_do(local_date_obj);
	if (dow == 0) week_day_month_str += "{LANG_SUNDAY}";
	else if (dow == 1) week_day_month_str += "{LANG_MONDAY}";
	else if (dow == 2) week_day_month_str += "{LANG_TUESDAY}";
	else if (dow == 3) week_day_month_str += "{LANG_WEDNESDAY}";
	else if (dow == 4) week_day_month_str += "{LANG_THURSDAY}";
	else if (dow == 5) week_day_month_str += "{LANG_FRIDAY}";
	else if (dow == 6) week_day_month_str += "{LANG_SATURDAY}";
	//
	week_day_month_str += " ";
	week_day_month_str += get_day_do(local_date_obj);
	//
	week_day_month_str += " ";
	var mon = get_month_do(local_date_obj);
	if (mon == 1) week_day_month_str += "{LANG_SHORT_JANUARY}";
	else if (mon == 2) week_day_month_str += "{LANG_SHORT_FEBRUARY}";
	else if (mon == 3) week_day_month_str += "{LANG_SHORT_MARCH}";
	else if (mon == 4) week_day_month_str += "{LANG_SHORT_APRIL}";
	else if (mon == 5) week_day_month_str += "{LANG_SHORT_MAY}";
	else if (mon == 6) week_day_month_str += "{LANG_SHORT_JUNE}";
	else if (mon == 7) week_day_month_str += "{LANG_SHORT_JULY}";
	else if (mon == 8) week_day_month_str += "{LANG_SHORT_AUGUST}";
	else if (mon == 9) week_day_month_str += "{LANG_SHORT_SEPTEMBER}";
	else if (mon == 10) week_day_month_str += "{LANG_SHORT_OCTOBER}";
	else if (mon == 11) week_day_month_str += "{LANG_SHORT_NOVEMBER}";
	else if (mon == 12) week_day_month_str += "{LANG_SHORT_DECEMBER}";
	//
	return (week_day_month_str);
}
function week_day_month_for_dash(dow, day, month)
{
	var week_day_month_str = "";
	//
	if (dow == "Mo") week_day_month_str += "{LANG_MONDAY}";
	else if (dow == "Tu") week_day_month_str += "{LANG_TUESDAY}";
	else if (dow == "We") week_day_month_str += "{LANG_WEDNESDAY}";
	else if (dow == "Th") week_day_month_str += "{LANG_THURSDAY}";
	else if (dow == "Fr") week_day_month_str += "{LANG_FRIDAY}";
	else if (dow == "Sa") week_day_month_str += "{LANG_SATURDAY}";
	else if (dow == "Su") week_day_month_str += "{LANG_SUNDAY}";
	//
	week_day_month_str += " "+day+" ";
	//
	if (month == 1) week_day_month_str += "{LANG_SHORT_JANUARY}";
	else if (month == 2) week_day_month_str += "{LANG_SHORT_FEBRUARY}";
	else if (month == 3) week_day_month_str += "{LANG_SHORT_MARCH}";
	else if (month == 4) week_day_month_str += "{LANG_SHORT_APRIL}";
	else if (month == 5) week_day_month_str += "{LANG_SHORT_MAY}";
	else if (month == 6) week_day_month_str += "{LANG_SHORT_JUNE}";
	else if (month == 7) week_day_month_str += "{LANG_SHORT_JULY}";
	else if (month == 8) week_day_month_str += "{LANG_SHORT_AUGUST}";
	else if (month == 9) week_day_month_str += "{LANG_SHORT_SEPTEMBER}";
	else if (month == 10) week_day_month_str += "{LANG_SHORT_OCTOBER}";
	else if (month == 11) week_day_month_str += "{LANG_SHORT_NOVEMBER}";
	else if (month == 12) week_day_month_str += "{LANG_SHORT_DECEMBER}";
	//
	return week_day_month_str;
}
/**
 * PICKER - +
 * @param normalizer 	funzione associata per normalizzare il valore prima che venga variato
 * @param context 		classe contenitrice di tutti i picker
 */
var mouse_down_i = false;
var mouse_down_d = false;
var t_out_picker_i;
var t_out_picker_d;
var speed_countdown = 10;
$(document).unbind(vmouseup+".picker").bind(vmouseup+".picker", function(e)
{
	if ((e.button == 0 || TCH) && ($(".slot_picker, .slot_picker_scene").length > 0 || $(".widget_dtpicker").length > 0) && arrow_xml != null)
	{
		mouse_down_i = false;
		mouse_down_d = false;
		clearTimeout(t_out_picker_i);
		clearTimeout(t_out_picker_d);
		speed_countdown = 10;
		arrow_xml.trigger("pick_extra_func");
		arrow_xml = null;
	}
});
var arrow_xml;
function picker(context, normalizer)
{
	var warn_msg;
	$(context+" .side.value p").each(function()
	{
		//init color
		var data_red = $(this).attr("data-red");
		if (data_red != null)
		{
			var lb_str = data_red.split(",")[0];
			var ub_str = data_red.split(",")[1];
			var lb = parseInt(lb_str);
			var ub = parseInt(ub_str);
			if (isNaN(lb))
			{
				var vlr = Number($(this).text());
				if (vlr < ub)
					$(this).addClass("red");
				else
					$(this).removeClass("red");
			}
			else if (isNaN(ub))
			{
				var vlr = Number($(this).text());
				if (vlr > lb)
					$(this).addClass("red");
				else
					$(this).removeClass("red");
			}
			else if (isNaN(lb) && isNaN(ub))
			{
				$(this).addClass("red");
			}
			else if (lb_str.indexOf("o") > -1 || ub_str.indexOf("o") > -1)
			{
				var vlr = Number($(this).text());
				if (vlr > ub || vlr < lb)
					$(this).addClass("red");
				else
					$(this).removeClass("red");
			}
			else
			{
				var vlr = Number($(this).text());
				if (vlr > lb && vlr < ub)
					$(this).addClass("red");
				else
					$(this).removeClass("red");
			}
		}
	});
	//
	$(context+" .slot_picker .side.arrow, "+context+" .slot_picker_scene .side.arrow").off(vmousedown).on(vmousedown, function(e)
	{
		if ((e.button == 0 || TCH) && !$(this).parent().hasClass("disabled"))
		{
			arrow_xml = $(this);
			if ($(this).hasClass("left"))
			{
				mouse_down_d = true;
				decrease_value($(this));
			}
			else if ($(this).hasClass("right"))
			{
				mouse_down_i = true;
				increase_value($(this));
			}
		}
	});
	//
	var prev_value;
	function decrease_value(btn)
	{
		speed_countdown--;
		var left_on = true;
		var svp = btn.siblings(".side.value").children("p");
		var speed = 150;
		if (svp.attr("data-speed") != null) speed = svp.attr("data-speed");
		var value = svp.text();
		if (normalizer != null)
			value = normalizer(value, btn.parent(), btn);
		if (svp.attr("data-lbound") != null)
			if (value <= parseInt(svp.attr("data-lbound")))
				left_on = false;
		prev_value = value;
		if (left_on)
			svp.text(--value);
		//
		add_zero_digit(svp);
		//
		redden(svp, "d");
		//
		if (mouse_down_d) 
			t_out_picker_d = setTimeout(function()
			{
				decrease_value(btn);
			}, speed_countdown < 0 ? speed/3 : speed);
	}
	function increase_value(btn)
	{
		speed_countdown--;
		var right_on = true;
		var svp = btn.siblings(".side.value").children("p");
		var speed = 150;
		if (svp.attr("data-speed") != null) speed = svp.attr("data-speed");
		var value = svp.text();
		if (!(normalizer == null))
			value = normalizer(value, btn.parent(), btn);
		if (!(svp.attr("data-rbound") == null))
			if (value >= parseInt(svp.attr("data-rbound")))
				right_on = false;
		prev_value = value;
		if (right_on)
			svp.text(++value);
		//
		add_zero_digit(svp);
		//
		redden(svp, "i");
		//
		if (mouse_down_i) 
			t_out_picker_i = setTimeout(function()
			{
				increase_value(btn);
			}, speed_countdown < 0 ? speed/3 : speed);
	}
	function add_zero_digit(svp)
	{
		if (!(svp.attr("data-digit") == null))
		{
			var num_zero_to_add = svp.attr("data-digit") - svp.text().length;
			for (var i = 0; i < num_zero_to_add; i++)
				$(svp).text("0"+$(svp).text());
		}
	}
	function redden(svp, i_d)
	{
		var data_red = svp.attr("data-red");
		if (data_red != null)
		{
			warn_msg = svp.attr("data-warn-msg") || "{LANG_EN50131}";
			var lb_str = data_red.split(",")[0];
			var ub_str = data_red.split(",")[1];
			var lb = parseInt(lb_str);
			var ub = parseInt(ub_str);
			if (isNaN(lb))
			{
				var vlr = Number(svp.text());
				if (vlr < ub)
					svp.addClass("red");
				else
					svp.removeClass("red");
				//
				if (i_d == "d")
					if (prev_value == ub)
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "ok", null);
			}
			else if (isNaN(ub))
			{
				var vlr = Number(svp.text());
				if (vlr > lb)
					svp.addClass("red");
				else
					svp.removeClass("red");
				//
				if (i_d == "i")
					if (prev_value == lb)
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "ok", null);
			}
			else if (isNaN(lb) && isNaN(ub))
			{
				svp.addClass("red");
			}
			else if (lb_str.indexOf("o") > -1 || ub_str.indexOf("o") > -1)
			{
				var vlr = Number(svp.text());
				if (vlr > ub || vlr < lb)
					svp.addClass("red");
				else
					svp.removeClass("red");
				//
				if (i_d == "i")
				{
					if (prev_value == ub)
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "ok", null);
				}
				else 
				{
					if (prev_value == lb)
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "ok", null);
				}
			}
			else
			{
				var vlr = Number(svp.text());
				if (vlr > lb && vlr < ub)
					svp.addClass("red");
				else
					svp.removeClass("red");
				//
				if (i_d == "i")
				{
					if (prev_value == lb)
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "ok", null);
				}
				else 
				{
					if (prev_value == ub)
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "ok", null);
				}
			}
		}
	}
}
//
function apply_marquee()
{
	var width_elem;
	var inner_width = $(".anom_list_button:first-child p").innerWidth();
	var max = $(".anom_list_button p")[0].scrollWidth;
	$(".anom_list_button p").each(function()
	{
		if ($(this)[0].scrollWidth > max)
			max = $(this)[0].scrollWidth;
	});
	width_elem = max;
	//
	marquee_();
	//
	function marquee_(pElem)
	{
		$(pElem).each(function()
		{
			if ($(this)[0].scrollWidth > $(this).innerWidth())
			{
				$(this).animate({"scrollLeft": width_elem - inner_width},
				{
					duration: 4000,
					complete: function()
					{
						$(pElem).finish();
						$(pElem).scrollLeft(0);
					}
				});
			}
		});
		if ($(pElem).length > 0)
			setTimeout(marquee_, 5000);
	}
}
//
function ampm_time(date)
{
	var res = "";
	var hours;
	var minutes;
	if (date instanceof Date)
	{
		hours = date.getHours();
		minutes = date.getMinutes();
	}
	else
	{
		var date_arr = date.split(":");
		hours = date_arr[0];
		minutes = date_arr[1];
	}
	//
	if (h24)
	{	
		if (hours < 10)
			hours = "0"+hours;
		res += hours;
		res += ":";
		if (minutes < 10)
			minutes = "0"+minutes;
		res += minutes;
	}
	else	
	{
		var ampm = hours >= 12 ? "{LANG_PM}" : "{LANG_AM}";
		hours = hours % 12;
		hours = hours ? hours : 12;
		if (hours < 10)
			hours = "0"+hours;
		res += hours;
		res += ":";
		if (minutes < 10)
			minutes = "0"+minutes;
		res += minutes;
		res += " "+ampm;
	}
	//
	return res;
}
function set_visible_area_qt()
{
	if (typeof webbridge != "undefined")
	{
		webbridge.setString("0", "{LANG_AREA_VIS}");
	}
}
set_visible_area_qt();
//
function Anom(id, desc, count)
{
    this.id = id;
    this.desc = desc;
    this.count = count;
}
//
function wired_type_str(subcategory, elem)
{
	if (subcategory == WS_DEV_ALARM_WIRED_STR)
	{
		return $(elem).children("wire_type").text() == "1" ? " {LANG_WIRED_IN}" : $(elem).children("wire_type").text() == "5" ? " {LANG_WIRED_OUT}" : " {LANG_WIRED_KEY}"; 
	}
	else
	{
		return "";
	}
}