function arrow_right_show()
{
	if (footer_loaded)
		$("#footer_d_b").parent().show();
	else
		setTimeout(function(){arrow_right_show();}, 200);
}
//
String.prototype.replaceAt = function(index, character)
{
	character = character + "";
    return this.substr(0, index) + character + this.substr(index+character.length);
}
String.prototype.cutBefore = function(str)
{
	var index = this.indexOf(str);
	if (index != -1 && index+str.length < this.length)
    	return this.substr(index+str.length, this.length-index-str.length);
	else
		return this;
}
String.prototype.cutAfter = function(str)
{
	var index = this.indexOf(str);
	if (index != -1 && index < this.length)
    	return this.substr(0, index);
	else
		return this;
}
String.prototype.cutAround = function(str1, str2)
{
	var str_res = this.cutBefore(str1);
	str_res = str_res.cutAfter(str2);
	return str_res;
}
String.prototype.replaceAll = function(search, replacement)
{
	var target = this;
	return target.split(search).join(replacement);
}
//
function get_all_indexes(arr, val)
{
    var indexes = [];
    var i = -1;
    while ((i = arr.indexOf(val, i+1)) != -1)
        indexes.push(i);
    return indexes;
}
function del_occurs(arr, val)
{
	var indexes = get_all_indexes(arr, val);
	while(indexes.length > 0)
	{
		arr.splice(indexes.pop(), 1);
	}
}
function aa_size(aa)
{
	var size = 0;
	for (var key in aa)
		size++;
	return size;
}
function get_aa_elem(aa, idx)
{
	for (var key in aa)
		if (idx == 0)
			return aa[key];
		else
			idx--;
}
//
(function($)
{
    $.fn.hasTag = function(tag)
    {
    	return $(this).children(tag).length > 0;	
    }
}(jQuery));
//
function keyboard_theme(plant)
{
	if (plant == NICE_STR)
	{
		webbridge.setColorMainBg("#000000");
		webbridge.setColorGridBg("#424A5D");
		webbridge.setColorButtonBg("#141E36");
		webbridge.setColorButtonPressedBg("#1A1A5A");
		webbridge.setColorButtonFg("#FFFFFF");
		webbridge.setColorButtonPressedFg("#FFFFFF");
		webbridge.setColorButtonFxBg("#141E36");
		webbridge.setColorButtonFxPressedBg("#1A1A5A");
		webbridge.setColorButtonFxFg("#999999");
		webbridge.setColorButtonFxPressedFg("#FFFFFF");
		webbridge.setColorTitleFg("#FFFFFF");
		webbridge.setColorValueFg("#FFFFFF");
		webbridge.setColorLineLengthBg("#424A5D");
		webbridge.setColorLineLengthFg("#88C23F");
		webbridge.setColorLineLengthTitleFg("#88C23F");
	}
	else if (plant == SIL_STR)
	{
		webbridge.setColorMainBg("#000000");
		webbridge.setColorGridBg("#424A5D");
		webbridge.setColorButtonBg("#141E36");
		webbridge.setColorButtonPressedBg("#1A1A5A");
		webbridge.setColorButtonFg("#FFFFFF");
		webbridge.setColorButtonPressedFg("#FFFFFF");
		webbridge.setColorButtonFxBg("#141E36");
		webbridge.setColorButtonFxPressedBg("#1A1A5A");
		webbridge.setColorButtonFxFg("#999999");
		webbridge.setColorButtonFxPressedFg("#FFFFFF");
		webbridge.setColorTitleFg("#FFFFFF");
		webbridge.setColorValueFg("#FFFFFF");
		webbridge.setColorLineLengthBg("#424A5D");
		webbridge.setColorLineLengthFg("#88C23F");
		webbridge.setColorLineLengthTitleFg("#88C23F");
	}
	else if (plant == DIY_STR)
	{
		webbridge.setColorMainBg("#000000");
		webbridge.setColorGridBg("#424A5D");
		webbridge.setColorButtonBg("#141E36");
		webbridge.setColorButtonPressedBg("#1A1A5A");
		webbridge.setColorButtonFg("#FFFFFF");
		webbridge.setColorButtonPressedFg("#FFFFFF");
		webbridge.setColorButtonFxBg("#141E36");
		webbridge.setColorButtonFxPressedBg("#1A1A5A");
		webbridge.setColorButtonFxFg("#999999");
		webbridge.setColorButtonFxPressedFg("#FFFFFF");
		webbridge.setColorTitleFg("#FFFFFF");
		webbridge.setColorValueFg("#FFFFFF");
		webbridge.setColorLineLengthBg("#424A5D");
		webbridge.setColorLineLengthFg("#88C23F");
		webbridge.setColorLineLengthTitleFg("#88C23F");
	}
}
//
(function($)
{
	$.fn.hasAttr = function(options)
	{
		if (typeof options != "string" || $(this).length == 0)
			return false;
		//
		var attr_str_list = [];
		var or_mode = options.indexOf("|") != -1;
		if (or_mode)	
		{
			attr_str_list = options.split("|");
			//
			for (var i = 0; i < attr_str_list.length; i++)
				if ($(this)[0].hasAttribute(attr_str_list[i]))
					return true;
			return false;
		}
		else
		{
			attr_str_list = options.split(" ");
			//
			for (var i = 0; i < attr_str_list.length; i++)
				if (!$(this)[0].hasAttribute(attr_str_list[i]))
					return false;
			return true;
		}
	};
}(jQuery));
//
/**
 * FUNZIONE SCROLL
 * context: container degli items da scorrere - parametro obbligatorio
 */
(function($)
{
	function arrow_manager(bottom, arrow_container, scroll_s)
	{
		if (bottom > 0)
		{
			arrow_container.container.show();
			if (scroll_s == 0)
			{
				arrow_container.up.css("opacity", "0.25");
				arrow_container.down.css("opacity", "1");
			}
			else if (scroll_s >= bottom) 
			{
				arrow_container.up.css("opacity", "1");
				arrow_container.down.css("opacity", "0.25");
			}
			else
			{
				arrow_container.both.css("opacity", "1");
			}
		}
		else
		{
			arrow_container.both.css("opacity", "0.25");
			arrow_container.container.hide();
		}
	}
	//
    $.fn.s_scroller_new = function(context, bottom, init_pos, speed, sel_h)
    {
    	var arrow_container = {
    		container: $(this).find(".shift").parent(),
    		up: $(this).find(".shift_up"),
    		down: $(this).find(".shift_down"),
    		both: $(this).find(".shift")
    	};
    	if (speed == null) speed = 500;
    	var halfSpeed = Math.round(speed/2);
    	var scroll_o = $(context);
    	if (bottom == null)
    	{
    		if (scroll_o.hasClass("s_shift"))
    		{
    			bottom = (scroll_o.children(":visible").outerHeight(true)*scroll_o.children(":visible").length)-scroll_o.height();
    		}
    		else
    		{
    			bottom = ($(context+" .s_shift:visible:first").outerHeight(true)*scroll_o.children(":visible").length)-scroll_o.height();
    		}
    	}
    	var scroll_s = scroll_o.scrollTop();
    	arrow_manager(bottom, arrow_container, scroll_s);
//tyu($(context+" .s_shift:visible").outerHeight(true)+" * "+scroll_o.children(":visible").length+" - "+scroll_o.height()+" |bottom:"+bottom);
//tyu(scroll_o.children(":visible").outerHeight(true)+" * "+scroll_o.children(":visible").length+" - "+scroll_o.height()+" |bottom:"+bottom);
    	var debounce = false;
    	if (sel_h == null)
    	{
	    	if ($(context).hasClass("s_shift"))
				sel_h = $(context).outerHeight(true);
			else
				sel_h = $(context+" .s_shift:visible:first").outerHeight(true);
		}
    	var sc_h = 0;
    	//save environment
    	this.data("context", $(context));
    	this.data("bottom", bottom);
    	this.data("sel_h", sel_h);
    	this.data("arrow_container", arrow_container);
    	//
    	function irepeat()
		{
			if (!up_s)
			{
				scroll_o.finish();
				scroll_o.animate({"scrollTop": scroll_s+sc_h},
				{
					duration: halfSpeed,
					complete: function()
					{
						scroll_s = scroll_o.scrollTop();
						arrow_manager(bottom, arrow_container, scroll_s);
						//
						scroll_o.trigger("scroller_extra");
					}
				});
				t_out_scroll.pop();
				t_out_scroll.push(setTimeout(irepeat, halfSpeed+20));
			}
		}
    	//
		function scrl_on(e)
		{
			up_s = false;
			if (!debounce)
			{
				if (e.button == 2 || e.button == 1)
					return false;
				debounce = true;
				sc_h = sel_h;
				if ($(this).hasClass("shift_up")) sc_h -= 2*sc_h;
				scroll_o.finish();
				scroll_s = scroll_o.scrollTop();
				scroll_o.animate({"scrollTop": scroll_s+sc_h},
				{
					duration: speed,
					complete: function()
					{
						scroll_s = scroll_o.scrollTop();
						arrow_manager(bottom, arrow_container, scroll_s);
						//
						scroll_o.trigger("scroller_extra");
					}
				});
				if (speed > 149)
				{
					t_out_scroll.push(setTimeout(irepeat, speed+30));
				}
				setTimeout(function()
				{
					debounce = false;
				}, 100);
			}
		}
		$(this).find(".shift").unbind(vmousedown).on(vmousedown, scrl_on);
		//
		if (init_pos != null && init_pos >= 0)
    	{
			scroll_o.scrollTop(init_pos*sel_h);
			arrow_manager(bottom, arrow_container, init_pos*sel_h);
    	}
		//
		if (typeof webbridge === 'undefined')
		{
			$(context).off("stopScroll").stopScroll(function()
			{
				arrow_manager(bottom, arrow_container, $(this).scrollTop());
				$(this).trigger("scroller_extra");
			});
		}
		//
		return $(this);
    };
    //facoltativi: duration, sel_h
    //richiede s_scroller_new
    $.fn.shift_item_new = function(pos, duration, sel_h)
	{
    	var arrow_container = this.data("arrow_container");
    	var scroll_o = this.data("context");
    	var bottom = this.data("bottom");
    	//
    	if (arrow_container != null && scroll_o != null)
    	{
			sel_h = sel_h || this.data("sel_h");
			if (duration == null)
				duration = 300;
			scroll_o.finish();
			scroll_o.animate({"scrollTop": pos*sel_h},
			{
				duration: duration,
				complete: function()
				{
					scroll_s = scroll_o.scrollTop();
					if (typeof webbridge != "undefined")
						arrow_manager(bottom, arrow_container, scroll_s);
					scroll_o.trigger("scroller_extra");
				}
			});
    	}
	};
	//
	$.fn.stopScroll = function(options)
	{
		options = $.extend(
		{
			delay: 100,
			callback: options
		}, options);
		//
		return this.each(function()
		{
			var element = this;
			$(this).scroll(function()
			{
				clearTimeout($.data(element, "scrollCheck"));
				$.data(element, "scrollCheck", setTimeout(function() {
					options.callback.call(element);
				}, options.delay));
			});
		});
	};
}(jQuery));
//
$(document).off(".t_out_scroll").on(vmouseup+".t_out_scroll", function()
{
	up_s  = true;
	for(; t_out_scroll.length > 0;)
		clearTimeout(t_out_scroll.pop());
});
//
function check_son_ena(ord, subcategory, device)
{
	if (ord !== "0")
	{
		if (subcategory === WS_DEV_ALARM_SEN_MAG_STR)
		{
			if (Number(device.children("phy_mode").text()) < 1)
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_SEN_TAP_STR)
		{
			if (Number(device.children("phy_mode").text()) < 1)
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_SENUNI_STR)
		{
			if (Number(device.children("phy_mode").text()) < 1)
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_SEN_MIC_STR)
		{
			if (Number(device.children("alarm_mode").text()) < 1)
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_WIRED_STR)
		{
			if (device.children("wire_type").text() === "1") //ingressi
			{
				if (device.children("cfg_wire_in_mode").text() == "" + WIRE_N_DISABLED)
					return false;
			}
			else if (device.children("wire_type").text() === "5") //uscite
			{
				if (device.children("wire_out_mode").text() === "0")
					return false;
			}
			else if (device.children("wire_type").text() === "3") //key
			{
				if (device.children("wire_key_mode").text() === "0")
					return false;
			}
		}
		else if (subcategory === WS_DEV_ALARM_BUS_SENSORI_STR)
		{
			if (device.children("child_valid").text() === "0")
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_BUS_CONC_STR)
		{
			if (device.children("child_valid").text() === "0")
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_BUS_CONC_RF_STR)
		{
			if (device.children("child_valid").text() === "0")
				return false;
		}
		else if (subcategory === WS_DEV_ALARM_BUS_INPUT_STR)
		{
			if (device.children("child_valid").text() === "0")
				return false;
		}
	}
	return true;
}
//
function save_step(step)
{
	xml_request = xml_request_head_build("MENU");
	xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);
	xml_par = $(XML("page")); xml_par.text("SET"); xml_request.append(xml_par);
	xml_par = $(XML("par")); xml_request.append(xml_par);
	xml_node = $(XML("step")); xml_node.text(step); xml_par.append(xml_node);
	return (xml_send(xml_request));
}
//
function page_act(page)
{
	$(".body_wrapper").hide();
	$(page).show();
	curr_page = page;
	//
	if (page == "#main-page")
	{
		start_tvcc();
		set_tout_stdby();
	}
	else
	{
		stop_tvcc();
		clearTimeout(t_out_home);
	}
	//
	if (curr_page != "#settings-page")
	{//ribadisce false
		settings_updating = false;
	}
	else
	{
		if (lang_has_been_changed_flg || refresh_set_email)
		{
			refresh_set_email = false;
			lang_has_been_changed_flg = false;
			pag_table_new["widget_settings"].update_language();
		}
	}
}
//
function schema_act(page, schema)
{
	$(page+" > .quadrant").hide();
	$(page+" > ."+schema).show();
}
//
function footer_act(page)
{
	$(".footer_wrapper").hide();
	$(page).show();
}
//
function header_act(page)
{
	$(".header_wrapper").hide();
	$(page).show();
}
//
function footer_menu_switcher(num)
{
	$(".footer_home .footer_container_btn_home.home").removeClass("selected");
	$(".footer_home .footer_container_btn_home.home:nth-child("+num+")").addClass("selected");
}
//
var test_device_saves = {
	gsm:
	{
		vocale: "",
		sms: "",
		digitale: "",
		digitale2: "",
		sia: "",
		sia2: "",
		email: ""
	},
	pstn:
	{
		vocale: "",
		digitale: "",
		digitale2: ""
	},
	wifi:
	{
		sia: "",
		sia2: "",
		email: ""
	},
	common:
	{
		phNum: "",
		digitale: "",
		digitale2: "",
		sia: "",
		sia2: "",
		email: ""
	}
}
//
var parconn = {
	ap_cl_nn: [],
	saved: false
}
var typeconn = {
	mode: null
}
anoms_obj = {
	anoms: [],
	flush_areas: "",
	command: "",
	login_code: "",
	cmd_area: "",
	warning: "",
	//
	getAnomIndex: function(index)
	{
		return this.anoms[index];
	},
	getAnoms: function()
	{
		return this.anoms;
	},
	getSize: function()
	{
		return this.anoms.length;
	},
	isWarning: function()
	{
		return this.warning == "1";
	},
	//
	init: function(anom_xml)
	{
		this.clean();
		//
		this.flush_areas = anom_xml.children("Anoms").attr("flush_area");
		this.cmd_area = anom_xml.children("Anoms").attr("cmd_area");
		this.command = anom_xml.children("Anoms").attr("command");
		this.login_code = anom_xml.children("Anoms").attr("login_code");
		this.warning = anom_xml.children("Anoms").attr("warning");
		//
		var local_anoms = this.anoms;
		anom_xml.find("Anoms Anom").each(function(index)
		{
			var count = $(this).children("cnt").text() || 0;
			var anom_id = xml_file_configuration
				.children("Devices")
				.children("Device[id='"+$(this).children("id").text()+"']")
				.attr("desc");
			var anom_desc = xml_file_configuration
				.children("Categories")
				.children("Category")
				.children("Subcategories")
				.children("Subcategory")
				.children("States")
				.children("State[id='"+$(this).children("State").text()+"']")
				.attr("desc");
			local_anoms[index] = new Anom(anom_id, anom_desc, count);
		});
	},
	clean: function()
	{
		this.anoms = [];
		this.flush_areas = "";
		this.login_code = "";
		this.command = "";
		this.cmd_area = "";
		this.warning = "";
	}
};
//
Date.prototype.std_timezone_offset = function()
{
	var jan = new Date(this.getFullYear(), 0, 1);
	var jul = new Date(this.getFullYear(), 6, 1);
	var jan_off = jan.getTimezoneOffset();
	var jul_off = jul.getTimezoneOffset();
	return [Math.max(jan_off, jul_off), jan_off-jul_off];
}
Date.prototype.dst_remover = function()
{
	var std_timezone = this.std_timezone_offset();
	if (this.getTimezoneOffset() < std_timezone[0])
	{
		var ts_mod = this.getTime()+(std_timezone[0]*60*1000);
		this.setTime(ts_mod);
	}
	return this.getTime();
}
Date.prototype.dst_adder = function()
{
	var std_timezone = this.std_timezone_offset();
	if (this.getTimezoneOffset() < std_timezone[0])
	{
		var ts_mod = this.getTime()-(std_timezone[0]*60*1000);
		this.setTime(ts_mod);
	}
	return this.getTime();
}
//
function send_state_stdby()
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("STDBY"); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_state_home()
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("HOME"); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_state_maint()
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("MAINT"); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_state_welcome_exit()
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("WELCOME_EXIT"); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_state_anom_flush(areas)
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("ANOM_ACK"); xml_request.append(xml_par);
	xml_par = $(XML("value")); xml_par.text(areas); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_state_brightness(value)
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("BRIGHT"); xml_request.append(xml_par);
	xml_par = $(XML("value")); xml_par.text(value); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_state_volume(value)
{
	xml_request = xml_request_head_build("STATE"); //STATE - INDICATION DI GUI
	xml_par = $(XML("type")); xml_par.text("VOL_LOCAL"); xml_request.append(xml_par);
	xml_par = $(XML("value")); xml_par.text(value); xml_request.append(xml_par);
	xml_send(xml_request);
}
function send_logOut()
{
	xml_request = xml_request_head_build("MENU");
	xml_par = $(XML("act")); xml_par.text("LOGOUT"); xml_request.append(xml_par);	
	xml_par = $(XML("page")); xml_par.text("USER"); xml_request.append(xml_par);
	xml_par = $(XML("par")); xml_request.append(xml_par);
	xml_send(xml_request);
}
//
function exit_settings()
{
	if ($("#settings-page").is(":visible"))
	{
		$(".settings_back").trigger("click");
	}
	else
	{
		t_out_settings = setTimeout(exit_settings, TIME_OUT_SETTINGS*1000);
	}
}
//
function start_tvcc()
{
	if (pag_table_new["widget_tvcc"] != undefined)
		pag_table_new["widget_tvcc"].start_tvcc();
}
function stop_tvcc()
{
	if (pag_table_new["widget_tvcc"] != undefined)
		pag_table_new["widget_tvcc"].stop_tvcc();
}
function are_there_tvcc()
{
	var len = 0;
	len = xml_file_configuration.find("Devices Device[deleted='FALSE'] Subcategory").filter(function()
	{
		if
		(
			(
				$(this).text() == WS_DEV_ALARM_TVCC_STR
				|| $(this).text() == WS_DEV_ALARM_SEN_PHOTOPIR_STR
				|| $(this).text() == WS_DEV_ALARM_SEN_PHOTOPIR_OUTDOOR_STR
			)
			&& $(this).siblings("Excluded").text() == "FALSE"
		)
			return true;
		else
			return false;
	}).length;
	if (len == 0)
		return false;
	else
		return true;
}
function swap_home()
{
	if (pag_table_new["home"] != undefined)
	{
		var widget_home = pag_table_new["home"];
		//
		if (type_conn == null || type_conn == "NN" || !are_there_tvcc())
		{
			if (widget_home.schema != "quadrant_ad_bc")
			{
				$("#main-page > .quadrant.quadrant_a_bc_d.a").children().detach().appendTo("#main-page > .quadrant.quadrant_ad_bc.ad");
				$("#main-page > .quadrant.quadrant_ad_bc.ad").attr("data-curpage", $("#main-page > .quadrant.quadrant_a_bc_d.a").attr("data-curpage"));
				$("#main-page > .quadrant.quadrant_a_bc_d.a").removeAttr("data-curpage");
				//
				$("#main-page > .quadrant.quadrant_a_bc_d.bc").children().detach().appendTo("#main-page > .quadrant.quadrant_ad_bc.bc");
				$("#main-page > .quadrant.quadrant_ad_bc.bc").attr("data-curpage", $("#main-page > .quadrant.quadrant_a_bc_d.bc").attr("data-curpage"));
				$("#main-page > .quadrant.quadrant_a_bc_d.bc").removeAttr("data-curpage");
				//
				pag_clear($("#main-page > .quadrant.quadrant_a_bc_d.d"));
				//
				widget_home.schema = "quadrant_ad_bc";
				schema_act("#main-page", "quadrant_ad_bc");
			}
		}
		else
		{
			if (widget_home.schema == "quadrant_ad_bc")
			{
				$("#main-page > .quadrant.quadrant_ad_bc.ad").children().detach().appendTo("#main-page > .quadrant.quadrant_a_bc_d.a");
				$("#main-page > .quadrant.quadrant_a_bc_d.a").attr("data-curpage", $("#main-page > .quadrant.quadrant_ad_bc.ad").attr("data-curpage"));
				$("#main-page > .quadrant.quadrant_ad_bc.ad").removeAttr("data-curpage");
				//
				$("#main-page > .quadrant.quadrant_ad_bc.bc").children().detach().appendTo("#main-page > .quadrant.quadrant_a_bc_d.bc");
				$("#main-page > .quadrant.quadrant_a_bc_d.bc").attr("data-curpage", $("#main-page > .quadrant.quadrant_ad_bc.bc").attr("data-curpage"));
				$("#main-page > .quadrant.quadrant_ad_bc.bc").removeAttr("data-curpage");
				//
				pag_change("#main-page > .quadrant_a_bc_d.d", "widget_tvcc");
				//
				widget_home.schema = "quadrant_a_bc_d";
				schema_act("#main-page", "quadrant_a_bc_d");
			}
		}
	}
}
function init_cam_array()
{
	if (pag_table_new["widget_tvcc"] != undefined)
		pag_table_new["widget_tvcc"].init_cam_array();
}
//
function summon_sidemsg(msg, lead, indi)
{
	if (pag_table_new["widget_sidemsg"] != undefined)
	{
		if (indi != null) pag_table_new["widget_sidemsg"].xml_indi = indi;
		//
		if (lead == null || lead == "display")
		{
			pag_table_new["widget_sidemsg"].display(msg);
		}
		else if (lead == "update")
		{
			pag_table_new["widget_sidemsg"].update(msg);
		}
		else if (lead == "refresh")
		{
			pag_table_new["widget_sidemsg"].refresh();
		}
		else if (lead == "show")
		{
			pag_table_new["widget_sidemsg"].show();
		}
		else if (lead == "hide")
		{
			pag_table_new["widget_sidemsg"].hide();
		}
	}
}
function summon_sideicon(lead, msg)
{
	if (pag_table_new["widget_sideicon"] != undefined)
	{
		if (lead == null || lead == "display")
		{
			pag_table_new["widget_sideicon"].display();
		}
		else if (lead == "update")
		{
			pag_table_new["widget_sideicon"].update(msg);
		}
		else if (lead == "refresh")
		{
			pag_table_new["widget_sideicon"].refresh();
		}
		else if (lead == "show")
		{
			pag_table_new["widget_sideicon"].show();
		}
		else if (lead == "hide")
		{
			pag_table_new["widget_sideicon"].hide();
		}
	}
}
function summon_sideanom(lead)
{
	if (pag_table_new["widget_sideanom"] != undefined)
	{
		if (lead == null || lead == "display")
		{
			pag_table_new["widget_sideanom"].display();
		}
		else if (lead == "update")
		{
			pag_table_new["widget_sideanom"].update();
		}
		else if (lead == "refresh")
		{
			pag_table_new["widget_sideanom"].refresh();
		}
		else if (lead == "show")
		{
			pag_table_new["widget_sideanom"].show();
		}
		else if (lead == "hide")
		{
			pag_table_new["widget_sideanom"].hide();
		}
	}
}
//stdby
function set_tout_stdby()
{
	clearTimeout(t_out_home);
	if (stdby_t_in != 0)
	{
		t_out_home = setTimeout(
			function()
			{
				if (curr_page == "#main-page")
				{
					if ($(".home .JSdialog").is(":hidden"))
					{
						if ($(".JSstdby").attr("data-curpage") != "widget_stdby")
						{
							pag_change(".JSstdby", "widget_stdby");
						}
						else
						{
							$("#header_center_container").hide();
							$("#header_center_container_stdby").show();
							$(".JSstdby").show();
							//
							stdby_flg = true;
						}
						send_state_stdby();
						stop_tvcc();
					}
					else
					{
						set_tout_stdby();
					}
				}
				else
				{
					set_tout_stdby();
				}
			}, stdby_t_in*1000);
	}
}
$(document).off(".stdby").on(vmousedown+".stdby", function()
{
	set_tout_stdby();
});
function stdby_out()
{
	stdby_flg = false;
	//
	if ($(".JSstdby").is(":visible"))
	{
		$("#header_center_container").show();
		$("#header_center_container_stdby").hide();
		$(".JSstdby").hide();
		//
		send_state_home();
		//
		start_tvcc();
	}
	set_tout_stdby();
}
//
function disable_selectable(target)
{
	$(target)
		.addClass("unselectable")
		.attr("unselectable", "on")
		.attr("draggable", "false")
		.on("dragstart", function() {return false;});
}
//
function load_devices_cust(dev_array, dev_filter, filter_type)
{
	if (dev_array != null) dev_array = [];
	pag_table_new["main_obj"].preload_dev = true;
	xml_menu_load_send(WS_DEV_STR, dev_filter, filter_type, "main_obj");
}
function load_devices(other)
{
	other = other || "";
	xml_any_tbl = [];
	pag_table_new["main_obj"].preload_dev = true;
	xml_menu_load_send(WS_DEV_STR, other+WS_DEV_ALARM_WIFI_STR+"|"+WS_DEV_ALARM_TERM_STR+"|"+WS_DEV_ALARM_CEN_STR+"|"+WS_DEV_ALARM_LCD_STR+"|"+WS_DEV_ALARM_POW_STR+"|"+WS_DEV_ALARM_RTC_STR+"|"+WS_DEV_ALARM_BAT_STR+"|"+WS_DEV_ALARM_CARRIER_STR+"|"+WS_DEV_ALARM_CLOUD_STR+"|"+WS_DEV_ALARM_TELEGEST_STR+"|"+WS_DEV_ALARM_DASH_STR, "filter_not", "main_obj");
}
function load_devices_redir(widget_obj)
{
	xml_any_tbl = [];
	xml_menu_load_send
	(
		WS_DEV_STR
		, WS_DEV_ALARM_WIFI_STR
		+ "|" + WS_DEV_ALARM_TERM_STR
		+ "|" + WS_DEV_ALARM_CEN_STR
		+ "|" + WS_DEV_ALARM_LCD_STR
		+ "|" + WS_DEV_ALARM_POW_STR
		+ "|" + WS_DEV_ALARM_RTC_STR
		+ "|" + WS_DEV_ALARM_BAT_STR
		+ "|" + WS_DEV_ALARM_CARRIER_STR
		+ "|" + WS_DEV_ALARM_CLOUD_STR
		+ "|" + WS_DEV_ALARM_TELEGEST_STR
		+ "|" + WS_DEV_ALARM_DASH_STR
		, "filter_not", widget_obj.name);
}
function pre_gui_device(all_devices)
{
	xml_any_tbl = [];
//var l_debug = all_devices.find("par item").length;
	all_devices.find("par item").each(function(index)
	{
		xml_any_tbl[index] = $(this);
//if (index === l_debug - 1)
//	for (var b = 0; b < 200; b++)
//		xml_any_tbl[index+b+1] = $(this).clone();
	});
}
var associative_dbid_dev = [];
function pre_gui_device_test(all_devices)
{
	associative_dbid_dev = [];
	xml_any_tbl_test = [];
	//
	all_devices.find("par item").each(function(index)
	{
		xml_any_tbl_test[index] = $(this);
		associative_dbid_dev[$(this).children("id").text()] = index;
	});
}
function pre_gui_device_parcen(all_devices, widget_obj)
{
	widget_obj.xml_any_tbl_parcen = [];
	widget_obj.xml_any_tbl_parcen_bkp = [];
	//
	all_devices.find("par item").filter(function()
	{
		if
		(
			$(this).children("subcategory").text() == WS_DEV_ALARM_WIRED_STR
			&&
			(
				$(this).children("ord").text() == "0"
				|| $(this).children("wire_type").text() == "5"
			)
		)
			return false;
		else
			return true;
	}).each(function(index)
	{
		$(this).children().not("id, led, ena, name").remove();
		widget_obj.xml_any_tbl_parcen[index] = $(this);
		widget_obj.xml_any_tbl_parcen_bkp[index] = $(this).clone();
	});
}
function pre_gui_device_scenery(all_devices)
{
	xml_any_tbl_scenery = [];
	//
	all_devices.find("par item").filter(function()
	{
		if
		(
			(
				$(this).children("subcategory").text() == WS_DEV_ALARM_RELAY_STR
				&& $(this).children("mode").text() != "2"
			)
			||
			(
				$(this).children("subcategory").text() == WS_DEV_ALARM_WIRED_STR
				&& $(this).children("wire_out_mode").text() != "2"
			)
		)
			return false;
		else return true;
	}).each(function(index)
	{
		xml_any_tbl_scenery[index] = $(this);
	});
}
function pre_gui_device_devcontrol(all_devices)
{
	xml_any_tbl_devcontrol = [];
	//
	if (SIL)
	{
		all_devices.find("par item").filter(function()
		{
			if
			(
				(
					$(this).children("subcategory").text() == WS_DEV_ALARM_RELAY_STR
					&& $(this).children("mode").text() == "2"
				)
				||
				(
					$(this).children("subcategory").text() == WS_DEV_ALARM_WIRED_STR
					&& $(this).children("wire_type").text() == "5"
					&& $(this).children("wire_out_mode").text() == "2"
				)
				||
				(
					$(this).children("subcategory").text() == WS_DEV_ALARM_BUS_RELAY_STR
					&& $(this).children("mode").text() == "2"
				)
			)
				return true;
			else return false;
		}).each(function(index)
		{
			xml_any_tbl_devcontrol[index] = $(this);
		});
	}
	else
	{
		all_devices.find("par item").each(function(index)
		{
			xml_any_tbl_devcontrol[index] = $(this);
		});
	}
}
function gsm_check()
{
	return xml_file_configuration.find("Devices Device[deleted='FALSE']").filter(function()
	{
		if ($(this).children("Subcategory").text() == WS_DEV_ALARM_GSM_STR)
			return true;
		else
			return false;
	}).length > 0;
}
function pstn_check()
{
	return xml_file_configuration.find("Devices Device[deleted='FALSE']").filter(function()
	{
		if ($(this).children("Subcategory").text() == WS_DEV_ALARM_PSTN_STR)
			return true;
		else
			return false;
	}).length > 0;
}
//
function isHome()
{
	return $("#wrapper .home").length == 1;
}
function isWizard()
{
	return $("#wrapper .wizard").length == 1;
}
//
function relayStateChange(indi, gui_path, widget_obj, subcat)
{
	var relayState;
	if (indi.children("ExtendedState").length > 0)
		relayState = indi.children("ExtendedState").text();
	else
		relayState = indi.children("State").text();
	if (indi.children("Device").text() == widget_obj.devid)
		$(gui_path).css("background-image", "url({TMPL_DIR}res/"
			+ xml_file_configuration.find("Categories Category[id='ALARM'] Subcategories Subcategory[id='" + subcat + "'] States State[id='" + relayState + "'] Icon").text() + ")"
		);
}
//
function send_device_cmd(code, widget_obj)
{
	xml_request = xml_request_head_build("DEVICE_CMD");
	xml_par = $(XML("Command")); xml_par.text(code); xml_request.append(xml_par);
	xml_par = $(XML("Device")); xml_par.text(widget_obj.devid); xml_request.append(xml_par);
	xml_send(xml_request);
}
//
function printComm(title, content, level)
{
	if ((DEBUG_SW) && (level <= DEBUG_LEVEL))
	{
		rtyu(title + ": ", true);
		if (typeof content == "string")
		{
			rtyu(content, true);
		}
		else
		{
			if (QT)
				rtyu(content.text(), true);
			else
				rtyu(content[0].outerHTML, true);
		}
	}
}
//
function send_get_auto(widget_name)
{
	xml_request = xml_request_head_build("PNP", widget_name);
	xml_par = $(XML("act")); xml_par.text("GET_AUTO"); xml_request.append(xml_par);
	xml_send(xml_request);	
}
//
function mode_bus_rf_dynamic_gui(container, widget_obj, swtFlg)
{
	if (swtFlg && widget_obj.mode_bus_rf_compact_gui_flg)
	{
		$(container + " .global_item:not(.mode_bus_rf):not(.delete):not(.void)").show();
		$(container + " .entire:last").show();
		$(container + " .delete").switchClass("row_2", "row_4", 0).appendTo(".entire.row_13");
		//$(container + " .mode_bus_rf").switchClass("row_1", "row_4", 0);
		footer_wizard_switch(9, widget_obj);
		widget_obj.mode_bus_rf_compact_gui_flg = false;
	}
	else if (!swtFlg && !widget_obj.mode_bus_rf_compact_gui_flg)
	{
		$(container + " .global_item:not(.mode_bus_rf):not(.delete):not(.void)").hide();
		$(container + " .entire:last").hide();
		$(container + " .delete").switchClass("row_4", "row_2", 0).appendTo(".entire.row_7");
		//$(container + " .mode_bus_rf").switchClass("row_4", "row_1", 0);
		footer_wizard_switch(9, widget_obj);
		widget_obj.mode_bus_rf_compact_gui_flg = true;
	}
}
function mode_bus_rf_dynamic_area_flg(container, widget_obj)
{
	var local_mode_bus_rf = local_mode_bus_rf || widget_obj.mode_bus_rf;
	if 
	(
		widget_obj.mode_bus_rf == ALA_MODE_M 
		|| widget_obj.mode_bus_rf == ALA_MODE_P
		|| widget_obj.mode_bus_rf == ALA_MODE_R
		|| widget_obj.mode_bus_rf == ALA_MODE_T
	)
		return false;
	else
		return true;
}
//
function maintCoverOn(maintenance_fw_upd_msg_par)
{
	maintenance_fw_upd_flg = true;
	maintenance_fw_upd_msg = maintenance_fw_upd_msg_par || maintenance_fw_upd_msg;
	$(".home .JScover").addClass("maintLeaf").children(".cover_msg").html(maintenance_fw_upd_msg);
}
function maintCoverOff()
{
	maintenance_fw_upd_msg = "";
	maintenance_fw_upd_flg = false;
	$(".home .JScover").removeClass("maintLeaf").children(".cover_msg").empty();
}
//
//
var crossroads = [];
crossroads["STATE"] = [];
crossroads["STATE"]["State"] = [];
crossroads["STATE"]["Device"] = [];
crossroads["MENU"] = [];
crossroads["MENU"]["act page res"] = [];
crossroads["MENU"]["act page"] = [];
crossroads["PNP"] = [];
crossroads["PNP"]["act res"] = [];
//
crossroads["TEST"] = [];
crossroads["TEST"]["act res"] = [];
//
function register_indication()
{
	crossroads["DEVICE_CMD"] = "widget_tvcc widget_mod_device_photopir widget_mod_device_photopir_outdoor";
	//
	crossroads["TOAST"] = "main_obj";
	crossroads["FILE"] = "main_obj";
	crossroads["ALERT"] = "main_obj";
	crossroads["STATE"]["Anoms"] = "main_obj";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_MAINT_IN_STR] = "main_obj";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_MAINT_OUT_STR] = "main_obj";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_HOME_STR] = "main_obj";
	crossroads["STATE"]["Device"][WS_DEV_ALARM_GSM_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato //perchè l'indication ha l'id di database del dispositivo ma non possiede la sottocategoria, la quale deve essere ricavata dal fascicolo di configurazione
	crossroads["STATE"]["Device"][WS_DEV_ALARM_BAT_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["Device"][WS_DEV_ALARM_CLOUD_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["Device"][WS_DEV_ALARM_TELEGEST_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["Device"][WS_DEV_ALARM_POW_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["Device"][WS_DEV_ALARM_WIFI_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["Device"][WS_DEV_ALARM_TERM_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["Device"][WS_DEV_ALARM_RTC_STR] = "main_obj_indi"; //necessita di xml_file_configuration aggiornato
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_RADIO_ON] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_RADIO_OFF] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_RADIO_STOP] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_RADIO_UP] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_RADIO_DOWN] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_RADIO_MIDDLE] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_BUS_ON] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_BUS_OFF] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_WIRE_ON] = "widget_cmd_device_cen widget_test_device_detail";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_RELAY_WIRE_OFF] = "widget_cmd_device_cen widget_test_device_detail";
	//
	crossroads["STATE"]["Device"][WS_DEV_ALARM_REPEATER_STR] = "widget_mod_device_repeater"; //necessita di xml_file_configuration aggiornato
	//
	crossroads["STATE"]["Device"][WS_DEV_ALARM_DASH_STR] = "main_obj_indi";
	//
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_STATE_ON_STR] = "widget_zone";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_STATE_OFF_STR] = "widget_zone";
	crossroads["STATE"]["State"][WS_DEV_ALARM_CEN_STATE_PART_STR] = "widget_zone";
	//
	crossroads["MENU"]["act page res"]["LOGIN USER ACCEPTED"] = "widget_sideanom widget_login";//prima sideanom
	crossroads["MENU"]["act page res"]["LOGIN USER REFUSED"] = "widget_login";
	crossroads["MENU"]["act page res"]["LOGIN USER INHIBITED"] = "widget_login";
	crossroads["MENU"]["act page res"]["LOGIN USER NOTIFY"] = "widget_login";
	crossroads["MENU"]["act page res"]["LOGIN USER FLUSHED"] = "widget_login main_obj";
	//
	crossroads["MENU"]["act page"]["ALIGNED "+WS_DEV_STR] = "widget_add_other_devices";
	crossroads["MENU"]["act page"]["MISALIGNED "+WS_DEV_STR] = "widget_add_other_devices";
	//
	crossroads["MENU"]["act page"]["OK "+WS_TEST_STR] = "widget_keypad widget_test_device_detail";
	crossroads["MENU"]["act page"]["KO "+WS_TEST_STR] = "widget_keypad widget_test_device_detail";
	//
	crossroads["MENU"]["act page"]["ACQUIRED "+WS_TEST_STR] = "widget_test_device_detail";
	crossroads["MENU"]["act page"]["ERROR "+WS_TEST_STR] = "widget_test_device_detail";
	//
	crossroads["MENU"]["act page"]["CHECKED "+WS_TEST_STR] = "widget_test_device_list";
	//
	crossroads["MENU"]["act page"]["METER "+WS_TEST_STR] = "widget_test_field_meter";
	//
	crossroads["MENU"]["act page res"]["DELETE "+WS_DEV_STR+" DELETED"] = "";
	crossroads["MENU"]["act page res"]["DELETE "+WS_USER_STR+" DELETED"] = "widget_mod_user";
	//
	crossroads["MENU"]["act page"]["PAIRING_DONE USER"] = "widget_smart";
	//
	crossroads["MENU"]["act page res"]["CLOUD_DOWNLOAD UTILITY OK"] = "widget_utility";
	crossroads["MENU"]["act page res"]["CLOUD_DOWNLOAD UTILITY KO"] = "widget_utility";
	crossroads["MENU"]["act page res"]["CLOUD_DOWNLOAD UTILITY PROGRESS"] = "widget_utility";
	crossroads["MENU"]["act page res"]["BACKUP_REMOTE UTILITY OK"] = "widget_utility";
	crossroads["MENU"]["act page res"]["BACKUP_REMOTE UTILITY KO"] = "widget_utility";
	crossroads["MENU"]["act page res"]["BACKUP_REMOTE UTILITY PROGRESS"] = "widget_utility";
	crossroads["MENU"]["act page res"]["BACKUP UTILITY OK"] = "widget_utility";
	crossroads["MENU"]["act page res"]["BACKUP UTILITY KO"] = "widget_utility";
	crossroads["MENU"]["act page res"]["BACKUP UTILITY PROGRESS"] = "widget_utility";
	//
	crossroads["MENU"]["act page res"]["START SSID STARTED"] = "widget_wifi_seek";
	crossroads["MENU"]["act page res"]["STOP SSID STOPPED"] = "widget_wifi_seek";
	crossroads["MENU"]["act page res"]["START SSID ERROR"] = "widget_wifi_seek";
	crossroads["MENU"]["act page res"]["STOP SSID ERROR"] = "widget_wifi_seek";
	crossroads["MENU"]["act page res"]["WPS_RESULT WPS_PAGE OK"] = "widget_parconn";
	crossroads["MENU"]["act page res"]["WPS_RESULT WPS_PAGE KO"] = "widget_parconn";
	//
	crossroads["PNP"]["act res"]["DETECTION DETECTED"] = "widget_device_wireless widget_device_bus_pair widget_add_device widget_confirm widget_device";
	crossroads["PNP"]["act res"]["DETECTION EXISTING"] = "widget_device_wireless widget_device_bus_pair";
	crossroads["PNP"]["act res"]["DETECTION TOO_MANY"] = "widget_device_wireless widget_device_bus_pair";
	crossroads["PNP"]["act res"]["DETECTION BIND_STORE_FULL"] = "widget_device_wireless widget_device_bus_pair";
	crossroads["PNP"]["act res"]["DETECTION BIND_ENTRY_FULL"] = "widget_device_wireless widget_device_bus_pair";
	crossroads["PNP"]["act res"]["DETECTION NO_WIFI"] = "widget_device_wireless widget_device_bus_pair";
	crossroads["PNP"]["act res"]["DETECTION COMPLETED"] = "widget_device_bus_pair";
	crossroads["PNP"]["act res"]["DETECTION EMPTY"] = "widget_device_wireless widget_device_bus_pair widget_confirm widget_device";
	crossroads["PNP"]["act res"]["ABORT ABORTED"] = "widget_device_wireless";
	crossroads["PNP"]["act res"]["START STARTED"] = "widget_device_wireless widget_device_bus_pair";
	crossroads["PNP"]["act res"]["START ERROR"] = "widget_device_wireless widget_device_bus_pair";
	//
	crossroads["PNP"]["act res"]["STORE STORED"] = "widget_device widget_mod_device_tvcc";
	crossroads["PNP"]["act res"]["STORE ABORTED"] = "widget_device widget_mod_device_tvcc";
	crossroads["PNP"]["act res"]["STORE ERROR"] = "widget_device widget_mod_device_tvcc";
	//
	if (SIMUL)
	{
		crossroads["TEST"]["act res"]["LOAD LOADED"] = "widget_test";
		crossroads["TEST"]["act res"]["LOAD ERROR"] = "widget_test";
		crossroads["TEST"]["act res"]["SAVE SAVED"] = "widget_test";
		crossroads["TEST"]["act res"]["SAVE ERROR"] = "widget_test";
	}
}