function item_reed_mode(container, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (xml_any_o.children("alarm_mode").text() != "-1")
	{
		if (xml_any_o.children("alarm_mode").text() == "1")
		{
			$(container+" .reed .roc").css("color", "rgba(255,255,255,0.4)");
			$(container+" .reed .roc").attr("data-checked", "0");
			$(container+" .reed .open").css("color", "rgba(255,0,0,1)");
			$(container+" .reed .open").attr("data-checked", "1");
		}
		else if (xml_any_o.children("alarm_mode").text() == "2")
		{
			$(container+" .reed .roc").css("color", "rgba(255,255,255,0.4)");
			$(container+" .reed .roc").attr("data-checked", "0");
			$(container+" .reed .open_close").css("color", "rgba(255,255,255,1)");
			$(container+" .reed .open_close").attr("data-checked", "1");
		}
		$(container+" .reed .roc")
			.off("click").click(function()/*en50131 di sir mode è più completa*/
			{
				if (!$(container+" .reed").hasClass("disabled") && !$(container+" .reed").hasClass("invisible") && !$(container+" .reed").hasClass("unavailable"))
				{
					if ($(this).hasClass("en50131"))
					{
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_EN50131}", "okab", container+" .reed .roc");
					}
					else
					{
						$(container+" .reed .roc").attr("data-checked", "0");
						$(container+" .reed .roc").css("color", "rgba(255,255,255,0.4)");
						$(this).attr("data-checked", "1");
						$(this).css("color", "rgba(255,255,255,1)");
					}
				}
			})
			.off("on_pw_ok").on("on_pw_ok", function()
			{
				if ($(this).hasClass("en50131"))
				{
					$(container+" .reed .roc").attr("data-checked", "0");
					$(container+" .reed .roc").css("color", "rgba(255,255,255,0.4)");
					$(this).attr("data-checked", "1");
					$(this).css("color", "rgba(255,0,0,1)");
				}
			});
		//
		if (widget_obj.phy_mode != undefined)
		{
			var phy_mode = widget_obj.phy_mode;
			if (phy_mode == widget_obj.NC_CONTAIMPULSI || phy_mode == widget_obj.NC_BILANCIATO_CONTAIMPULSI)
			{
				$(container+" .reed").addClass("disabled");
				$(container+" .reed .roc").css("color", "rgba(255,255,255,1)");
				$(container+" .reed .roc").attr("data-checked", "0");
				$(container+" .reed .roc.open_close").attr("data-checked", "1");
			}
		}
	}
	else
	{
		$(container+" .reed").addClass("unavailable");
	}
}
function item_phy_mode(container, widget_obj)
{
	if
	(
		widget_obj.phy_mode == widget_obj.NC
		|| widget_obj.phy_mode == widget_obj.NO 
		|| widget_obj.phy_mode == widget_obj.NC_CONTAIMPULSI
	)
		$(container+" .phy_mode .sl_selector").addClass("red");
	//
	if
	(
		widget_obj.phy_mode == widget_obj.NC_CONTAIMPULSI
		|| widget_obj.phy_mode == widget_obj.NC_BILANCIATO_CONTAIMPULSI
	)
		widget_obj.force_to_open = true;
	//
	$(container+" .phy_mode .sl_selector").html(widget_obj.associative_phy_mode[widget_obj.phy_mode]);
	global_apply_diag(container, "phy_mode", "{LANG_CONF_INGR}", "phy_mode", null, widget_obj.name);
}
function item_reed_mode_wired(container, widget_obj)
{
	if (widget_obj.reed_mode != "-1")
	{
		if (widget_obj.reed_mode == "1")
		{
			$(container+" .reed .roc")
				.css("color", "rgba(255,255,255,0.4)")
				.attr("data-checked", "0");
			$(container+" .reed .open")
				.css("color", "rgba(255,0,0,1)")
				.attr("data-checked", "1");
		}
		else if (widget_obj.reed_mode == "2")
		{
			$(container+" .reed .roc")
				.css("color", "rgba(255,255,255,0.4)")
				.attr("data-checked", "0");
			$(container+" .reed .open_close")
				.css("color", "rgba(255,255,255,1)")
				.attr("data-checked", "1");
		}
		$(container+" .reed .roc")
			.off("click").click(function()
			{
				if (!$(container+" .reed").hasClass("disabled") && !$(container+" .reed").hasClass("invisible") && !$(container+" .reed").hasClass("unavailable"))
				{
					if ($(this).attr("data-checked") == "0")
					{
						if ($(this).hasClass("en50131"))
						{
							pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_EN50131}", "okab", container+" .reed .roc");
						}
						else
						{
							$(container+" .reed .roc")
								.attr("data-checked", "0")
								.css("color", "rgba(255,255,255,0.4)");
							$(this).attr("data-checked", "1");
							$(this).css("color", "rgba(255,255,255,1)");
						}
					}
				}
			})
			.off("on_pw_ok").on("on_pw_ok", function()
			{
				if ($(this).hasClass("en50131"))
				{
					$(container+" .reed .roc")
						.attr("data-checked", "0")
						.css("color", "rgba(255,255,255,0.4)");
					$(this).attr("data-checked", "1");
					$(this).css("color", "rgba(255,0,0,1)");
				}
			});
		//
		var phy_mode = widget_obj.phy_mode;
		if (phy_mode == widget_obj.NC_CONTAIMPULSI || phy_mode == widget_obj.NC_BILANCIATO_CONTAIMPULSI)
		{
			$(container+" .reed").addClass("disabled");
			$(container+" .reed .roc").css("color", "rgba(255,255,255,1)");
			$(container+" .reed .roc").attr("data-checked", "0");
			$(container+" .reed .roc.open_close").attr("data-checked", "1");
		}
	}
	else
	{
		$(container+" .reed").addClass("unavailable");
	}
}
//
function item_sir_mode(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	$(container+" .sound").append("<div class='s_bar1'></div>");
	$(container+" .sound").append("<div class='s_bar2'></div>");
	//
	if (xml_any_o.children("sir_mode").text() != "-1")
	{
		$(container+" .sound .sound_btn").attr("data-checked", "0");
		$(container+" .sound .sound_btn[data-anchor='"+xml_any_o.children("sir_mode").text()+"']").attr("data-checked", "1");
		//
		if (!$(container+" .sound").hasClass("disabled"))
		{
			$(container+" .sound .sound_btn")
				.off("click").click(function()
				{
					if ($(this).attr("data-checked") == "0")
					{
						if ($(this).hasClass("en50131"))
						{
							pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_EN50131}", "okab", container+" .sound #"+$(this).attr("id"));
						}
						else
						{
							$(container+" .sound .sound_btn").attr("data-checked", "0");
							$(this).attr("data-checked", "1");
							//
							if (!DIY)
								$(container+" .chime").trigger("change_toggle_state", ["enabled"]);
						}
					}
				})
				.off("on_pw_ok").on("on_pw_ok", function()
				{
					$(container+" .sound .sound_btn").attr("data-checked", "0");
					$(this).attr("data-checked", "1");
					//
					if ($(this).attr("data-anchor") === "2" && !DIY)
					{
						$(container+" .chime").attr("data-checked", "0");
						$(container+" .chime").attr("style", "background:url(tmpl/default/res/ballot_x.png) no-repeat 90% center;");
						$(container+" .chime").trigger("change_toggle_state", ["disabled"]);
					}
					else if (!DIY)
					{
						$(container+" .chime").trigger("change_toggle_state", ["enabled"]);
					}
				});
		}
	}
}
function item_chime(container, widget_obj)
{
	if (!DIY)
		global_toggle_tick_binder(container+" .chime", "chime");
	else
		$(container+" .chime").empty();
}
function item_fw_ver(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	$(container+" .firmware_version").text(xml_any_o.children("fw_ver").text());
}
function item_and_function_dev_wrapper(container, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (DIY)
	{
		$(container + " .slot_picker.mode_match_sec_item").addClass("unavailable");
		$(container + " .and_function_dev").addClass("unavailable");
	}
	else
	{
		item_and_function_dev(container, xml_any_o);
		item_device_and_dependencies(container, xml_any_o, widget_obj);
	}
}
function item_and_function_dev(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	and_function_dev = xml_any_o.children("mode_match_id").text();
	//
	if (!$(container + " .and_function_dev").hasClass("disabled"))
		global_apply_diag(container, "and_function_dev", "{LANG_AND_FUNCTION_WITH_OTHER_DEVICE}", "and_function_dev", null, null);
	//
	var i = 0;
	for (i = 0; i < xml_any_tbl.length; i++)
		if (xml_any_tbl[i].children("id").text() === and_function_dev)
		{
			$(container + " .and_function_dev .sl_selector").html(xml_any_tbl[i].children("name").text());
			break;
		}
	if (i == xml_any_tbl.length)
		$(container + " .and_function_dev .sl_selector").html("{LANG_DISABLED}");
}
//dipendenze device and
function item_device_and_dependencies(container, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (xml_any_o.children("mode").text() == DELAYED)
	{
		$(container+" .slot_picker.mode_match_sec_item").addClass("invisible");
	}
	else
	{
		$(container+" .slot_picker.delay").addClass("invisible");
		$(container+" .slot_picker .pick_delay").text("0");
	}
	//
	$(container+" .and_function_dev").off("ok_diag").on("ok_diag", function()
	{
		if (and_function_dev != "0")
		{
			if (container == "#container_bus_senrf")
			{
				widget_obj.mode_bus_rf = 1;
				$(container + " .mode_bus_rf .sl_selector").html(widget_obj.mode_bus_rf_label[widget_obj.mode_bus_rf]);
				mode_bus_rf_dynamic_gui(container, widget_obj, true);
			}
			//
			$(container + " .area_and").attr("data-checked", "0");
			$(container + " .area_and").attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat "+$(container+" .area_and").css('backgroundPosition').split(" ")[0]+" center;");
			//per il picker delay time mode_match_sec_item
			$(container + " .slot_picker.mode_match_sec_item").removeClass("invisible");
			//
			$(container + " .slot_picker.delay").addClass("invisible");
			$(container + " .slot_picker .pick_delay").text("0");
		}
		else
		{	//per il picker delay time mode_match_sec_item
			if ($(container+" .area_and").attr("data-checked") == "0")
			{
				if (container == "#container_bus_senrf")
				{
					widget_obj.mode_bus_rf = 0;
					$(container + " .mode_bus_rf .sl_selector").html(widget_obj.mode_bus_rf_label[widget_obj.mode_bus_rf]);
					mode_bus_rf_dynamic_gui(container, widget_obj, true);
				}
				//
				$(container+" .slot_picker.mode_match_sec_item").addClass("invisible");
				//
				$(container+" .slot_picker.delay").removeClass("invisible");
			}
			else
			{
				if (container == "#container_bus_senrf")
				{
					widget_obj.mode_bus_rf = 2;
					$(container + " .mode_bus_rf .sl_selector").html(widget_obj.mode_bus_rf_label[widget_obj.mode_bus_rf]);
					mode_bus_rf_dynamic_gui(container, widget_obj, true);
				}
			}
		}
	});
}
function item_area_and_wrapper(container, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (DIY)
		$(container + " .slot_picker.mode_match_sec_item").addClass("unavailable");
	//
	global_toggle_tick_binder(container + " .area_and", "mode", MATCH_AREA, xml_any_o, DIY ? "unavailable" : null);
	if (!DIY) item_area_and_dependencies(container, xml_any_o, widget_obj);
}
//dipendenze area and
function item_area_and_dependencies(container, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (xml_any_o.children("mode").text() == DELAYED)
	{
		$(container + " .slot_picker.mode_match_sec_item").addClass("invisible");
	}
	else
	{
		$(container + " .slot_picker.delay").addClass("invisible");
		$(container + " .slot_picker .pick_delay").text("0");
	}
	//
	$(container + " .area_and").off("toggle_tick_click").on("toggle_tick_click", function()
	{
		if ($(this).attr("data-checked") != "0")
		{
			if (container == "#container_bus_senrf")
			{
				widget_obj.mode_bus_rf = 2;
				$(container + " .mode_bus_rf .sl_selector").html(widget_obj.mode_bus_rf_label[widget_obj.mode_bus_rf]);
			}
			//
			and_function_dev = "0";
			$(container + " .and_function_dev .sl_selector").html("{LANG_DISABLED}");
			//per il picker delay time mode_match_sec_item
			$(container + " .slot_picker.mode_match_sec_item").removeClass("invisible");
			//
			$(container + " .slot_picker.delay").addClass("invisible");
			$(container + " .slot_picker .pick_delay").text("0");
		}
		else
		{	//per il picker delay time mode_match_sec_item
			if (and_function_dev == "0")
			{
				if (container == "#container_bus_senrf")
				{
					widget_obj.mode_bus_rf = 0;
					$(container + " .mode_bus_rf .sl_selector").html(widget_obj.mode_bus_rf_label[widget_obj.mode_bus_rf]);
				}
				//
				$(container + " .slot_picker.mode_match_sec_item").addClass("invisible");
				//
				$(container + " .slot_picker.delay").removeClass("invisible");
			}
			else
			{
				if (container == "#container_bus_senrf")
				{
					widget_obj.mode_bus_rf = 1;
					$(container + " .mode_bus_rf .sl_selector").html(widget_obj.mode_bus_rf_label[widget_obj.mode_bus_rf]);		
				}
			}
		}
	});
}
function item_delete(container, widget_obj)
{
	$(container+" .delete")
		.off("click").click(function()
		{
			pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_WDELDEV}", "okab", container+" .delete");
		})
		.off("on_pw_ok").on("on_pw_ok", function()
		{
			crossroads["MENU"]["act page res"]["DELETE "+WS_DEV_STR+" DELETED"] = widget_obj.name;
			//
			xml_request = xml_request_head_build("MENU", widget_obj.name);
			xml_par = $(XML("act")); xml_par.text("DELETE"); xml_request.append(xml_par);
			xml_par = $(XML("page")); xml_par.text(WS_DEV_STR); xml_request.append(xml_par);
			xml_par = $(XML("par")); xml_request.append(xml_par);
			var xml_item = $(XML("item")); xml_item.attr("id", "1"); xml_par.append(xml_item);
			xml_node = $(XML("id")); xml_node.text(widget_obj.xml_any.children("id").text()); xml_item.append(xml_node);
			return xml_send(xml_request);
		});
}
var id_room_selected = "";
function item_room(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (SIL)
	{
		$(container+" .room").addClass("unavailable");
	}
	else
	{
		id_room_selected = xml_any_o.children("room").text();
		room_list.children("item").each(function()
		{
			if ($(this).children("id").text() == id_room_selected)
			{
				$(container+" .room .sl_selector").html($(this).children("desc").text());
				return false;
			}
		});
		$(container+" .room").off("click").click(function()
		{
			if (!$(container+" .room").hasClass("disabled"))
				pag_change(".JSdialog", "widget_room");
		});
	}
}
//pick_inter
function item_inter(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if 
	(
		container == "#container_pir"
		|| container == "#container_dt"
		|| container == "#container_bus_dt" // NON C'E'
		|| container == "#container_3t"
		|| container == "#container_photopir_outdoor"
		|| container == "#container_dualpir_lr"
		|| container == "#container_dualpir_lr_aa"
	)
	{
		if (xml_any_o.children("pir_a_present").text() === "1")
			$(container+" .pick_inter").text(xml_any_o.children("pir_a_block_tx").text());
		else if (xml_any_o.children("pir_b_present").text() === "1")
			$(container+" .pick_inter").text(xml_any_o.children("pir_b_block_tx").text());
		else
			$(container+" .inter").addClass("invisible");
	}
	else
	{
		if (xml_any_o.children("block_tx").text() == "-1")
			$(container+" .inter").addClass("invisible");
		else
			$(container+" .pick_inter").text(xml_any_o.children("block_tx").text());
	}
	//
	if (DIY)
	{
		$(container+" .inter")
			.addClass("disabled")
			.find(".side.arrow").remove();
	}
}
function item_protection(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	global_toggle_tick_binder_warn(container + " .protect", "reed_tamper", "3", xml_any_o, "on_ballot_x", "{LANG_EN50131}", container.indexOf("container_bus") > -1 ? null : "disabled");
}
function item_temp_comp(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if 
	(
		container === "#container_pir"
		|| container === "#container_dt"
		|| container === "#container_3t"
		|| container === "#container_photopir_outdoor"
		|| container === "#container_dualpir_lr"
		|| container === "#container_dualpir_lr_aa"
		|| container.indexOf("#container_bus_") > -1
	)
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			global_toggle_tick_binder(container+" .temp_comp", "pir_a_temperature", null, xml_any_o);
		else if (xml_any_o.children("pir_b_present").text() == "1")
			global_toggle_tick_binder(container+" .temp_comp", "pir_b_temperature", null, xml_any_o);	
		else
			$(container+" .temp_comp").addClass("unavailable");
	}
	else
	{
		//
	}
}
function item_pulse(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (container == "#container_dt" || container == "#container_bus_dt")
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			$(container+" .pick_pulse").text(xml_any_o.children("pir_a_count_impulses").text());
		else if (xml_any_o.children("pir_b_present").text() == "1")
			$(container+" .pick_pulse").text(xml_any_o.children("pir_b_count_impulses").text());
		else
			$(container+" .pulse").addClass("unavailable");
	}
	else if (container == "#container_pir" || container == "#container_bus_ir" || container.indexOf("#container_bus_") > -1)
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			$(container+" .pick_pulse_a").text(xml_any_o.children("pir_a_count_impulses").text());
		else
			$(container+" .pulse_a").addClass("unavailable");
		//
		if (xml_any_o.children("pir_b_present").text() == "1")
			$(container+" .pick_pulse_b").text(xml_any_o.children("pir_b_count_impulses").text());
		else
			$(container+" .pulse_b").addClass("unavailable");
		//
		if (!$(container+" .pulse_b").hasClass("unavailable") && DIY)
			$(container+" .pulse_b").addClass("disabled");
	}
	else if (container == "#container_3t" || container == "#container_photopir_outdoor" || container == "#container_dualpir_lr" || container == "#container_dualpir_lr_aa")
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			$(container + " .pick_pulse_a").text(xml_any_o.children("pir_a_count_impulses").text());
		else
			$(container + " .pulse_a").addClass("unavailable");
		if (xml_any_o.children("pir_b_present").text() == "1")
			$(container + " .pick_pulse_b").text(xml_any_o.children("pir_b_count_impulses").text());
		else
			$(container + " .pulse_b").addClass("unavailable");
	}
}
function item_sensibility(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (container == "#container_dt" || container == "#container_bus_dt")
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			$(container+" .pick_sensibility").text(xml_any_o.children("pir_a_sensibility").text());
		else if (xml_any_o.children("pir_b_present").text() == "1")
			$(container+" .pick_sensibility").text(xml_any_o.children("pir_b_sensibility").text());
		else
			$(container+" .sensibility").addClass("unavailable");
	}
	else if (container == "#container_pir" || container.indexOf("#container_bus_") > -1)
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			$(container+" .pick_sens_a").text(xml_any_o.children("pir_a_sensibility").text());
		else
			$(container+" .sens_a").addClass("unavailable");
		//
		if (xml_any_o.children("pir_b_present").text() == "1")
			$(container+" .pick_sens_b").text(xml_any_o.children("pir_b_sensibility").text());
		else
			$(container+" .sens_b").addClass("unavailable");
		//
		if (!$(container+" .sens_b").hasClass("unavailable") && DIY)
		{
			$(container+" .sens_b").addClass("disabled");
			$(container+" .sens_a .side.arrow").off("pick_extra_func").on("pick_extra_func", function()
			{
				$(container+" .pick_sens_b").text($(this).siblings(".side.value").children(".pick_sens_a").text());
			});
			$(container+" .pulse_a .side.arrow").off("pick_extra_func").on("pick_extra_func", function()
			{
				$(container+" .pick_pulse_b").text($(this).siblings(".side.value").children(".pick_pulse_a").text());
			});
		}
	}
	else if (container == "#container_3t" || container == "#container_photopir_outdoor" || container == "#container_dualpir_lr" || container == "#container_dualpir_lr_aa")
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
			$(container + " .pick_sensibility_a").text(xml_any_o.children("pir_a_sensibility").text());
		else
			$(container + " .sensibility_a").addClass("unavailable");
		if (xml_any_o.children("pir_b_present").text() == "1")
			$(container + " .pick_sensibility_b").text(xml_any_o.children("pir_b_sensibility").text());
		else
			$(container + " .sensibility_b").addClass("unavailable");
	}
	else if (container == "#container_mic")
	{
		$(container+" .pick_sensibility").text(xml_any_o.children("sensibility").text());
		//
		if (xml_any_o.children("sensibility").text() == "-1")
			$(container+" .sensibility").addClass("unavailable");
		//
		if (!$(container+" .sensibility").hasClass("unavailable") && DIY)
			$(container+" .sensibility").addClass("disabled");
	}
	else if (container == "#container_tapdet")
	{
		$(container+" .pick_sensibility").text(xml_any_o.children("sensibility").text());
		//
		if (xml_any_o.children("sensibility").text() == "-1")
			$(container+" .sensibility").addClass("unavailable");
		//
		if (!$(container+" .sensibility").hasClass("unavailable") && DIY)
			$(container+" .sensibility").addClass("disabled");
	}
}
function item_sensibility_mw(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (xml_any_o.children("mw_sensibility").text() == "-1")
		$(container + " .sensibility_mw").addClass("invisible");
	else
		$(container + " .pick_sensibility_mw").text(xml_any_o.children("mw_sensibility").text());
}
function item_integration_mw(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (xml_any_o.children("mw_time").text() == "-1")
		$(container + " .integration_mw").addClass("invisible");
	else
		$(container + " .pick_integration_mw").text(xml_any_o.children("mw_time").text());
}
function item_integration(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (container == "#container_3t" || container === "#container_photopir_outdoor" || container === "#container_dualpir_lr" || container === "#container_dualpir_lr_aa")
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
		{
			if (imq_flg == "1")
				$(container + " .pick_integration_a").attr("data-lbound", "4");
			$(container + " .pick_integration_a").text(xml_any_o.children("pir_a_time_integration").text());
		}
		else
		{
			$(container + " .integration_a").addClass("unavailable");
		}
		if (xml_any_o.children("pir_b_present").text() == "1")
		{
			if (imq_flg == "1")
				$(container + " .pick_integration_b").attr("data-lbound", "4");
			$(container + " .pick_integration_b").text(xml_any_o.children("pir_b_time_integration").text());
		}
		else
		{
			$(container + " .integration_b").addClass("unavailable");
		}
	}
	else
	{
		if (xml_any_o.children("pir_a_present").text() == "1")
		{
			if (imq_flg == "1")
				$(container + " .pick_integration").attr("data-lbound", "4");
			$(container + " .pick_integration").text(xml_any_o.children("pir_a_time_integration").text());
		}
		else if (xml_any_o.children("pir_b_present").text() == "1")
		{
			if (imq_flg == "1")
				$(container + " .pick_integration").attr("data-lbound", "4");
			$(container + " .pick_integration").text(xml_any_o.children("pir_b_time_integration").text());
		}
		else
		{
			$(container + " .integration").addClass("invisible");
		}
	}
	//
	if (DIY && !$(container + " .integration").hasClass("invisible"))
		$(container + " .integration").addClass("disabled");
}
function item_shock(container, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (xml_any_o.children("shock_lev").text() !== "-1")
	{
		$(container+" .pick_shock_lev").text(xml_any_o.children("shock_lev").text());
	}
	else
	{
		$(container+" .shock_lev").addClass("invisible");
	}
}
var gsm_priority_str = ["{LANG_WIZARD_PRIORITY_GSM_B}", "{LANG_WIZARD_PRIORITY_GSM_A}"];
function item_gsm_priority(container, widget_obj)
{
	widget_obj.gsm_priority = widget_obj.xml_any.children("gsm_priority").text();
	if (widget_obj.gsm_priority >= 0)
	{
		$(container+" .gsm_priority .sl_selector").html(gsm_priority_str[widget_obj.gsm_priority]);
		global_apply_diag(container, "gsm_priority", "{LANG_COMM_PRIORITY}", null, null, widget_obj.name);
	}
	else
	{
		$(container+" .gsm_priority").addClass("invisible");
	}
}
function item_mode_alarm(container, widget_obj)
{
	if (widget_obj.mode == "1")
	{
		$(container + " .mode_alarm .sl_selector").html(xml_file_configuration.find("ReleModeRepeatEvents ReleModeRepeatEvent[id='"+widget_obj.mode_repeat_eve+"']").attr("desc"));
	}
	else if (widget_obj.mode == "2")
	{
		if (widget_obj.cfg_relay_mode == 1) $(container + " .mode_alarm .sl_selector").html("{LANG_RELAY_MONOSTABLE}");
		else if (widget_obj.cfg_relay_mode == 2) $(container + " .mode_alarm .sl_selector").html("{LANG_RELAY_BISTABLE}");
		else if (widget_obj.cfg_relay_mode == 3) $(container + " .mode_alarm .sl_selector").html("{LANG_RELAY_BLIND}");
	}
	//
	global_apply_diag(container, "mode_alarm", "{LANG_RELAY_MODE_ALARM}", null, null, widget_obj.name);
}
function item_mode_prt(container, widget_obj)
{
	item_mode_prt_sl_set(container, widget_obj.mode);
	global_apply_diag(container, "mode_prt", "{LANG_WIZARD_SET_DEVICE_AREA_REF}", null, null, widget_obj.name);
}
function item_mode_prt_sl_set(container, mode)
{
	if (mode == DEV_ALARM_MODE_24H_P) 
		$(container + " .mode_prt .sl_selector").html("{LANG_PANIC}");
	else if (mode == DEV_ALARM_MODE_24H_R) 
		$(container+" .mode_prt .sl_selector").html("{LANG_AGGRESSION}");
	else if (mode == DEV_ALARM_MODE_24H_T)
		$(container+" .mode_prt .sl_selector").html("{LANG_WIZARD_SET_DEVICE_24H_T}");
}
function item_timing(container, widget_obj)
{
	if (widget_obj.mode == "2")
	{
		if (widget_obj.cfg_relay_mode == "1")
		{
			$(container+" .pick_timing").text(widget_obj.mode_domo_mono_sec);
			//
			$(container+" .pick_timing").attr("data-lbound", "1");//bounds impostati anche nella diag "mode_alarm" alla pressione di ok
			$(container+" .pick_timing").attr("data-rbound", "999");
		}
		else if (widget_obj.cfg_relay_mode == "2")
		{
			$(container+" .timing")
				.addClass("disabled")
				.find(".pick_timing")
				.text("0");
			//
			$(container+" .pick_timing").attr("data-lbound", "0");//bounds impostati anche nella diag "mode_alarm" alla pressione di ok
			$(container+" .pick_timing").attr("data-rbound", "0");
		}
		else if (widget_obj.cfg_relay_mode == "3")
		{
			$(container+" .pick_timing").text(widget_obj.mode_domo_blind_sec);
			//
			$(container+" .pick_timing").attr("data-lbound", "1");//bounds impostati anche nella diag "mode_alarm" alla pressione di ok
			$(container+" .pick_timing").attr("data-rbound", "120");
		}
	}
	else if (widget_obj.mode == "1")
	{
		var lb = xml_file_configuration.find("ReleModeRepeatEvents ReleModeRepeatEvent[id='" + widget_obj.mode_repeat_eve + "']").attr("sec_lbound");
		var ub = xml_file_configuration.find("ReleModeRepeatEvents ReleModeRepeatEvent[id='" + widget_obj.mode_repeat_eve + "']").attr("sec_ubound");
		//
		if (lb == 0 && ub == 0)
		{
			$(container + " .timing")
				.addClass("disabled")
				.find(".pick_timing")
				.text("0");
		}
		else
		{
			$(container + " .pick_timing").text(widget_obj.mode_repeat_par);
			//
			$(container + " .pick_timing").attr("data-lbound", lb);
			$(container + " .pick_timing").attr("data-rbound", ub);
		}
	}
	//
	$(container+" .timing .side.arrow").off("pick_extra_func").on("pick_extra_func", function()
	{
		if (widget_obj.mode == "2")
		{
			if (widget_obj.cfg_relay_mode == "1")
			{
				widget_obj.mode_domo_mono_sec = $(container+" .pick_timing").text();
			}
			else if (widget_obj.cfg_relay_mode == "2")
			{
				//
			}
			else if (widget_obj.cfg_relay_mode == "3")
			{
				widget_obj.mode_domo_blind_sec = $(container+" .pick_timing").text();
			}
		}
		else if (widget_obj.mode == "1")
		{
			if (widget_obj.mode_repeat_eve < 9)
			{
				widget_obj.mode_repeat_par = $(container+" .pick_timing").text();
			}
			else if (widget_obj.mode_repeat_eve < 11)
			{
				//
			}
		}
	});
}
function item_mode_wired(container, widget_obj)
{
	if (widget_obj.name == "widget_mod_device_wired_o")
	{
		global_apply_diag(container, "mode_alarm", "{LANG_RELAY_MODE_ALARM}", "wired_mode", null, "widget_mod_device_wired_o");
		//
		if (widget_obj.wire_out_mode == "1")
		{
			$(container + " .mode_alarm .sl_selector").html(xml_file_configuration.find("ReleModeRepeatEvents ReleModeRepeatEvent[id='"+widget_obj.wire_out_mode_repeat_eve+"']").attr("desc"));
		}
		else if (widget_obj.wire_out_mode == "2")
		{
			if (widget_obj.wire_out_mode_domo_par == "0")
				$(container + " .mode_alarm .sl_selector").html("{LANG_RELAY_BISTABLE}");
			else
				$(container + " .mode_alarm .sl_selector").html("{LANG_RELAY_MONOSTABLE}");
		}
	}
}
function item_timing_wired(container, widget_obj)
{
	if (widget_obj.name == "widget_mod_device_wired_o")
	{
		if (widget_obj.wire_out_mode == "1")
		{
			$(container+" .pick_timing").text(widget_obj.wire_out_mode_repeat_par);
			//
			var lb = xml_file_configuration.find("ReleModeRepeatEvents ReleModeRepeatEvent[id='"+widget_obj.wire_out_mode_repeat_eve+"']").attr("sec_lbound");
			var ub = xml_file_configuration.find("ReleModeRepeatEvents ReleModeRepeatEvent[id='"+widget_obj.wire_out_mode_repeat_eve+"']").attr("sec_ubound");
			$(container+" .pick_timing").attr("data-lbound", lb);
			$(container+" .pick_timing").attr("data-rbound", ub);
			//
			if (widget_obj.wire_out_mode_repeat_par == "0")
				$(container+" .timing").addClass("disabled");
		}
		else if (widget_obj.wire_out_mode == "2")
		{
			$(container+" .pick_timing").text(widget_obj.wire_out_mode_domo_par);
			if (widget_obj.wire_out_mode_domo_par == "0")
			{
				$(container+" .timing").addClass("disabled");
				$(container+" .pick_timing").attr("data-lbound", "0");
				$(container+" .pick_timing").attr("data-rbound", "0");
			}
			else
			{
				$(container+" .pick_timing").attr("data-lbound", "1");
				$(container+" .pick_timing").attr("data-rbound", "999");
			}
		}
		//
		$(container+" .timing .side.arrow").off("pick_extra_func").on("pick_extra_func", function()
		{
			if (widget_obj.wire_out_mode == "1")
				widget_obj.wire_out_mode_repeat_par = $(this).siblings(".side.value").children("p").text();
			else if (widget_obj.wire_out_mode == "2")
				widget_obj.wire_out_mode_domo_par = $(this).siblings(".side.value").children("p").text();
		});
	}
}
function item_abilitation(container, widget_obj)
{
	if (widget_obj.mode == "2")
	{
		var trovato = false;
		for (var i = 0; i < widget_obj.xml_sen_oc_tbl.length; i++)
		{
			if (widget_obj.xml_sen_oc_tbl[i].children("id").text() == widget_obj.mode_domo_sen_trigger_id)
			{
				$(container + " .abilitation .sl_selector").html(widget_obj.xml_sen_oc_tbl[i].children("name").text());
				trovato = true;
				break;
			}
		}
		if (!trovato)
			$(container + " .abilitation .sl_selector").html("{LANG_NO_SETUP}");
	}
	else	
	{
		$(container + " .abilitation .sl_selector").html("{LANG_NO_SETUP}");
		$(container + " .abilitation").addClass("disabled");
		widget_obj.mode_domo_sen_trigger_id = 0;
	}
	global_apply_diag(container, "abilitation", "{LANG_RELAY_ABILITATION}", null, null, widget_obj.name);
}
function item_trigger_relay(container, widget_obj)
{
	if (widget_obj.mode == "2")
	{
		if
		(
			widget_obj.mode_domo_sen_a_id == "0"
			&& widget_obj.mode_domo_sen_b_id == "0"
			&& widget_obj.mode_domo_sen_c_id == "0"
		)
			$(container + " .trigger_relay .sl_selector").html("{LANG_NO_SETUP}");
		else
			$(container + " .trigger_relay .sl_selector").html("{LANG_ITEM_AT_LEAST_ONE}");
		//
		if (widget_obj.cfg_relay_mode == "3")
			$(container + " .trigger_relay").addClass("disabled");
	}
	else
	{
		$(container + " .trigger_relay .sl_selector").html("{LANG_NO_SETUP}");
		$(container + " .trigger_relay").addClass("disabled");
		widget_obj.mode_domo_sen_a_id = "0";
		widget_obj.mode_domo_sen_b_id = "0";
		widget_obj.mode_domo_sen_c_id = "0";
	}
	global_apply_diag(container, "trigger_relay", "{LANG_TRIGGER}", null, null, widget_obj.name);
}
function item_real_relay(container, widget_obj)
{
	if (widget_obj.xml_any.children("model").text() == "7300")
	{
		if (widget_obj.cfg_relay_cfm_exe_ext == "0")
			$(container+" .real_relay .sl_selector").html("{LANG_NO_SETUP}");
		else if (widget_obj.cfg_relay_cfm_exe_ext == "1")
			$(container+" .real_relay .sl_selector").html("{LANG_RELAY_MOR_NC}");
		else if (widget_obj.cfg_relay_cfm_exe_ext == "2")
			$(container+" .real_relay .sl_selector").html("{LANG_RELAY_MOR_NO}");
		//
		global_apply_diag(container, "real_relay", "{LANG_RELAY_REAL}", null, null, widget_obj.name);
	}
	else
	{
		$(container + " .real_relay").addClass("unavailable");
	}
}
function item_dev_events(container, widget_obj)
{
	widget_obj.events[0] = {
		type: widget_obj.xml_any.find("keys key[id='7'] type").text(),
		par: widget_obj.xml_any.find("keys key[id='7'] par").text()
	};
	widget_obj.events[1] = {
		type: widget_obj.xml_any.find("keys key[id='5'] type").text(),
		par: widget_obj.xml_any.find("keys key[id='5'] par").text()
	};
	widget_obj.events[2] = {
		type: widget_obj.xml_any.find("keys key[id='6'] type").text(),
		par: widget_obj.xml_any.find("keys key[id='6'] par").text()
	};
	//
	widget_obj.events_array_init_flg = true;
	//
	for(var i = 0; i < $(container+" .event").length; i++)
	{
		switch(widget_obj.events[i].type)
		{
			case "VOID":
				$(container+" .event:eq("+i+") .sl_selector").html("{LANG_NO_SETUP}");
				break;
			case "M":
				$(container+" .event:eq("+i+") .sl_selector").html("{LANG_FIRST_AID}");
				break;
			case "R":
				$(container+" .event:eq("+i+") .sl_selector").html("{LANG_AGGRESSION}");
				break;
			case "P":
				$(container+" .event:eq("+i+") .sl_selector").html("{LANG_PANIC}");
				break;
			case "DOMO":
				if (widget_obj.associative_xml_relay_domo_tbl[widget_obj.events[i].par] != null)
					$(container+" .event:eq("+i+") .sl_selector").html(widget_obj.associative_xml_relay_domo_tbl[widget_obj.events[i].par].children("name").text());
				break;
			case "SCENE":
				$(container+" .event:eq("+i+") .sl_selector").html(xml_file_configuration.find("Scenes Scene[id='S"+widget_obj.events[i].par+"']").attr("desc"));
				break;
			default:
				break;
		}
	}
	//
	global_apply_diag(container, "event.one", "{LANG_BUTTON_EVENT_1}", "diag_events", "0", widget_obj.name);
	global_apply_diag(container, "event.two", "{LANG_BUTTON_EVENT_2}", "diag_events", "1", widget_obj.name);
	global_apply_diag(container, "event.three", "{LANG_BUTTON_EVENT_3}", "diag_events", "2", widget_obj.name);
}
function item_dev_areas(container, widget_obj)
{
	var ins_selector = "";
	var dis_selector = "";
	var insp_selector = "";
	if (widget_obj.name.indexOf("_rem") > -1)
	{
		ins_selector = "keys key[id='1'] par";
		dis_selector = "keys key[id='2'] par";
		insp_selector = "keys key[id='3'] par";
	}
	else if (widget_obj.name.indexOf("_rfid") > -1)
	{
		ins_selector = "area_ins";
		dis_selector = "area_dis";
		insp_selector = "area_insp";
	}
	else if (widget_obj.name.indexOf("_tagelockreader") > -1)
	{
		ins_selector = "area_ins";
		dis_selector = "area_dis";
		insp_selector = "area_insp";
	}
	else if (widget_obj.name.indexOf("_tagelock") > -1)
	{
		ins_selector = "area_ins";
		dis_selector = "area_dis";
		insp_selector = "area_insp";
	}
	else if (widget_obj.name.indexOf("_user") > -1)
	{
		ins_selector = "area_ins";
		dis_selector = "area_dis";
		insp_selector = "area_grp";
	}
	else if (widget_obj.name.indexOf("_bus_tag_reader") > -1)
	{
		ins_selector = "area_ins";
		dis_selector = "area_dis";
		insp_selector = "area_insp";
	}
	else if (widget_obj.name.indexOf("_set_device_bus") > -1)
	{
		if (widget_obj.subcat == WS_DEV_ALARM_BUS_REM_STR)
		{
			ins_selector = "keys key[id='1'] par";
			dis_selector = "keys key[id='2'] par";
			insp_selector = "keys key[id='3'] par";
		}
		else
		{
			ins_selector = "area_ins";
			dis_selector = "area_dis";
			insp_selector = "area_insp";	
		}
	}
	else
	{
		tyu("ERR: widget name not found");
	}
	//
	var area_dis_str = widget_obj.xml_any.find(dis_selector).text();
	for (var i = 0; i < area_dis_str.length; i++)
		widget_obj.area_dis[i] = area_dis_str.charAt(i) == "-" ? 0 : 1;
	//
	var area_insp_str = widget_obj.xml_any.find(insp_selector).text();
	for (var i = 0; i < area_insp_str.length; i++)
		widget_obj.area_insp[i] = area_insp_str.charAt(i) == "-" ? 0 : 1;
	//
	var area_ins_str = widget_obj.xml_any.find(ins_selector).text();
	for (var i = 0; i < area_ins_str.length; i++)
	{
		if (area_ins_str.charAt(i) == "-")
		{
			widget_obj.area_ins[i] = 0;
			widget_obj.area_insp[i] = -1;
		}
		else
		{
			widget_obj.area_ins[i] = 1;
		}
	}
	//
	$(container+" .area_ins .sl_selector").html(widget_obj.aa_to_str(widget_obj.area_ins));
	$(container+" .area_dis .sl_selector").html(widget_obj.aa_to_str(widget_obj.area_dis));
	$(container+" .area_insp .sl_selector").html(widget_obj.aa_to_str(widget_obj.area_insp));
	//
	global_apply_diag(container, "area_ins", "{LANG_TOTAL_AREA_INS}", "diag_areas", "INS", widget_obj.name);
	global_apply_diag(container, "area_dis", "{LANG_TOTAL_AREA_DIS}", "diag_areas", "DIS", widget_obj.name);
	global_apply_diag(container, "area_insp", "{LANG_PARTIAL_AREA_INS}", "diag_areas", "INSP", widget_obj.name);
}
function load_areas_diag(container, widget_obj, area_type)
{
	$(container+" .area_container_diag .area").each(function()
	{
		var id = $(this).children("p").attr("data-id");
		var desc_resp = null;
		desc_resp = area_list.find("item")
			.filter(function()
			{
				if ($(this).children("name").text() == id)
					return true;
				else return false;
			}).children("desc").text();
		if (desc_resp == null || desc_resp == undefined || desc_resp == "")
		{
			$(this).attr("data-checked", "-2");
			$(this).children().remove();
			$(this).removeAttr("style");
			$(this).removeClass("btr");
		}
		else
		{
			$(this).children("p")
				.attr("data-id", id)
				.text(id+" - "+desc_resp);
		}
		//
		var area_array = [];
		if (area_type == "INS")
			area_array = widget_obj.area_ins;
		else if (area_type == "DIS")
			area_array = widget_obj.area_dis;
		else if (area_type == "INSP")
			area_array = widget_obj.area_insp;
		//
		if ($(this).attr("data-checked") != -2)
			$(this).attr("data-checked", area_array[id-1]);
		//
		$(this).off("click").click(function()
		{
			if ($(this).attr("data-checked") == "1")
			{
				$(this).attr("data-checked", "0");
			}
			else if ($(this).attr("data-checked") == "0")
			{
				$(this).attr("data-checked", "1");
			}
		});
	});
}
function item_photo(container, widget_obj)
{
	global_picker_init(container, "snapshot_delay_sec", "photo", widget_obj);
}
function item_frame(container, widget_obj)
{
	global_picker_init(container, "snapshot_frame_cnt", "frame", widget_obj);
}
function item_visual(container, widget_obj, cam_id)
{
	var command_cam = xml_file_configuration.find("Devices Device[id='"+cam_id+"'][deleted='FALSE'] Commands").text();
	//
	$(container+" #get_frame").off("click").click(function()
	{
		if (!$(this).hasClass("disabled"))
		{
			xml_request = xml_request_head_build("DEVICE_CMD", widget_obj.name);
			xml_par = $(XML("Command")); xml_par.text(command_cam); xml_request.append(xml_par);
			xml_par = $(XML("Device")); xml_par.text(cam_id); xml_request.append(xml_par);
			xml_send(xml_request);
			//
			if (widget_obj.name == "widget_mod_device_tvcc")
			{
				$("#container_tvcc .visual .info").html("{LANG_ACQUIRING}");
				$("#container_tvcc #get_frame").addClass("disabled");
			}
			//
			//richiesta doppia perche' il primo fotogramma potrebbe essere vuoto
			if (widget_obj.uansciot_fleg)
			{
				setTimeout(function()
				{
					xml_request = xml_request_head_build("DEVICE_CMD", widget_obj.name);
					xml_par = $(XML("Command")); xml_par.text(command_cam); xml_request.append(xml_par);
					xml_par = $(XML("Device")); xml_par.text(cam_id); xml_request.append(xml_par);
					xml_send(xml_request);
				}, 6*1000);
				widget_obj.uansciot_fleg = false;
			}
		}
	}).show();
}
function item_tvcc(container, widget_obj)
{
	widget_obj.xml_any.find("tvccs tvcc").each(function()
	{
		if ($(this).children("id").text() != "0")
		{
			widget_obj.trovata_tvcc = true;
			if ($(this).children("ena").text() == "1")
				widget_obj.attivata_tvcc = true;
		}
	});
	//
	if (widget_obj.trovata_tvcc)
		global_apply_diag(container, "tvcc", "{LANG_WIZARD_MOD_DEVICE_TVCC}", "tvcc_list", "initial_delay_sec", widget_obj.name);
	else
		$(container+" .tvcc").addClass("disabled");
	//
	if (widget_obj.attivata_tvcc)
		$(container+" .tvcc .sl_selector").html("{LANG_ITEM_AT_LEAST_ONE}");
	else
		$(container+" .tvcc .sl_selector").html("{LANG_ITEM_NONE}");
}
function item_tvcc_delay_initial(container, widget_obj)
{
	global_picker_init(container, "tvccs_initial_delay_sec", "initial_delay_sec", widget_obj, widget_obj.attivata_tvcc ? null : "invisible");
}
function item_dhcp(container, widget_obj)
{
	if (type_conn == "AP" || type_conn == "NN" || type_conn == null)
	{
		$(container+" .dhcp")
			.addClass("unavailable")
			.off("toggle_tick_click");
	}
	else
	{
		$(container+" .dhcp").off("toggle_tick_click").on("toggle_tick_click", function()
		{
			if ($(this).attr("data-checked") == "1")
				$(container+" .ip").addClass("invisible");
			else
				$(container+" .ip").removeClass("invisible");
		});
		//
		if (widget_obj.xml_any.children("ip").text() == "0.0.0.0")
		{
			$(container+" .dhcp")
				.attr("data-checked", "1")
				.trigger("toggle_tick_click");
		}
		else
		{
			$(container+" .dhcp")
				.attr("data-checked", "0")
				.trigger("toggle_tick_click");
		}
		//
		global_toggle_tick_binder_manual(container, "dhcp", ["0", "1"], $(container+" .dhcp").attr("data-checked"));
	}
}
function item_ip(container, widget_obj)
{
	if (type_conn == "AP" || type_conn == "NN" || type_conn == null)
		$(container+" .ip").addClass("unavailable");
	else
		global_item_init(container, "ip_input", "input", "ip", widget_obj);
}
function item_pulse_flg(container, widget_obj)
{
	if (widget_obj.xml_any.children("pulse_flg").text() == "-1")
	{
		$(container+" .pulse_flg").addClass("unavailable");
	}
	else
	{
		$(container+" .pulse_flg .sl_selector").html(widget_obj.pulse_flg == "0" ? "{LANG_RELAY_BISTABLE}" : "{LANG_WIZARD_WIRED_PULSEMODE}");
		global_apply_diag(container, "pulse_flg", "{LANG_WIZARD_WIRED_KEYIN}", "wired_pulse", null, widget_obj.name);
	}
}
function item_rescue(container, item, widget_obj)
{
	var rescue = widget_obj.xml_scenes["S1"].attr("home");
	global_toggle_tick_binder_manual(container, item, ["FALSE", "TRUE"], rescue);
}
function item_panic(container, item, widget_obj)
{
	var panic = widget_obj.xml_scenes["S2"].attr("home");
	global_toggle_tick_binder_manual(container, item, ["FALSE", "TRUE"], panic);
}
function item_aggression(container, item, widget_obj)
{
	var aggression = widget_obj.xml_scenes["S3"].attr("home");
	global_toggle_tick_binder_manual(container, item, ["FALSE", "TRUE"], aggression);
}
function loadVig(vigItems, widget_obj)
{
	widget_obj.xml_vig = vigItems;
	var transmission_label = ["{LANG_WIZARD_TRANSMISSION}", "{LANG_WIZARD_TRANSMISSION_2}", "{LANG_WIZARD_SIA_DIGITAL_PROTOCOL_TRANSMISSION}", "{LANG_WIZARD_SIA_DIGITAL_PROTOCOL_TRANSMISSION_2}"];
	var notification_label = ["{LANG_WIZARD_NOTIFICATION}", "{LANG_WIZARD_NOTIFICATION_2}", "{LANG_WIZARD_SIA_DIGITAL_PROTOCOL_NOTIFICATION}", "{LANG_WIZARD_SIA_DIGITAL_PROTOCOL_NOTIFICATION_2}"];
	//
	vigItems.find("item").each(function()
	{
		//preparazione degli elementi di struttura
		var AStype = $(this).children("type").text(); // adem sia type
		if (AStype == "0") //adem
		{
			var telNumA = $(this).children("telnum_a").text();
			var telNumB = $(this).children("telnum_b").text();
			//
			var telNumAMax = $(this).children("telnum_a").attr("maxlength");
			var telNumAMin = $(this).children("telnum_a").attr("minlength");
			var telNumBMax = $(this).children("telnum_b").attr("maxlength");
			var telNumBMin = $(this).children("telnum_b").attr("minlength");
		}
		else if (AStype == "1") //sia
		{
//			var telNumBack = $(this).children("sms_telnum").text();
			var ipAdr = $(this).children("ip_adr").text();
			var ipPort = $(this).children("ip_port").text();
			var ipAdr_alt = $(this).children("ip_adr_alt").text();
			var ipPort_alt = $(this).children("ip_port_alt").text();
//			var periodicMin = $(this).children("periodic_min").text();
//			var periodicMinBounds = "["+$(this).children("periodic_min").attr("lbound")+","+$(this).children("periodic_min").attr("rbound")+"]";
//			var periodicEna = $(this).children("periodic_ena_flg").text();
			var udpFlag = $(this).children("udp_flg").text();
			var prot = $(this).children("prot").text();
			//
//			var telNumBackMax = $(this).children("sms_telnum").attr("maxlength");
//			var telNumBackMin = $(this).children("sms_telnum").attr("minlength");
			var aeskey = $(this).children("aeskey").text();
		}
		var enaFlag = $(this).children("ena_flg").text();
		var invFlag = $(this).children("inv_flg").text(); // adem sia type
		var contactId = $(this).children("code").text();
		//
		var contactIdMax = $(this).children("code").attr("maxlength");
		var contactIdMin = $(this).children("code").attr("minlength");
		//
		var itemId = $(this).children("id").text();
		var guiItems = $("#container_parvig .vig").filter(function()
		{
			if ($(this).hasAttr("data-id"))
				return false;
			else return true;
		}).first();
		var guiId = null;
		if (guiItems.length > 0)
		{
			guiId = itemId;
			guiItems.attr("data-id", guiId);
		}
		//riempimento struttura
		if (AStype == "0") //adem
		{
			widget_obj.notifyStruct[itemId] = 
			{
				guiId: guiId,
				AStype: AStype,
				enaFlag: enaFlag,
				invFlag: invFlag,
				contactId: contactId,
				//
				telNumA: telNumA,
				telNumB: telNumB,
				//
				events: []
			};
			widget_obj.checkSaveStruct[itemId] = 
			{
				guiId: guiId,
				AStype: AStype,
				enaFlag: enaFlag,
				invFlag: invFlag,
				contactId: contactId,
				//
				telNumA: telNumA,
				telNumB: telNumB,
				//
				events: []
			};
		}
		else if (AStype == "1") //sia
		{
			widget_obj.notifyStruct[itemId] = 
			{
				guiId: guiId,
				AStype: AStype,
				enaFlag: enaFlag,
				invFlag: invFlag,
				contactId: contactId,
				//
//				telNumBack: telNumBack,
				ipAdr: ipAdr,
				ipPort: ipPort,
				ipAdr_alt: ipAdr_alt,
				ipPort_alt: ipPort_alt,
//				periodicMin: periodicMin,
//				periodicEna: periodicEna,
				udpFlag: udpFlag,
				prot: prot,
				aeskey: aeskey,
				//
				events: []
			};
			widget_obj.checkSaveStruct[itemId] = 
			{
				guiId: guiId,
				AStype: AStype,
				enaFlag: enaFlag,
				invFlag: invFlag,
				contactId: contactId,
				//
//				telNumBack: telNumBack,
				ipAdr: ipAdr,
				ipPort: ipPort,
				ipAdr_alt: ipAdr_alt,
				ipPort_alt: ipPort_alt,
//				periodicMin: periodicMin,
//				periodicEna: periodicEna,
				udpFlag: udpFlag,
				prot: prot,
				aeskey: aeskey,
				//
				events: []
			};
		}
		//riempimento events
		var trovEnaNotify = false;
		$(this).find("events event").each(function()
		{
			var ena = $(this).attr("ena");
			var areas = $(this).attr("areas");
			//
			if (ena == "1")
				trovEnaNotify = true;
			//
			widget_obj.notifyStruct[itemId].events[$(this).attr("id")] = 
			{
				ena: ena,
				areas: areas
			}
			widget_obj.checkSaveStruct[itemId].events[$(this).attr("id")] = 
			{
				ena: ena,
				areas: areas
			}
		});
		//"disegno"
		//ena
		if (guiId != null)
		{
			//ena
			global_toggle_tick_binder_manual("#container_parvig", "vig[data-id="+guiId+"] .ena", ["0", "1"], enaFlag, widget_obj, null);
			$("#container_parvig .vig[data-id="+guiId+"] .ena").on("toggle_tick_click", function()
			{
				//var perenaflg = $("#container_parvig .vig[data-id="+guiId+"] .periodicEna").attr("data-checked");
				if ($(this).attr("data-checked") == "0")
				{
					$(this).siblings().addClass("disabled");
					$(this).siblings().children("input").prop("disabled", true);				
				}
				else
				{
					$(this).siblings().removeClass("disabled");
					$(this).siblings().children("input").prop("disabled", false);
				}
			}).trigger("toggle_tick_click");
			// nome utente - contactId
			global_item_init("#container_parvig", "vig[data-id="+guiId+"] .contactId", "input", null, null, null, contactId, contactIdMax);
			// modalita' di trasmissione diretta inversa
			guiItems.find(".transmission .sl_selector").html(invFlag == 1 ? "{LANG_INVERSE}" : "{LANG_DIRECT}");
			global_apply_diag("#container_parvig", "vig[data-id="+guiId+"] .transmission", transmission_label[guiId-1], "transmission", guiId, "widget_parvig");
			// eventi - notifiche
			guiItems.find(".notification .sl_selector").html(trovEnaNotify ? "{LANG_ITEM_AT_LEAST_ONE}" : "{LANG_DISABLED}"); //eventi - notifiche
			global_apply_diag("#container_parvig", "vig[data-id="+guiId+"] .notification", notification_label[guiId-1], "notification", guiId, "widget_parvig");
			//
			if (AStype == "0")
			{
				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .telNumA", "input", null, null, null, telNumA, telNumAMax);
				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .telNumB", "input", null, null, null, telNumB, telNumBMax);
			}
			else if (AStype == "1")
			{
//				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .telNumBack", "input", null, null, null, telNumBack, telNumBackMax);
				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .ipAdr", "input", null, null, null, ipAdr);
				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .ipPort", "input", null, null, null, ipPort);
				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .ipAdr_alt", "input", null, null, null, ipAdr_alt);
				global_item_init("#container_parvig", "vig[data-id="+guiId+"] .ipPort_alt", "input", null, null, null, ipPort_alt);
//				global_picker_init_simple("#container_parvig", "vig[data-id="+guiId+"] .periodicMin", "periodicMin", periodicMin, null, periodicMinBounds);
//				global_toggle_tick_binder_manual("#container_parvig", "vig[data-id="+guiId+"] .periodicEna", ["0", "1"], periodicEna, widget_obj, null);
//				$("#container_parvig .vig[data-id="+guiId+"] .periodicEna").on("toggle_tick_click", function()
//				{
//					if ($(this).attr("data-checked") == 0)
//						$("#container_parvig .vig[data-id="+guiId+"] .periodicMin").addClass("invisible");
//					else if ($(this).attr("data-checked") == 1)
//						$("#container_parvig .vig[data-id="+guiId+"] .periodicMin").removeClass("invisible");
//				}).trigger("toggle_tick_click");
				//
				guiItems.find(".tcpudp .sl_selector").html(udpFlag == "1" ? "{LANG_UDP}" : "{LANG_TCP}");
				global_apply_diag("#container_parvig", "vig[data-id="+guiId+"] .tcpudp", "{LANG_WIZARD_TCPUDP_MODE}", "tcpudp", guiId, "widget_parvig");
				//
				guiItems.find(".aeskey_val").val(aeskey);
				guiItems.find(".prot .sl_selector").html(prot == "2" ? "{LANG_SIA_ADEM_CID}" : "{LANG_SIA_DCS}");
				global_apply_diag("#container_parvig", "vig[data-id="+guiId+"] .prot", "{LANG_WIZARD_PROT}", "prot", guiId, "widget_parvig");
				if (prot == "2")
				{
					$("#container_parvig .vig[data-id="+guiId+"] .transmission").removeClass("unavailable");
					$("#container_parvig .vig[data-id="+guiId+"] .aeskey").addClass("hider");
				}
				else
				{
					$("#container_parvig .vig[data-id="+guiId+"] .transmission").addClass("unavailable");
					$("#container_parvig .vig[data-id="+guiId+"] .aeskey").removeClass("hider");	
				}
			}
		}
	});
}
//
function item_repeater_startstop(container, widget_obj)
{
	$(container + " #start_stop").click(function()
	{
		if ($(this).hasClass("start"))
		{
			$(this).switchClass("start", "disabled");
			$(this).siblings(".dot").switchClass("stopped", "starting");
			//
			widget_obj.pair_start();
			//
			var start_obj = $(this);
			widget_obj.t_out_start = setTimeout(function()
			{
				widget_obj.allow_start = false;
				//
				start_obj.switchClass("disabled", "start");
				start_obj.siblings(".dot").switchClass("starting", "stopped");
				//
				widget_obj.pair_stop();
			}, 20000);
			//
			widget_obj.allow_start = true;
		}
		else if ($(this).hasClass("stop"))
		{
			$(this).switchClass("stop", "disabled");
			$(this).siblings(".dot").switchClass("started", "starting"); //passa allo stato intermedio che si chiama starting
			//
			widget_obj.pair_stop();
			//
			var start_obj = $(this);
			widget_obj.t_out_stop = setTimeout(function()
			{
				widget_obj.allow_stop = false;
				//
				start_obj.switchClass("disabled", "stop"); //stop non è l'azione in corso ma quella che si vuole attivare
				start_obj.siblings(".dot").switchClass("starting", "started");
				//
				widget_obj.pair_start();
			}, 20000);
			//
			widget_obj.allow_stop = true;
		}
	});
}
//
function item_photopir_mac(container, widget_obj)
{
	$(container + " #photopir_mac").text(widget_obj.xml_any.children("photopir_mac").text());
}
//
//***********************//
//******** SAVES ********//
//***********************//
function save_item_mode(container, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || xml_any;
	//
	if (DIY)
	{
		xml_any_o.children("mode").text(DELAYED);
	}
	else if (xml_any_o.find("subcategory").text() == WS_DEV_ALARM_BUS_SENRF_STR)
	{
		xml_any_o.children("mode").text(widget_obj.mode_bus_rf);
	}
	else
	{
		if (and_function_dev != DELAYED)
			xml_any_o.children("mode").text(MATCH_DEV);
		else if ($(container+" .area_and").attr("data-checked") !== DELAYED)
			xml_any_o.children("mode").text(MATCH_AREA);
		else
			xml_any_o.children("mode").text(DELAYED);
	}
}
function save_item_toggled(container, trama_tag, item_name, xml_any_o, invert)
{
	xml_any_o = xml_any_o || xml_any;
	item_name = item_name || trama_tag;
	//
	if 
	(
		!$(container+" ."+item_name).hasClass("invisible") 
		&& !$(container+" ."+item_name).hasClass("unavailable")
		&& !$(container+" ."+item_name).hasClass("disabled")
	)
	{
		if (invert)
			xml_any_o.children(trama_tag).text(1-$(container+" ."+item_name).attr("data-checked"));
		else
			xml_any_o.children(trama_tag).text($(container+" ."+item_name).attr("data-checked"));
	}
}
function save_item_toggled_manual(container, item_name, trama_tag, xml_any_o, widget_obj)
{
	xml_any_o = xml_any_o || widget_obj.xml_any;
	trama_tag = trama_tag || item_name;
	//
	if 
	(
		!$(container+" ."+item_name).hasClass("invisible") 
		&& !$(container+" ."+item_name).hasClass("unavailable")
		&& !$(container+" ."+item_name).hasClass("disabled")
	)
	{
		xml_any_o.children(trama_tag).text($(container+" ."+item_name).attr("data-checked"));
	}
}
function save_item_toggled2(container, item_name, trama_tag, widget_obj, onoff_cust, exclude_for, xml_any_o)
{
	var item = $(container + " ." + item_name);  
	xml_any_o = xml_any_o || widget_obj.xml_any || xml_any;
	trama_tag = trama_tag || item_name;
	exclude_for = exclude_for || [];
	onoff_cust = onoff_cust || ["0", "1"];
	//
	for(var i = 0; i < exclude_for.length; i++)
	{
		if (item.hasClass(exclude_for[i]))
		{
			return false;
		}	
	}
	if (item.attr("data-checked") == "1")
		xml_any_o.children(trama_tag).text(onoff_cust[1]);
	else if (item.attr("data-checked") == "0")
		xml_any_o.children(trama_tag).text(onoff_cust[0]);
}
function save_item_picker(container, trama_tag, item_name, xml_any_o)
{
	xml_any_o = xml_any_o || xml_any;
	item_name = item_name || trama_tag;
	//
	if 
	(
		!$(container+" ."+item_name).hasClass("invisible") 
		&& !$(container+" ."+item_name).hasClass("unavailable")
		&& !$(container+" ."+item_name).hasClass("disabled")
	)
	{
		if (trama_tag.indexOf("[") > -1 && trama_tag.indexOf("]") > -1)
			xml_any_o.children(trama_tag.cutAfter("[")).attr(trama_tag.cutAround("[", "]"), $(container+" .pick_"+item_name).text());
		else
			xml_any_o.children(trama_tag).text($(container+" .pick_"+item_name).text());
	}
}
var ena_save = true;
function save_item_name(container, widget_obj, pos, xml_any_o)
{
	if (pos == null)
		pos = $(container+" .name").closest(".entire").index();
	if (xml_any_o == null)
		xml_any_o = widget_obj.xml_any;
	//
	$(container+" .name").global_save_item_val({trama_ptr: xml_any_o.children("name"), position: pos});
}
function save_item_pass(container, widget_obj, pos, xml_any_o)
{
	if (pos == null)
		pos = $(container+" .pass").closest(".entire").index();
	if (xml_any_o == null)
		xml_any_o = widget_obj.xml_any;
	//
	$(container + " .pass").global_save_item_val
	({
		trama_ptr: xml_any_o.children("code"),
		position: pos,
		check_func: function()
		{
			var res = true;
			//
			if (res)
				if ($.trim($(container+" .pass").val()).indexOf(String.fromCharCode(8226)) > -1)
					res = null;
			//			
			if (res)
				res = !isNaN($.trim($(container+" .pass").val()));
			if (res)
			{
				var pLen = $.trim($(container+" .pass").val()).length;
				if (pLen > xml_any_o.children("code").attr("maxlength") || pLen < xml_any_o.children("code").attr("minlength"))
					res = false;
			}
			//
			if (res)
			{
				if (widget_obj.same_user_flg != undefined)
				{
					if (!widget_obj.same_user_flg)
						xml_any_o.find("reset_pwd_flg").text("1");
				}
			}
			//
			return res;
		}
	});
}
function save_item_chime(container, widget_obj)
{
	if (!DIY) save_item_toggled(container, "chime");
}
function save_item_global(container, name, type, trama, widget_obj, xml_any_o)
{
	if (xml_any_o == null)
	{
		if (type == "paragraph")
			widget_obj.xml_any.children(trama).text($(container+" ."+name).text());
		else if (type == "input")
			widget_obj.xml_any.children(trama).text($(container+" ."+name).val());
	}
	else
	{
		if (type == "paragraph")
			xml_any_o.children(trama).text($(container+" ."+name).text());
		else if (type == "input")
			xml_any_o.children(trama).text($(container+" ."+name).val());
	}
}
(function($)
{
	$.fn.global_save_item_val = function(options)
	{
		options = $.extend(
		{
			xml_any_o: xml_any,
			trama_ptr: null,
			trama: "",
			position: 0,
			check_func: function(extra)
			{
				if (options.trama_ptr == null)
					options.trama_ptr = options.xml_any_o.find(options.trama);
				//
				if (options.trama_ptr.hasAttr("minlength|maxlength|lbound|rbound"))
				{
					var res = true;
					//
					if (res && options.trama_ptr.hasAttr("minlength"))
					{
						if ($.trim($(this).val()).length < options.trama_ptr.attr("minlength"))
							res = false;
					}
					if (res && options.trama_ptr.hasAttr("maxlength"))
					{
						if ($.trim($(this).val()).length > options.trama_ptr.attr("maxlength"))
							res = false;
					}
					if (res && options.trama_ptr.hasAttr("lbound"))
					{
						var n = Number($.trim($(this).val()));
						var lb = Number(options.trama_ptr.attr("lbound"));
						if (isNaN(n) || isNaN(lb))
							res = false;
						if (n < lb)
							res = false;
					}
					if (res && options.trama_ptr.hasAttr("rbound"))
					{
						var n = Number($.trim($(this).val()));
						var rb = Number(options.trama_ptr.attr("rbound"));
						if (isNaN(n) || isNaN(rb))
							res = false;
						if (n > rb)
							res = false;
					}
					//
					return res;
				}		
				else
				{
					return $.trim($(this).val()) != "";
				}
			},
			extra: null
	    }, options);
		//
        return this.each(function()
        {
        	if ($(this).is("input"))
        	{
        		var ocf_res = options.check_func.call(this, options.extra);
        		//
        		if (ocf_res != null)
        		{
	        		if (!ocf_res)
	        		{
	        			$(this).addClass("fault");
	        			$(".footer_wizard").shift_item_new(options.position, 0);
	        			ena_save = false;
	        		}
	        		else
	        		{
	        			$(this).removeClass("fault");
	        			//
	        			if (options.trama != "")
	        				options.xml_any_o.find(options.trama).text($.trim($(this).val()));
	        			else if (options.trama_ptr != null)
	        				options.trama_ptr.text($.trim($(this).val()));
	        		}
        		}
        	}
        });
    };
}(jQuery));
function save_item_reed_wired(container, widget_obj)
{
	if (!$(container+" .reed").hasClass("unavailable") && widget_obj.xml_any.children("cfg_wire_in_alarm_mode").text() != "-1")
	{
		if (widget_obj.force_to_open)
			widget_obj.reed_mode = "1";
		else if ($(container+" .reed .roc[data-checked='1']").hasClass("open"))
			widget_obj.reed_mode = "1";
		else if ($(container+" .reed .roc[data-checked='1']").hasClass("open_close"))
			widget_obj.reed_mode = "2";
		//
		widget_obj.xml_any.children("cfg_wire_in_alarm_mode").text(widget_obj.reed_mode);
	}
}
function save_item_tvcc(container, widget_obj)
{
	widget_obj.xml_any.children("tvccs").replaceWith(widget_obj.tvccs);
}
function save_item_tvcc_delay_initial(container, widget_obj)
{
	if 
	(
		$(container+" .initial_delay_sec").hasClass("invisible")
		|| $(container+" .initial_delay_sec").hasClass("unavailable")
		|| $(container+" .initial_delay_sec").hasClass("disabled")
	);
	else
		save_item_picker(container, "tvccs_initial_delay_sec", "initial_delay_sec", widget_obj.xml_any);
}
function save_item_rescue(container, widget_obj)
{
	var rescue = widget_obj.xml_scenes["S1"].attr("home");
	if
	(
		rescue == "TRUE"
		&& $(container+" .rescue").attr("data-checked") == "0"
	)
	{
		widget_obj.scenes_save_flg["S1"] = true;
		widget_obj.xml_scenes["S1"].attr("home", "FALSE");
	}
	else if
	(
		rescue == "FALSE"
		&& $(container+" .rescue").attr("data-checked") == "1"
	)
	{
		widget_obj.scenes_save_flg["S1"] = true;
		widget_obj.xml_scenes["S1"].attr("home", "TRUE");
	}
}
function save_item_panic(container, widget_obj)
{
	var panic = widget_obj.xml_scenes["S2"].attr("home");
	if
	(
		panic == "TRUE"
		&& $(container+" .panic").attr("data-checked") == "0"
	)
	{
		widget_obj.scenes_save_flg["S2"] = true;
		widget_obj.xml_scenes["S2"].attr("home", "FALSE");
	}
	else if
	(
		panic == "FALSE"
		&& $(container+" .panic").attr("data-checked") == "1"
	)
	{
		widget_obj.scenes_save_flg["S2"] = true;
		widget_obj.xml_scenes["S2"].attr("home", "TRUE");
	}
}
function save_item_aggression(container, widget_obj)
{
	var aggression = widget_obj.xml_scenes["S3"].attr("home");
	if
	(
		aggression == "TRUE"
		&& $(container+" .aggression").attr("data-checked") == "0"
	)
	{
		widget_obj.scenes_save_flg["S3"] = true;
		widget_obj.xml_scenes["S3"].attr("home", "FALSE");
	}
	else if
	(
		aggression == "FALSE"
		&& $(container+" .aggression").attr("data-checked") == "1"
	)
	{
		widget_obj.scenes_save_flg["S3"] = true;
		widget_obj.xml_scenes["S3"].attr("home", "TRUE");
	}
}
function saveVig(container, widget_obj)
{
	//aggiornamento di struct con gli elementi non diag
	$("#container_parvig .vig").each(function()
	{
		var id = $(this).attr("data-id");
		//
		var ena = $(".ena", this).attr("data-checked");
		widget_obj.notifyStruct[id].enaFlag = ena;
		//
		if (ena == 1)
		{
			widget_obj.notifyStruct[id].contactId = widget_obj.hexA_input_check($(".contactId", this).val(), id, "code", "contactId");
			//
			if ($(this).hasClass("adem"))
			{
				widget_obj.notifyStruct[id].telNumA = widget_obj.phone_number_check($(".telNumA", this).val(), id, "telnum_a", "telNumA");
				widget_obj.notifyStruct[id].telNumB = widget_obj.phone_number_check($(".telNumB", this).val(), id, "telnum_b", "telNumB");
			}
			//
			if ($(this).hasClass("sia"))
			{
//				widget_obj.notifyStruct[id].telNumBack = widget_obj.phone_number_check($(".telNumBack", this).val(), id, "sms_telnum", "telNumBack");
				widget_obj.notifyStruct[id].ipAdr = widget_obj.check_address($(".ipAdr", this).val(), id, "ipAdr");
				widget_obj.notifyStruct[id].ipPort = widget_obj.port_check($(".ipPort", this).val(), id, "ipPort");
				widget_obj.notifyStruct[id].ipAdr_alt = widget_obj.check_address($(".ipAdr_alt", this).val(), id, "ipAdr_alt", true);
				widget_obj.notifyStruct[id].ipPort_alt = widget_obj.port_check($(".ipPort_alt", this).val(), id, "ipPort_alt", true);
//				widget_obj.notifyStruct[id].periodicMin = $(".pick_periodicMin", this).text();
//				widget_obj.notifyStruct[id].periodicEna = $(".periodicEna", this).attr("data-checked");
				widget_obj.notifyStruct[id].aeskey = widget_obj.aeskey_check($(".aeskey_val", this).val(), id, "aeskey_val");
			}
		}
	});
	//
	//passaggio a xml
	widget_obj.xml_vig_save = widget_obj.xml_vig.clone();
	//
	for (var key in widget_obj.notifyStruct)
	{
		var xml_struct = widget_obj.xml_vig_save.find("item").filter(function()
		{
			if ($(this).children("id").text() == key)
				return true;
			else return false;
		});
		//
		if (JSON.stringify(widget_obj.checkSaveStruct[key]) !== JSON.stringify(widget_obj.notifyStruct[key]))
		{
			var _struct = widget_obj.notifyStruct[key];
			//
			xml_struct.children("ena_flg").text(_struct.enaFlag);
			//
			if (_struct.enaFlag == 1)
			{
				xml_struct.children("inv_flg").text(_struct.invFlag);
				xml_struct.children("code").text(_struct.contactId);
				//
				if (_struct.AStype == "0")
				{
					xml_struct.children("telnum_a").text(_struct.telNumA);
					xml_struct.children("telnum_b").text(_struct.telNumB);
				}
				else if (_struct.AStype == "1")
				{
//					xml_struct.children("sms_telnum").text(_struct.telNumBack);
					xml_struct.children("ip_adr").text(_struct.ipAdr);
					xml_struct.children("ip_port").text(_struct.ipPort);
					xml_struct.children("ip_adr_alt").text(_struct.ipAdr_alt);
					xml_struct.children("ip_port_alt").text(_struct.ipPort_alt);
//					xml_struct.children("periodic_min").text(_struct.periodicMin);
//					xml_struct.children("periodic_ena_flg").text(_struct.periodicMin);
					xml_struct.children("udp_flg").text(_struct.udpFlag);
					xml_struct.children("prot").text(_struct.prot);
					xml_struct.children("aeskey").text(_struct.aeskey);
				}
				var xml_events = xml_struct.find("events");
				for (var k in _struct.events)
				{
					$("[id='"+k+"']", xml_events)
						.attr("ena", _struct.events[k].ena)
						.attr("areas", _struct.events[k].areas);
				}
			}
		}
		else
		{
			xml_struct.remove();
		}
	}
}
//***********************//
//******* GLOBALS *******//
//***********************//
function global_item_init(container, name, type, trama, widget_obj, xml_any_o, value, maxlength)
{
	if (value != null)
	{
		if (type == "paragraph")
		{
			$(container+" ."+name).html(value);
		}
		else if (type == "input")
		{
			$(container+" ."+name).val(value);
			if (maxlength != null)
				$(container+" ."+name).attr("maxlength", maxlength);
		}
	}
	else if (xml_any_o == null)
	{
		if (type == "paragraph")
		{
			$(container+" ."+name).text(widget_obj.xml_any.children(trama).text());
		}
		else if (type == "input")
		{
			$(container+" ."+name).val(widget_obj.xml_any.children(trama).text());
			//
			if (widget_obj.xml_any.children(trama).hasAttr("maxlength"))
				$(container+" ."+name).attr("maxlength", widget_obj.xml_any.children(trama).attr("maxlength"));
		}
	}
	else
	{
		if (type == "paragraph")
		{
			$(container+" ."+name).text(xml_any_o.children(trama).text());
		}
		else if (type == "input")
		{
			$(container+" ."+name).val(xml_any_o.children(trama).text());
			//
			if (xml_any_o.children(trama).hasAttr("maxlength"))
				$(container+" ."+name).attr("maxlength", xml_any_o.children(trama).attr("maxlength"));
		}
	}
}
function global_picker_init(container, trama_tag, item_name, widget_obj, disabled, xml_any_o)
{
	xml_any_o = xml_any_o || widget_obj.xml_any;
	item_name = item_name || trama_tag;
	disabled = disabled || "none";
	//
	var gui_obj = $(container+" .pick_"+item_name);
	var trama_obj = xml_any_o.children(trama_tag);
	//
	var trama_value = "";
	if (trama_obj.hasAttr("lbound") && trama_obj.hasAttr("rbound"))
	{
		gui_obj.attr("data-lbound", trama_obj.attr("lbound"));
		gui_obj.attr("data-rbound", trama_obj.attr("rbound"));
	}
	//set value
	trama_value = trama_obj.text();
	//
	if (trama_value == "-1")
	{
		$(container+" ."+item_name).addClass("unavailable");
	}
	else
	{
		gui_obj.text(trama_value);
		//
		if (disabled == "disabled")
			$(container+" ."+item_name).addClass("disabled");
		else if (disabled == "invisible")
			$(container+" ."+item_name).addClass("invisible");
	}
}
function global_picker_init_simple(container, item_addr, item_name, value, disabled, bounds)
{
	disabled = disabled || "none";
	//
	var gui_obj = $(container+" ."+item_addr+" .pick_"+item_name);
	//
	try
	{
		if (bounds.indexOf("[") != -1)
		{
			bounds = bounds.cutAround("[","]").split(",");
			var lbound = bounds[0];
			var rbound = bounds[1];
			gui_obj.attr("data-lbound", lbound);
			gui_obj.attr("data-rbound", rbound);
		}
	}
	catch(nobounds){}
	//
	if (value == "-1")
	{
		$(container+" ."+item_addr).addClass("unavailable");
	}
	else
	{
		gui_obj.text(value);
		//
		if (disabled == "disabled")
			$(container+" ."+item_addr).addClass("disabled");
		else if (disabled == "invisible")
			$(container+" ."+item_addr).addClass("invisible");
	}
}
function global_apply_diag(container, item_name, diag_title, diag_identifier, extra, widget_str, jsd)
{
	diag_identifier = diag_identifier || item_name;
	jsd = jsd || ".JSdialog";
	$(container+" ."+item_name).off("click").click(function()
	{
		if (!$(this).hasClass("disabled") && !$(this).hasClass("invisible") && !$(this).hasClass("unavailable"))
			pag_change(jsd, "widget_diag", diag_identifier, diag_title, container, ""+extra, widget_str, item_name);
	});
}
function global_item_tag_ter(container)
{
//	setTimeout(function()
//	{
		$(container+" .item_tag, "+container+" .tt_selector").each(function()
		{
			if ($(this).siblings("input:not(.sexies), .item_value").length > 0 || $(this).closest("#time_container").length > 0)//item con input
				$(this).addClass("w120");
			else if ($(this).parent().hasClass("toggle_tick") || $(this).siblings("input").hasClass("sexies"))//item con toggle
				$(this).addClass("w210");
			//
			if ($(this).parent().is(".right, .left"))
				$(this).siblings(".item_value").addClass("ter");
			//
			var show_a_bit = 0;//0 not show, 1 invisible, 2 disabled
			var tag_parent = $(this).closest(".global_item, .nndb_item");
			if (tag_parent.hasClass("invisible"))
			{
				tag_parent.removeClass("invisible");
				show_a_bit = 1;
			}
			if (tag_parent.hasClass("disabled"))
			{
				tag_parent.removeClass("disabled");
				show_a_bit = 2;
			}
			//
			var line_height = $(this).css("line-height").replace(/[^-\d\.]/g, '');
			var it_height = $(this).height();
			//
			if (show_a_bit == 1) tag_parent.addClass("invisible");
			if (show_a_bit == 2) tag_parent.addClass("disabled");
			//
			var line_number = Math.round(it_height/line_height);
			if (line_number === 2)
				$(this).addClass("ter");
			else if (line_number === 3)
				$(this).addClass("ter3");
		});
//	}, QT ? 200 : 0);
}
function global_subtitle_header(container, widget_obj, name_par)
{
	xml_any_o = widget_obj.xml_any;
	//
	var name = "null";
	if (name_par == null)
		name = xml_any_o.children("name").text();
	else
		name = name_par;
	var space = " ";
	if ($(container).hasClass("s_container"))
		space = "";
	$(container+space+".s_container").off("scroller_extra").on("scroller_extra", function()
	{
		if ($(this).scrollTop() > 0)
			$("#wizard_header_info").text(name);
		else
			$("#wizard_header_info").text("");
	});
}
function global_toggle_tick_binder_manual(container, gui_item, values, init_value, widget_obj, var_name)
{
	var elem = $(container+" ."+gui_item);
	//
	if (elem.hasClass("unavailable")) return false;
	//
	if (values.length == 2)
	{
		if (init_value == values[1])
		{
			elem.attr("data-checked", "1");
		}
		else if (init_value == values[0])
		{
			elem.attr("data-checked", "0");
		}
		if (var_name != null)
			widget_obj.eval(var_name) = init_value;
		//
		$(elem).off("click").click(function()
		{
			if (!($(elem).hasClass("disabled") || $(elem).hasClass("invisible")))
			{
				if ($(this).attr("data-checked") == "1")
				{
					$(this).attr("data-checked", "0");
					if (var_name != null)
						widget_obj.eval(var_name) = values[0];
				}
				else
				{
					$(this).attr("data-checked", "1");
					if (var_name != null)
						widget_obj.eval(var_name) = values[1];
				}
				$(elem).trigger("toggle_tick_click");
			}
		});
	}
}
/**
 * 
 * @param elem
 * @param trama_tag 
 * @param cust_val valore positivo personalizzato, se vale "invert" inverte 1 e 0 durante il controllo
 * @param position posizione immagine "tick"
 * @param xml_any_o puntatore al figlio
 */
function global_toggle_tick_binder(elem, trama_tag, cust_val, xml_any_o, disabled_invisible_str)
{
	$(elem).addClass("toggle_tick");
	//
	var tick = "tick";
	if (SIL)
		tick = "tick_y";
	//
	var value = "1";
	var value2 = "0";
	if (cust_val != null && cust_val !== "invert")
	{
		value = cust_val;
	}
	var	perc = "94%";
	if ($(elem).hasClass("full"))
		perc = "97%";
	var position = perc;
	//
	xml_any_o = xml_any_o || xml_any;
	//
	if (disabled_invisible_str == "unavailable")
		$(elem).addClass("unavailable");
	//
	if (xml_any_o.find(trama_tag).text() != "-1" && !$(elem).hasClass("unavailable"))
	{
		if (cust_val != null && cust_val === "invert")
		{
			if (xml_any_o.find(trama_tag).text() == value)
			{
				$(elem).attr("data-checked", value2);
				$(elem).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat "+position+" center");
			}
			else
			{
				$(elem).attr("data-checked", value);
				$(elem).attr("style", "background:url({TMPL_DIR}res/"+tick+".png) no-repeat "+position+" center");
			}
		}
		else
		{
			if (xml_any_o.find(trama_tag).text() == value)
			{
				$(elem).attr("data-checked", value);
				$(elem).attr("style", "background:url({TMPL_DIR}res/"+tick+".png) no-repeat "+position+" center");
			}
			else
			{
				$(elem).attr("data-checked", value2);
				$(elem).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat "+position+" center");
			}
		}
		//
		if (disabled_invisible_str === "disabled" || $(elem).hasClass("disabled"))
		{
			$(elem).addClass(disabled_invisible_str);
			if ($(elem).attr("data-checked") === value)
				$(elem).css("background", "url({TMPL_DIR}res/tick_grey.png) no-repeat "+position+" center");
		}
		else if (disabled_invisible_str === "invisible" || $(elem).hasClass("invisible"))
		{
			$(elem).removeAttr("style");
			$(elem).addClass(disabled_invisible_str);
		}
		//
		$(elem).off("click").click(function()
		{
			if (!$(elem).hasClass("disabled") && !$(elem).hasClass("invisible"))
			{
				if ($(this).attr("data-checked") == value)
				{
					$(this).attr("data-checked", value2);
					$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat "+position+" center;");
				}
				else
				{
					$(this).attr("data-checked", value);
					$(this).attr("style", "background:url({TMPL_DIR}res/"+tick+".png) no-repeat "+position+" center;");
				}
				$(elem).trigger("toggle_tick_click");
			}
		});
		//
		$(elem).off("change_toggle_state").on("change_toggle_state", function(event, dis_inv)//dis_inv -> disabled_invisible
		{
			if (dis_inv === "enabled")
			{
				$(this).removeClass("disabled invisible");
				if ($(this).attr("data-checked") == value)
				{
					$(this).attr("style", "background:url({TMPL_DIR}res/"+tick+".png) no-repeat "+position+" center;");
				}
				else
				{
					$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat "+position+" center;");
				}
			}
			else
			{
				$(this).addClass(dis_inv);
				//
				if (dis_inv === "disabled")
				{
					if ($(this).attr("data-checked") === value)
						$(this).css("background", "url({TMPL_DIR}res/tick_grey.png) no-repeat "+position+" center");
				}
				else if (dis_inv === "invisible")
				{
					$(this).removeAttr("style");
				}
				else if (dis_inv === "off")
				{
					$(this).attr("data-checked", "0");
					$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat " + position + " center;");
				}
			}
		});
	}
	else if (xml_any_o.find(trama_tag).text() === "-1")
	{
		$(elem).addClass("unavailable");
		$(elem).removeAttr("style");
	}
}
//
function global_toggle_tick_binder_warn(elem, trama_tag, cust_val, xml_any_o, warn_event, warn_msg, disabled_invisible_str)
{
	$(elem).addClass("toggle_tick");
	//
	var value = "1";
	var value2 = "0";
	if (cust_val != null && cust_val !== "invert")
	{
		value = cust_val;
	}
	var	perc = "94%";
	if ($(elem).hasClass("full"))
		perc = "97%";
	var position = perc;
	//
	xml_any_o = xml_any_o || xml_any;
	//
	warn_event = warn_event || "on_tick";
	//
	if (disabled_invisible_str == "unavailable")
		$(elem).addClass("unavailable");
	//
	if (xml_any_o.find(trama_tag).text() != "-1" && !$(elem).hasClass("unavailable"))
	{
		if (cust_val != null && cust_val === "invert")
		{
			if (xml_any_o.find(trama_tag).text() == value)
			{
				$(elem).attr("data-checked", value2);
				$(elem).attr("style", "background:url({TMPL_DIR}res/ballot_x"+(warn_event === "on_ballot_x" ? "_red" : "")+".png) no-repeat "+position+" center");
			}
			else
			{
				$(elem).attr("data-checked", value);
				$(elem).attr("style", "background:url({TMPL_DIR}res/tick"+(warn_event === "on_tick" ? "_red" : (SIL ? "_y" : ""))+".png) no-repeat "+position+" center");
			}
		}
		else
		{
			if (xml_any_o.find(trama_tag).text() == value)
			{
				$(elem).attr("data-checked", value);
				$(elem).attr("style", "background:url({TMPL_DIR}res/tick"+(warn_event === "on_tick" ? "_red" : (SIL ? "_y" : ""))+".png) no-repeat "+position+" center");
			}
			else
			{
				$(elem).attr("data-checked", value2);
				$(elem).attr("style", "background:url({TMPL_DIR}res/ballot_x"+(warn_event === "on_ballot_x" ? "_red" : "")+".png) no-repeat "+position+" center");
			}
		}
		//
		if (disabled_invisible_str === "disabled" || $(elem).hasClass("disabled"))
		{
			$(elem).addClass(disabled_invisible_str);
			if ($(elem).attr("data-checked") === value)
				$(elem).css("background", "url({TMPL_DIR}res/tick"+(warn_event === "on_tick" ? "_red" : "")+"_grey.png) no-repeat "+position+" center");
		}
		else if (disabled_invisible_str === "invisible" || $(elem).hasClass("invisible"))
		{
			$(elem).removeAttr("style");
			$(elem).addClass(disabled_invisible_str);
		}
		//
		$(elem).off("click").click(function()
		{
			if (!$(elem).hasClass("disabled") && !$(elem).hasClass("invisible"))
			{
				if (warn_event === "on_tick")
				{
					if ($(this).attr("data-checked") == value)
					{
						$(this).attr("data-checked", value2);
						$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat "+position+" center;");
						//
						$(elem).trigger("toggle_tick_click");
					}
					else
					{
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "okab", elem);
					}
				}
				else if (warn_event === "on_ballot_x")
				{
					if ($(this).attr("data-checked") == value)
					{
						pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", warn_msg, "okab", elem);
					}
					else
					{
						$(this).attr("data-checked", value);
						$(this).attr("style", "background:url({TMPL_DIR}res/tick"+(SIL ? "_y" : "")+".png) no-repeat "+position+" center;");
						//
						$(elem).trigger("toggle_tick_click");
					}
				}
			}
		})
		.off("on_pw_ok").on("on_pw_ok", function()
		{
			if (warn_event === "on_tick")
			{
				$(this).attr("data-checked", value);
				$(this).attr("style", "background:url({TMPL_DIR}res/tick_red.png) no-repeat "+position+" center;");
			}
			else if (warn_event === "on_ballot_x")
			{
				$(this).attr("data-checked", value2);
				$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x_red.png) no-repeat "+position+" center;");
			}
			$(elem).trigger("toggle_tick_click");
		});
		//
		$(elem).off("change_toggle_state").on("change_toggle_state", function(event, dis_inv)
		{
			if (dis_inv === "enabled")
			{
				$(this).removeClass("disabled invisible");
				if ($(this).attr("data-checked") == value)
				{
					$(this).attr("style", "background:url({TMPL_DIR}res/tick"+(warn_event === "on_tick" ? "_red" : (SIL ? "_y" : ""))+".png) no-repeat "+position+" center;");
				}
				else
				{
					$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x"+(warn_event === "on_ballot_x" ? "_red" : "")+".png) no-repeat "+position+" center;");
				}
			}
			else
			{
				$(this).addClass(dis_inv);
				//
				if (dis_inv === "disabled")
				{
					if ($(this).attr("data-checked") === value)
						$(this).css("background", "url({TMPL_DIR}res/tick"+(warn_event === "on_tick" ? "_red" : "")+"_grey.png) no-repeat "+position+" center");
				}
				else if (dis_inv === "invisible")
				{
					$(this).removeAttr("style");
				}
			}
		});	
	}
	else if (xml_any_o.find(trama_tag).text() === "-1")
	{
		$(elem).addClass("unavailable");
		$(elem).removeAttr("style");
	}
}
//
function global_load_areas(area_container, areas_tag, xml_any_o, disabled)
{
	if (disabled == "disabled")
		disabled = true;
	else
		disabled = false;
	$(area_container).children().each(function()
	{
		var id = $(this).children("p").attr("data-id");
		var desc_resp = null;
		area_list.find("item").each(function()
		{
			if ($(this).children("name").text() == id)
				desc_resp = $(this).children("desc").text();
		});
		if (desc_resp == null)
		{
			$(this).attr("data-checked", "2");
			$(this).children().remove();
			$(this).removeAttr("style");
		}
		else
		{
			$(this).children("p").replaceWith("<p class=\"item_tag\" data-id=\""+id+"\">"+id+" - "+desc_resp+"</p>");
		}
		//
		xml_any_o = xml_any_o || xml_any;
		if (xml_any_o.children(areas_tag).text().indexOf(id) > -1)
		{
			$(this).attr("style", "background:url({TMPL_DIR}res/tick"+(disabled ? "_grey" : (SIL ? "_y" : ""))+".png) no-repeat 90% center;");
			$(this).attr("data-checked", "1");
		}
		else if (!($(this).attr("data-checked") == "2"))
		{
			$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat 90% center;");
			$(this).attr("data-checked", "0");
		}
		//
		if (!disabled)
		{
			$(this).off("click").click(function()
			{
				if ($(this).attr("data-checked") == "1")
				{
					$(this).attr("data-checked", "0");
					$(this).attr("style", "background:url({TMPL_DIR}res/ballot_x.png) no-repeat 90% center;");
				}
				else if ($(this).attr("data-checked") == "0")
				{
					$(this).attr("data-checked", "1");
					$(this).attr("style", "background:url({TMPL_DIR}res/tick"+(SIL ? "_y" : "")+".png) no-repeat 90% center;");
				}
				$(this).trigger("extra_area_func");
			});
		}
		else
		{
			if (xml_any_o.find("subcategory").text() == WS_DEV_ALARM_BUS_SENRF_STR)
			{
				$(this).attr("data-checked", "1");
				$(this).attr("style", "background:url({TMPL_DIR}res/tick_grey.png) no-repeat 90% center;");
				$(this).off("click");
			}
		}
	});
}
//
function global_send_dev_mod_save(widget_obj, resp, parsav, type_of_save, force_send, item_id)
{
	if (resp == null)
		resp = true;
	if (parsav == null)
		parsav = true;
	if (type_of_save == null)
		type_of_save = WS_DEV_STR;
	if (item_id == null)
		item_id = true;
	if (force_send == null)
		force_send = false;
	var res = false;
	var k = 1;
	//
	if (parsav)
		widget_obj.par_save();
	//
	xml_request = xml_request_head_build("MENU", resp ? widget_obj.name : null);
	xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);
	xml_par = $(XML("page")); xml_par.text(type_of_save); xml_request.append(xml_par);
	xml_par = $(XML("par")); xml_request.append(xml_par);
	//
	if (widget_obj.xml_any != null)
	{
		if (item_id) widget_obj.xml_any.attr("id", k++);
		xml_par.append(widget_obj.xml_any);
		res = true;
	}
	//
	if (widget_obj.son1 != null)
	{
		if (item_id) widget_obj.son1.attr("id", k++);
		xml_par.append(widget_obj.son1);
		res = true;
	}
	if (widget_obj.son2 != null)
	{
		if (item_id) widget_obj.son2.attr("id", k++);
		xml_par.append(widget_obj.son2);
		res = true;
	}
	//
	if (widget_obj.sons != null)
	{
		for (var i = 0; i < widget_obj.sons.length; i++)
		{
			if (item_id) widget_obj.sons[i].attr("id", i + k);
			xml_par.append(widget_obj.sons[i]);
			res = true;
		}
	}
	//
	if (widget_obj.xml_any_arr != null)
	{
		for (var i = 0; i < widget_obj.xml_any_arr.length; i++)
		{
			if (item_id) widget_obj.xml_any_arr[i].attr("id", i+k);
			xml_par.append(widget_obj.xml_any_arr[i]);
			res = true;
		}
	}
	//
	if ((ena_save || force_send) && res) xml_send(xml_request);
	//
	if (!res) alert("ERROR: NOTHING TO SAVE");
}