pag_table_new["widget_audio"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(26, this);
		save_step(WS_WIZARD_STEP_AUDIO);
		//
		//
		this.scrollTop_associative_array["areas"] = 0;
		this.scrollTop_associative_array["system"] = 0;
		this.scrollTop_associative_array["events"] = 0;
		this.scrollTop_associative_array["devices"] = 0;
		//
		xml_menu_load_send(WS_AUDIO_STR, WS_DEV_ALARM_WIFI_STR+"|"+WS_DEV_ALARM_TERM_STR+"|"+WS_DEV_ALARM_CEN_STR+"|"+WS_DEV_ALARM_LCD_STR+"|"+WS_DEV_ALARM_POW_STR+"|"+WS_DEV_ALARM_RTC_STR+"|"+WS_DEV_ALARM_BAT_STR+"|"+WS_DEV_ALARM_CARRIER_STR+"|"+WS_DEV_ALARM_GSM_STR+"|"+WS_DEV_ALARM_PSTN_STR+"|"+WS_DEV_ALARM_CLOUD_STR+"|"+WS_DEV_ALARM_TELEGEST_STR+"|"+WS_DEV_ALARM_DASH_STR, "filter_not", "widget_audio");
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						var widget_obj = this;
						audios = [];
						conf.find("par item").each(function()
						{
							audios.push($(this));
						});
						//
						$("#audio_container_list").off("scroller_extra").on("scroller_extra", function()
						{
							widget_obj.scrollTop_associative_array[widget_obj.audio_type_str] = Math.round($(this).scrollTop()/$(this).children(".entire_audio").height());
						});
						//
						$(".audio_container .item").unbind("click").click(function()
						{
							widget_obj.init();
							//
							widget_obj.audio_type_str = $(this).attr("data-type");
							if (widget_obj.audio_type_str == "areas")
								$("#audio_title").html("{LANG_WIZARD_AUDIO_AREAS}");
							else if (widget_obj.audio_type_str == "system")
								$("#audio_title").html("{LANG_WIZARD_AUDIO_SYSTEM}");
							else if (widget_obj.audio_type_str == "events")
								$("#audio_title").html("{LANG_WIZARD_AUDIO_EVENT}");
							else if (widget_obj.audio_type_str == "devices")
								$("#audio_title").html("{LANG_WIZARD_AUDIO_DEVICES}");
//for(var i = 0; i < audios.length; i++)
//	if (audios[i].attr("type") == "devices")
//		tyu(audios[i].html());
							//
							var j = 0;
							for (var i = 0; i < audios.length; i++)
								if (audios[i].attr("type") == widget_obj.audio_type_str)
								{
									$("#audio_container_list .entire_audio:eq("+j+")")
										.append("<div class=\"item btt\" data-id-list=\""+i+"\" data-id=\""+audios[i].children("id").text()+"\"><p>"+audios[i].children("name").text()+"</p></div>");
									//
									$("#audio_container_list .entire_audio:eq("+j+") .item:last-child")
										.append("<div class=\"sound\" style=\"background:url({TMPL_DIR}res/sound.png) no-repeat center center;\"></div><div class=\"trash\" style=\"background:url({TMPL_DIR}res/del.png) no-repeat center center;\"></div>");
									if (audios[i].children("present").text() === "0")
									{
										$("#audio_container_list .entire_audio:eq("+j+") .item:last-child").children(".sound, .trash").css("opacity", "0.3");
									}
									$("#audio_container_list .entire_audio:eq("+j+") .item:last-child").attr("data-present", audios[i].children("present").text());
									$("#audio_container_list .entire_audio:eq("+j+") .item:last-child").attr("data-sec", audios[i].children("sec").text());
									//
									if ($("#audio_container_list .entire_audio:last-child .item").length >= 5)
									{
										$("#audio_container_list").append("<div class=\"entire_audio\"></div>");
										j++;
									}
								}
							if ($("#audio_container_list .entire_audio:last-child").is(":empty"))
								$("#audio_container_list .entire_audio:last-child").remove();
							//
							widget_obj.common();
						});
					}
				}
			}
			else if (conf.children("act").text() == "PLAY")
			{
				if (conf.children("res").text() == "1")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						$(".widget_audio .play[data-checked='true']")
							.attr("data-checked", "trfl")
							.css("opacity", "0.25");
						$(".widget_audio .audio_item[data-id='"+conf.children("par").text()+"']")
							.find(".stop")
							.attr("data-checked", "true")
							.css("opacity", "1");
						$(".widget_audio .del[data-checked='true']")
							.attr("data-checked", "trfl")
							.css("opacity", "0.25");
						//
						//this.audio_st_get(conf.children("par").text());
					}
				}
				else if (conf.children("res").text() == "0")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						$(".widget_audio .play[data-checked='trfl']")
							.attr("data-checked", "true")
							.css("opacity", "1");
						$(".widget_audio .audio_item[data-id='"+conf.children("par").text()+"']").find(".stop")
							.attr("data-checked", "false")
							.css("opacity", "0.25");
					}
				}
			}
			else if (conf.children("act").text() == "STOP")
			{
				if (conf.children("res").text() == "1")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						//this.audio_st_get(conf.children("par").text());
					}
				}
				else if (conf.children("res").text() == "0")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						$(".widget_audio .audio_item[data-id='"+conf.children("par").text()+"']")
							.find(".stop")
							.css("color", "white");
					}
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETED")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						$("#audio_container_list .entire_audio .item[data-id-list='"+audio_index+"']")
							.attr("data-present", "0")
							.attr("data-sec", "0")
							.children(".sound, .trash").css("opacity", "0.3");
						audios[audio_index].children("present").text("0");
						audios[audio_index].children("sec").text("0");
					}
				}
				else if (conf.children("res").text() == "0")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						//
					}
				}
			}
			else if (conf.children("act").text() == "REC")
			{
				if (conf.children("res").text() == "1")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						$(".widget_audio .rec[data-checked='true']")
							.attr("data-checked", "trfl")
							.css("opacity", "0.25");
						$(".widget_audio .play[data-checked='true']")
							.attr("data-checked", "trfl")
							.css("opacity", "0.25");
						$(".widget_audio .del[data-checked='true']")
							.attr("data-checked", "trfl")
							.css("opacity", "0.25");
						$(".widget_audio .audio_item[data-id='"+conf.children("par").text()+"']")
							.find(".stop")
							.attr("data-checked", "true")
							.css("opacity", "1");
						$(".widget_audio .audio_item[data-id='"+conf.children("par").text()+"']")
							.find(".play")
							.attr("data-checked", "trfl")
							.css("opacity", "0.25");
						//
						//this.audio_st_get(conf.children("par").text());
					}
				}
				else if (conf.children("res").text() == "0")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						//
					}
				}
			}
			else if (conf.children("act").text() == "ST_GET")
			{
				if (conf.children("res").text() == "1")
				{
					if (conf.children("page").text() == WS_AUDIO_STR)
					{
						var widget_obj = this;
						//
						if (conf.children("st").text() == "2")
						{
							var id_dev = conf.children("par").text();
							$(".widget_audio .audio_item[data-id='"+id_dev+"']").find(".sec").text(conf.children("sec").text());
//							setTimeout(function()
//							{
//								widget_obj.audio_st_get(id_dev);
//							}, 1000);
						}
						else if (conf.children("st").text() == "1") //stop
						{
							var id_dev = conf.children("par").text();
							$(".widget_audio .audio_item[data-id='"+id_dev+"']").find(".sec").text(conf.children("sec").text());
							$(".widget_audio .play[data-checked='trfl']")
								.attr("data-checked", "true")
								.css("opacity", "1");
							$(".widget_audio .del[data-checked='trfl']")
								.attr("data-checked", "true")
								.css("opacity", "1");
							$(".widget_audio .rec[data-checked='trfl']")
								.attr("data-checked", "true")
								.css("opacity", "1");
							$(".widget_audio .audio_item[data-id='"+id_dev+"']").find(".stop")
								.attr("data-checked", "false")
								.css("color", "white")
								.css("opacity", "0.25");
							$(".widget_audio .audio_item[data-id='"+id_dev+"']").find(".del")
								.attr("data-checked", "true")
								.css("opacity", "1");
							$(".widget_audio .audio_item[data-id='"+id_dev+"']").find(".rec")
								.attr("data-checked", "false")
								.css("opacity", "0.25");
						}
						else if (conf.children("st").text() == "3")
						{
							var id_dev = conf.children("par").text();
							$(".widget_audio .audio_item[data-id='"+id_dev+"']").find(".sec").text(conf.children("sec").text());
//							setTimeout(function()
//							{
//								widget_obj.audio_st_get(id_dev);
//							}, 1000);
						}
						else if (conf.children("st").text() == "0")
						{
							var id_dev = conf.children("par").text();
//							setTimeout(function()
//							{
//								widget_obj.audio_st_get(id_dev);
//							}, 1000);
						}
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_audio",
	audio_type_str: null,
	scrollTop_associative_array: [],
	//
	init: function()
	{
		$("#audio_subtitle, .audio_container").hide();
		$("#audio_container_list").show();
		//
		$("#footer_a_a").unbind("click").click(function()
		{
			$("#audio_container_list").children(":not(:first-child)").remove();
			$("#audio_container_list .entire_audio").children().remove();
			$("#audio_container_list").hide();
			$("#audio_subtitle, .audio_container").show();
			$("#audio_title").html("{LANG_WIZARD_AUDIO_TITLE}");
			footer_wizard_switch(26);
		});
	},
	common: function()
	{
		var widget_obj = this;
		//
		if ($("#audio_container_list .entire_audio:last .item").length < 5)
		{
			$("#audio_container_list .entire_audio:last .item:last").addClass("btb");
		}
		//
		$("#audio_container_list .entire_audio .item .choose").unbind("click").click(function()
		{
			pag_change(".JSdialog", "widget_audio_edit");
		});
		//
		$(".footer_wizard").unbind("s_scroller_new").s_scroller_new("#audio_container_list", null, this.scrollTop_associative_array[this.audio_type_str], 0);
		//
		$("#audio_container_list .sound").unbind("click").click(this.play);
		$("#audio_container_list .trash")
			.unbind("click")
			.click(function()
			{
				pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_WDELAUDIO}", "okab", "#audio_container_list .item[data-id-list='"+$(this).parent().attr("data-id-list")+"']");
			})
			.parent().unbind("on_pw_ok").on("on_pw_ok", function()
			{
				widget_obj.delete_($(this));
			});
		$("#audio_container_list .item p").unbind("click").click(function()
		{
			audio_index = $(this).parent().attr("data-id-list");
			pag_change(".JSdialog", "widget_audio_edit", $(this).parent().attr("data-id"), $(this).text(), $(this).parent().attr("data-present"), $(this).parent().attr("data-sec"));
		});
	},
	play: function()
	{
		var index_i = $(this).parent().attr("data-id-list");
		var audio_item = audios[index_i].clone();
		audio_item.attr("id", "1");
		//
		xml_request = xml_request_head_build("MENU", "widget_audio");
		xml_par = $(XML("page")); xml_par.text("AUDIO"); xml_request.append(xml_par);
		xml_par = $(XML("act")); xml_par.text("PLAY"); xml_request.append(xml_par);
		xml_par = $(XML("par")); xml_par.append(audio_item); xml_request.append(xml_par);
		xml_send(xml_request);
	},
	delete_: function(questo)
	{
		audio_index = questo.attr("data-id-list");
		var audio_item = audios[audio_index].clone();
		audio_item.attr("id", "1");
		//
		xml_request = xml_request_head_build("MENU", "widget_audio");
		xml_par = $(XML("page")); xml_par.text("AUDIO"); xml_request.append(xml_par);
		xml_par = $(XML("act")); xml_par.text("DELETE"); xml_request.append(xml_par);
		xml_par = $(XML("par")); xml_par.append(audio_item); xml_request.append(xml_par);
		xml_send(xml_request);
	}
	//,audio_st_get: function(devId)
	//{
	//	xml_request = xml_request_head_build("MENU", "widget_audio");
	//	xml_par = $(XML("page")); xml_par.text("AUDIO"); xml_request.append(xml_par);
	//	xml_par = $(XML("act")); xml_par.text("ST_GET"); xml_request.append(xml_par);
	//	xml_par = $(XML("par")); xml_par.text(devId); xml_request.append(xml_par);
	//	xml_send(xml_request);
	//}
};