pag_table_new["widget_cmd_device_cen"] = {
	onload: function()
	{
		footer_home_switch2(5, this);
		$(".JSdialog2").show();
		xml_any = this.xml_any;
		var widget_obj = this;
		//
		//
		if (this.mode == "control")
		{
			var device = xml_any_tbl_devcontrol[this.xml_any_tbl_idx];
			this.subcat = device.children("subcategory").text();
			this.devid = device.children("tag").text();
		}
		//COMMONS
		if (this.mode == "scene" || this.mode == "control")
		{
			var cmds_str = xml_file_configuration.find("Devices Device[deleted='FALSE'][id='"+this.devid+"'] Commands").text();
			//
			var cmds_code = cmds_str.split(",");
			//
			var xml_cfg_cmd = xml_file_configuration.find("Categories Category[id='ALARM'] Subcategories Subcategory[id='"+this.subcat+"'] Commands");
			for (var i = 0; i < cmds_code.length; i++)
			{
				this.cmds[i] = [];
				this.cmds[i][0] = cmds_code[i];
				this.cmds[i][1] = xml_cfg_cmd.children("Command[id='"+cmds_code[i]+"']").attr("desc");
			}
			//
			$("#container_cmd_cen .quadrant.bc").children(":not(.f"+this.cmds.length+")").hide();
			//
			for (var i = 0; i < this.cmds.length; i++)
			{
				$("#container_cmd_cen .quadrant.bc div:visible div:eq("+i+") p")
					.text(this.cmds[i][1])
					.attr("data-code", this.cmds[i][0]);
			}
			//
			switch(this.subcat)
			{
				case WS_DEV_ALARM_RELAY_STR:
				case WS_DEV_ALARM_BUS_RELAY_STR:
					$("#container_cmd_cen .quadrant.ad").css("background-image", "url({TMPL_DIR}res/relay_icon.png)");
					break;
				case WS_DEV_ALARM_SIR_STR:
				case WS_DEV_ALARM_SIRI_STR:
				case WS_DEV_ALARM_BUS_SIR_STR:
					$("#container_cmd_cen .quadrant.ad").css("background-image", "url({TMPL_DIR}res/sir_icon.png)");
					break;
				case WS_DEV_ALARM_WIRED_STR:
					$("#container_cmd_cen .quadrant.ad").css("background-image", "url({TMPL_DIR}res/relay_icon.png)");
					break;
				default:
					$("#container_cmd_cen .quadrant.ad").css("background-image", "url({TMPL_DIR}res/disabled.png)");
					break;
			}
			//
			if (SIL)
				$("#container_cmd_cen .info_dev .room").hide();
			else;
		}
		//
		if (this.mode == "scene")
		{
			$("#container_cmd_cen .quadrant.bc div:visible div").click(function()
			{
				if ($(this).children("p").hasAttr("data-code"))
				{
					$("#container_cmd_cen .quadrant.bc div:visible div").attr("data-checked", "0");
					//
					if ($(this).attr("data-checked") == "1")
					{
						$(this).attr("data-checked", "0");
					}
					else
					{
						$(this).attr("data-checked", "1");
					}
				}
			});
			//
			$("#container_cmd_cen .quadrant.bc div:visible div p[data-code='"+this.selected+"']").parent().trigger("click");
			//
			$("#container_cmd_cen .info_dev .type").append(" "+device_associative_array[this.subcat]);
			$("#container_cmd_cen .info_dev .type").append(wired_type_str(this.subcat, xml_any_tbl_scenery[this.xml_any_tbl_idx]));
			$("#container_cmd_cen .info_dev .name").append(xml_any_tbl_scenery[this.xml_any_tbl_idx].children("name").text());
			$("#container_cmd_cen .info_dev .area").append(xml_any_tbl_scenery[this.xml_any_tbl_idx].children("area_alarm").text());
		}
		else if (this.mode == "control")
		{
			$("#container_cmd_cen .info_dev .type").append(" "+device_associative_array[this.subcat]);
			$("#container_cmd_cen .info_dev .type").append(wired_type_str(this.subcat, device));
			$("#container_cmd_cen .info_dev .name").append(device.children("name").text());
			$("#container_cmd_cen .info_dev .area").append(device.children("area_alarm").text());
			//
			var cmd_btn_tout;
			//
			$("#container_cmd_cen .quadrant.bc div:visible div").off(vmousedown).on(vmousedown, function()
			{
				$(this).css("background-color", "rgba(255,255,255,0.4)");
				var btn_obj = $(this);
				//
				cmd_btn_tout = setTimeout(function()
				{
					if (btn_obj.children("p").hasAttr("data-code"))
					{
						widget_obj.send_cmd(btn_obj.children("p").attr("data-code"));
						//
						btn_obj.css("background-color", "");
					}
				}, 1000);
			})
			.off(vmouseup).on(vmouseup, function()
			{
				clearTimeout(cmd_btn_tout);
				$(this).css("background-color", "");
			});
			//
			//init status
			this.send_cmd(WS_DEV_ALARM_CEN_CMD_GENERIC_STATUS_GET_STR);
		}
		//
		//
		global_item_tag_ter("#container_pir");
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "STATE")
		{
			relayStateChange(indi, "#container_cmd_cen .quadrant.ad", this, this.subcat);
		}
	},
	onclose: function()
	{
		$(".JSdialog2").hide();
	},
	//
	name: "widget_cmd_device_cen",
	//scenery var
	selected: $(".widget_cmd_device").attr("data-selected"),
	idx: $(".widget_cmd_device").attr("data-idx"),//index of cmds variable in "widget_add_scenery"
	//generic var
	devid: $(".widget_cmd_device").attr("data-devid"),//id del device del catalogo da passare a cmds in "widget_add_scenery"
	subcat: $(".widget_cmd_device").attr("data-subcat"),//subcategory del device, disponibile anche in xml_any_tbl_scenery
	xml_any_tbl_idx: $(".widget_cmd_device").attr("data-xml-any-tbl-idx"),
	mode: $(".widget_cmd_device").attr("data-scenery-mode"),
	cmds: [],
	//
	//devicecmd var
	send_cmd: function(code)
	{
		send_device_cmd(code, this);
	}
};