pag_table_new["widget_device_wireless"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(4, this);
		//
		//
		if (global_bus_present_flg)
			$("#device_wireless_title").html("{LANG_WIZARD_DEVICE_WIRELESS_TITLE_R}");
		else
			$("#device_wireless_subtitle span").hide();
		//
		xml_request = xml_request_head_build("PNP", "widget_device_wireless");
		xml_par = $(XML("act")); xml_par.text("START"); xml_request.append(xml_par);
		xml_send(xml_request);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "PNP")
		{
			if (conf.children("act").text() == "START")
			{
				if (conf.children("res").text() == "ACQUIRING")
				{
					var widget_obj = this;
					function wireless_anim()
					{
						widget_obj.small.finish();
						widget_obj.small.animate({"opacity": widget_obj.opacity_max},
						{
							duration: 600
						});
						setTimeout(function()
						{
							widget_obj.small.animate({"opacity": widget_obj.opacity_min},
							{
								duration: 800
							});
							widget_obj.medium.finish();
							widget_obj.medium.animate({"opacity": widget_obj.opacity_max},
							{
								duration: 600
							});
							setTimeout(function()
							{
								widget_obj.medium.animate({"opacity": widget_obj.opacity_min},
								{
									duration: 800
								});
								widget_obj.big.finish();
								widget_obj.big.animate({"opacity": widget_obj.opacity_max},
								{
									duration: 600
								});
								setTimeout(function()
								{
									widget_obj.big.animate({"opacity": widget_obj.opacity_min},
									{
										duration: 800
									});
								}, 600);
							}, 600);
						}, 600);
						if (pag_table_new["widget_device_wireless"] != undefined)
							t_out_main_secondary = setTimeout(wireless_anim, 2400/*durata incremento opacita' * 4*/);
					}
					//
					$(".point.disabled").removeClass("disabled");
					wireless_anim();
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "PNP")
		{
			if (indi.children("act").text() == "DETECTION")
			{
				xml_any_nobind = null;
				//
				if (indi.children("res").text() == "DETECTED")
				{
					$(".popwarn_footer [id^=popwarn_]").trigger("click");
					//
					xml_any_bind = indi.find("par item").first();
					clearTimeout(t_out_main_secondary);
					//
					here_context = $(".widget_device_wireless").parent();
					pag_change("HERE", "widget_device");
				}
				else if (indi.children("res").text() == "EXISTING")
				{
					xml_any_nobind = indi.find("par item").first();
					clearTimeout(t_out_main_secondary);
					//
					here_context = $(".widget_device_wireless").parent();
					pag_change("HERE", "widget_device", "exist");
				}
				else if (indi.children("res").text() == "TOO_MANY")
				{
					xml_any_nobind = indi.find("par item").first();
					clearTimeout(t_out_main_secondary);
					//
					here_context = $(".widget_device_wireless").parent();
					pag_change("HERE", "widget_device", "toomany");
				}
				else if (indi.children("res").text() == "NO_WIFI")
				{
					xml_any_nobind = indi.find("par item").first();
					clearTimeout(t_out_main_secondary);
					//
					here_context = $(".widget_device_wireless").parent();
					pag_change("HERE", "widget_device", "nowifi");
				}
				else if (indi.children("res").text() == "BIND_ENTRY_FULL")
				{
					pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_WIZARD_DEVICE_STORING_TOOMANY_BUS}", "ok");
				}
				else if (indi.children("res").text() == "BIND_STORE_FULL")
				{
					pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_WIZARD_DEVICE_STORING_TOOMANY_BUS}", "ok");
				}
			}
			else if (indi.children("act").text() == "ABORT")
			{
				if (indi.children("res").text() == "ABORTED")
				{
					//non raggiunta: quando si preme freccia indietro l'interfaccia cambia schermata senza aspettare la confirmation di abort
					here_context = $(".widget_device_wireless").parent();
					pag_change("HERE", "widget_add_device");
				}
			}
			else if (indi.children("act").text() == "START")
			{
				if (indi.children("res").text() == "STARTED")
				{
					//
				}
				else if (indi.children("res").text() == "ERROR")
				{
					tyu("ERRORE: type - PNP, act - START");
					here_context = $(".widget_device_wireless").parent();
					pag_change("HERE", "widget_add_device");
				}
			}
		}
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_device_wireless",
	big: $(".widget_device_wireless .div_wireless_images .big"),
	medium: $(".widget_device_wireless .div_wireless_images .medium"),
	small: $(".widget_device_wireless .div_wireless_images .small"),
	opacity_min: Math.round($(".widget_device_wireless .div_wireless_images .small").css("opacity")*100)/100,
	opacity_max: 0.9,
	type_dev: $(".widget_device_wireless").attr("data-type-dev"),
	//
	abort_detection: function()
	{
		xml_request = xml_request_head_build("PNP");
		xml_par = $(XML("act")); xml_par.text("ABORT"); xml_request.append(xml_par);	
		xml_send(xml_request);
	}
};