pag_table_new["widget_lang"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(0, this);
		save_step(WS_WIZARD_STEP_LANG);
		var widget_obj = this;
		//
		$("#lang_container").empty();
		xml_file_configuration.find("Languages Language").each(function(index)
		{
			$("#lang_container").append("<div class=\"lang_button btt\" name=\""+$(this).attr("id")+"\">"+$(this).attr("desc")+"</div>");
		});
		//
		$(".footer_wizard").unbind("s_scroller_new").s_scroller_new("#lang_container");
		$("#lang_container").off("scroller_extra").on("scroller_extra", function()
		{
			widget_lang_scroller_sets = $(this).scrollTop(); 
		});
		//
		if ($(".widget_lang .lang_button").length < 5)
		{
			$(".widget_lang .lang_button:last-child").addClass("btb");
		}
		//
		$(".lang_button").off("click").click(function()
		{
			$(".lang_button")
				.attr("data-checked", "0")
				.css("color", "rgba(255,255,255,0.5)");
			$(this)
				.attr("data-checked", "1")
				.css("color", "rgba(255,255,255,1)");
			//
			if ($(".widget_lang .lang_button").length < 5)
				$(".widget_lang .lang_button:last-child").css("border-bottom-width", "1px");
			//
			$("#footer_d_b, #footer_a_a").parent().hide();
			widget_obj.widget_lang_selection_rollback = widget_lang_selection;
			widget_lang_selection = $(this).attr("name");
			xml_request = xml_request_head_build("MENU", "widget_lang");
			xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);		
			xml_par = $(XML("page")); xml_par.text("SET"); xml_request.append(xml_par);		
			xml_par = $(XML("par")); xml_request.append(xml_par);		
			xml_item = $(XML("lang")); xml_item.text(widget_lang_selection); xml_par.append(xml_item);		
			xml_send(xml_request);	
		});
		//
		if (lang_selection_new == "0")
		{
			var item_index = $(".lang_button[name='"+widget_lang_selection+"']")
				.attr("data-checked", "1")
				.attr("style", "background:url({TMPL_DIR}res/tick_y.png) no-repeat 65% center")
				.css("color", "rgba(255,255,255,1)")
				.index();
			//
			if (widget_lang_scroller_sets != null)
				$("#lang_container").scrollTop(widget_lang_scroller_sets);
			else
				$(".footer_wizard").shift_item_new(Math.floor(item_index / 5), 0);
			//
			$("#footer_d_b").parent().show();
		}
		else
		{
			$(".lang_button[name='"+widget_lang_selection+"']")
				.attr("data-checked", "1")
				.css("color", "white");
			var item_index = $(".lang_button[data-checked='1']").index();
			//
			if (widget_lang_scroller_sets != null)
				$("#lang_container").scrollTop(widget_lang_scroller_sets);
			else
				$(".footer_wizard").shift_item_new(Math.floor(item_index / 5), 0);
		}
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("page").text() == WS_SET_STR)
				{
					if (conf.children("res").text() == "SAVED")
					{
						//lang_saved = true;
						$(".lang_button").removeAttr("style");
						$(".lang_button[name='"+widget_lang_selection+"']")
							.attr("style", "background:url({TMPL_DIR}res/tick_y.png) no-repeat 65% center")
							.css("color", "rgba(255,255,255,1)");
						switch_language(widget_lang_selection);
						xml_menu_load_send(WS_AREA_STR, null, null, "widget_lang");
						//
						if ($(".widget_lang .lang_button").length < 5)
							$(".widget_lang .lang_button:last-child").css("border-bottom-width", "1px");
					}
					else
					{
						widget_lang_selection = this.widget_lang_selection_rollback;
						$(".lang_button").removeAttr("style");
						$(".lang_button")
							.attr("data-checked", "0")
							.css("color", "rgba(255,255,255,0.5)");
						$(".lang_button[name='"+widget_lang_selection+"']")
							.attr("data-checked", "1")
							.attr("style", "background:url({TMPL_DIR}res/tick_y.png) no-repeat 65% center")
							.css("color", "rgba(255,255,255,1)");
						if (lang_selection_new == "0")
						{
							$("#footer_d_b, #footer_a_a").parent().show();
						}
						//
						if ($(".widget_lang .lang_button").length < 5)
							$(".widget_lang .lang_button:last-child").css("border-bottom-width", "1px");
					}
				}
			}
			else if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_AREA_STR)
					{
						area_list = conf.find("par");
						xml_menu_load_send(WS_ROOM_STR, null, null, "widget_lang");
					}
					else if (conf.children("page").text() == WS_ROOM_STR)
					{
						room_list = conf.find("par");
						//
						xml_menu_load_send(WS_SET_STR, null, null, "widget_lang");
					}
					else if (conf.children("page").text() == WS_SET_STR)
					{
						cen_set_xml = conf.find("par");
						//
						if (region_selection_new == "1")
						{
							region = conf.find("par region").text();
							lang_selection_new = conf.find("par new_lang").text();
						}
						else	
						{
							lang_selection_new = "0";
						}
						//
						if ($("#seeking-page").length == 1) lang_has_been_changed_flg = true;
						//
						file_conf_request();
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		xml_send(xml_request_head_build("STATUS"));
	},
	//
	name: "widget_lang",
	widget_lang_selection_rollback: null
};