pag_table_new["widget_mod_device_bus_input"] = {
	onload: function()
	{
		header_wizard_switch();
		footer_wizard_switch(9, this);
		xml_any = this.xml_any;
		//
		//title
		$("#container_bus_input .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_bus_input", "name", "input", "name", this);
		//room
		item_room("#container_bus_input");
		//
		global_load_areas("#container_bus_input .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		//
		for (var i = 0; i < this.xml_bus_input_tbl.length; i++)
		{
			var label = "{LANG_DISABLED}";
			if (this.xml_bus_input_tbl[i].children("child_valid").text() == "1")
				label = this.xml_bus_input_tbl[i].children("name").text();
			$("#container_bus_input .input_dev:eq(" + i + ") .sl_selector").html(label);
			global_apply_diag("#container_bus_input", "input_dev:eq(" + i + ")", "{LANG_CONCENTRATORE_INPUT} " + (i + 1), "input_bus", i, "widget_mod_device_bus_input");
		}
		//
		item_fw_ver("#container_bus_input");
		//
		item_delete("#container_bus_input", this);
		//
		//
		global_item_tag_ter("#container_bus_input");
		global_subtitle_header("#container_bus_input", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_bus_input",
	xml_any: xml_any_tbl[any_ind],
//	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
//	trovata_tvvc: false,
//	attivata_tvcc: false,
	xml_any_arr: [],
	xml_bus_input_tbl: function()
	{
		var sons_local = [];
		for (var i = 0; i < xml_any_tbl.length; i++)
		{
			if 
			(
				xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_BUS_INPUT_STR
				&& Number(xml_any_tbl[i].children("ord").text()) > 0
				&& xml_any_tbl[i].children("parent_id").text() == xml_any_tbl[any_ind].children("parent_id").text()
			)
				sons_local.push(xml_any_tbl[i]);
		}
		return sons_local;
	}(),
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_bus_input", this);
		//save_room
		xml_any.find("room").text(id_room_selected);
		//
		var area_str = "";
		area_str += ($("#container_bus_input .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_bus_input .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_bus_input .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_bus_input .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_bus_input .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_bus_input .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
		//
		this.xml_any_arr = this.xml_bus_input_tbl;
	}
};