pag_table_new["widget_mod_device_bus_sensor"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//title
		$("#container_bus_sensor .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_bus_sensor", "name", "input", "name", this);
		//room
		item_room("#container_bus_sensor");
		//
		global_load_areas("#container_bus_sensor .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
//		item_reed_mode("#container_bus_sensor", null, this);
		//
		picker("#container_bus_sensor");
		//
		global_picker_init("#container_bus_sensor", "mode_delay_sec", "delay", this);
		//tempo di interdizione
//		item_inter("#container_bus_sensor");
		//sir_mode
		item_sir_mode("#container_bus_sensor");
		//led allarme
//		global_toggle_tick_binder("#container_bus_sensor .led", "led");
		//anti removal protection
//		item_protection("#container_bus_sensor");
		//sensor shock
//		item_shock("#container_bus_sensor");
		//chime
		global_toggle_tick_binder("#container_bus_sensor .chime", "chime", null, null, DIY ? "unavailable" : null);
		//antimask
//		global_toggle_tick_binder("#container_bus_sensor .antimask", "antimask");
		//reed manomissione magnetica reed magnetic tamper
//		global_toggle_tick_binder("#container_bus_sensor .reed_tamper_mag", "antimask");
		//dispositivo associato
		item_and_function_dev_wrapper("#container_bus_sensor");
		//area and
		item_area_and_wrapper("#container_bus_sensor");
		//delay between device matched
		global_picker_init("#container_bus_sensor", "mode_match_sec", "mode_match_sec_item", this);
		//tvcc
		item_tvcc("#container_bus_sensor", this);
		//
		item_tvcc_delay_initial("#container_bus_sensor", this);
		//
		item_fw_ver("#container_bus_sensor");
		//
		item_delete("#container_bus_sensor", this);
		//
		var parent_id = xml_any.children("parent_id").text();
		//
		/*SON 1*/
		//
		//father ena sons
		//var ena_son1 = this.son1.children("child_valid").text();
		global_toggle_tick_binder("#container_bus_sensor .ena_son1", "child_valid", null, this.son1);
		//
		/*SON 2*/
		//
		//father ena sons
		//var ena_son2 = this.son2.children("child_valid").text();
		global_toggle_tick_binder("#container_bus_sensor .ena_son2", "child_valid", null, this.son2);
		//
		//
		global_item_tag_ter("#container_bus_sensor");
		global_subtitle_header("#container_bus_sensor", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_bus_sensor",
	xml_any: xml_any_tbl[any_ind],
	son1: xml_any_tbl[any_ind].find("has_children").text() == "1" ? xml_any_tbl[any_ind-1+2] : null,
	son2: xml_any_tbl[any_ind].find("has_children").text() == "1" ? xml_any_tbl[any_ind-1+3] : null,
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	trovata_tvvc: false,
	attivata_tvcc: false,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_bus_sensor", this);
		//
		xml_any.find("room").text(id_room_selected);
		//
//		if ($("#container_bus_sensor .reed .roc[data-checked='1']").hasClass("open"))
//			xml_any.children("alarm_mode").text("1");
//		else if ($("#container_bus_sensor .reed .roc[data-checked='1']").hasClass("open_close"))
//			xml_any.children("alarm_mode").text("2");
		//
		save_item_picker("#container_bus_sensor", "mode_delay_sec", "delay");
//		save_item_picker("#container_bus_sensor", "block_tx", "inter");
		//
		xml_any.children("sir_mode").text($("#container_bus_sensor .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
//		save_item_toggled("#container_bus_sensor", "led");
//		save_item_toggled("#container_bus_sensor", "reed_tamper", "protect");
		//shock
//		save_item_picker("#container_bus_sensor", "shock_lev", "shock_lev");
		//
		save_item_toggled("#container_bus_sensor", "chime");
		//
//		save_item_toggled("#container_bus_sensor", "antimask");
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		//
		save_item_mode("#container_bus_sensor");
		//
		save_item_picker("#container_bus_sensor", "mode_match_sec", "mode_match_sec_item");
		//reed manomissione magnetica reed magnetic tamper
//		save_item_toggled("#container_bus_sensor", "antimask", "reed_tamper_mag");
		//
		var area_str = "";
		area_str += ($("#container_bus_sensor .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_bus_sensor .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_bus_sensor .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_bus_sensor .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_bus_sensor .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_bus_sensor .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
		//
		save_item_tvcc("#container_bus_sensor", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_bus_sensor", this);
		//
		/*************************/
		/********** son1 *********/
		//ena dal padre
//		if ($("#container_bus_sensor .ena_son1").attr("data-checked") !== "0" && this.son1.children("child_valid").text() === "0")
//		{
//			this.son1.children("pulse_n").text("6");
//		}
		save_item_toggled("#container_bus_sensor", "child_valid", "ena_son1", this.son1);
		/*************************/
		/********** son2 *********/	
		//ena dal padre
//		if ($("#container_bus_sensor .ena_son2").attr("data-checked") !== "0" && this.son2.children("child_valid").text() === "0")
//		{
//			this.son2.children("pulse_n").text("6");
//		}
		save_item_toggled("#container_bus_sensor", "child_valid", "ena_son2", this.son2);
	}
};