pag_table_new["widget_mod_device_kbd"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//
		item_room("#container_kbd");
		//
		global_load_areas("#container_kbd .area_container_trins", "area_alarm");
		//
		$(".nndb_title").text(xml_any.children("name").text());
		global_item_init("#container_kbd", "name", "input", "name", this);
		//
		if (DIY)
		{
			$("#container_kbd .rfid_ena_flg").addClass("invisible");
			$("#container_kbd .rfid_insp_flg").addClass("invisible");
		}
		//
		global_toggle_tick_binder(".rfid_ena_flg", "rfid_ena_flg");
		$("#container_kbd .rfid_ena_flg").on("toggle_tick_click", function()
		{
			if ($(this).attr("data-checked") === "0")
				$("#container_kbd .rfid_insp_flg").trigger("change_toggle_state", ["invisible"]);
			else
				$("#container_kbd .rfid_insp_flg").trigger("change_toggle_state", ["enabled"]);
		});
		global_toggle_tick_binder(".rfid_insp_flg", "rfid_insp_flg", null, null, $("#container_kbd .rfid_ena_flg").attr("data-checked") === "0" ? "invisible" : null);
		global_toggle_tick_binder_warn(".info_flg", "info_flg", null, null, null, "{LANG_EN50131}");
		global_toggle_tick_binder(".m_flg", "m_flg");
		global_toggle_tick_binder(".r_flg", "r_flg");
		global_toggle_tick_binder(".p_flg", "p_flg");
		//
		item_fw_ver("#container_kbd");
		//
		if (SIL) $("#container_kbd .domo_bid").addClass("unavailable");
		//
		item_delete("#container_kbd", this);
		//
		//
		global_item_tag_ter("#container_kbd");
		global_subtitle_header("#container_kbd", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_kbd",
	xml_any: xml_any_tbl[any_ind],
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_kbd", this);
		//
		xml_any.find("room").text(id_room_selected);
		//
		var area_str = "";
		area_str += ($(".area_container_trins .a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($(".area_container_trins .b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($(".area_container_trins .c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($(".area_container_trins .d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($(".area_container_trins .e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($(".area_container_trins .f").attr("data-checked") == "1") ? "6" : "-";	
		xml_any.children("area_alarm").text(area_str);
		//
		if (!DIY) save_item_toggled("#container_kbd", "rfid_ena_flg");
		if (!DIY) save_item_toggled("#container_kbd", "rfid_insp_flg");
		save_item_toggled("#container_kbd", "info_flg");
		save_item_toggled("#container_kbd", "m_flg");
		save_item_toggled("#container_kbd", "r_flg");
		save_item_toggled("#container_kbd", "p_flg");
	}
};