pag_table_new["widget_mod_device_magdet_fonly"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//title
		$("#container_magdet .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_magdet", "name", "input", "name", this);
		//room
		item_room("#container_magdet");
		//
		global_load_areas("#container_magdet .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		item_reed_mode("#container_magdet", null, this);
		//
		picker("#container_magdet");
		//
		global_picker_init("#container_magdet", "mode_delay_sec", "delay", this);
		//tempo di interdizione
		item_inter("#container_magdet");
		//sir_mode
		item_sir_mode("#container_magdet");
		//led allarme
		global_toggle_tick_binder("#container_magdet .led", "led");
		//pulse
		global_picker_init("#container_magdet", "pulse_n", "impulse", this, this.phy_mode != this.NC_CONTAIMPULSI && this.phy_mode != this.NC_BILANCIATO_CONTAIMPULSI ? "disabled" : null);
		//anti removal protection
		item_protection("#container_magdet");
		//
		global_toggle_tick_binder_warn("#container_magdet .reed_tamper_o", "reed_tamper", "2", null, "on_ballot_x", "{LANG_EN50131}", "disabled");
		global_toggle_tick_binder_warn("#container_magdet .reed_tamper_r", "reed_tamper", "1", null, "on_ballot_x", "{LANG_EN50131}", null);
		if (xml_any.children("reed_tamper").text() === "3")
		{
			$("#container_magdet .reed_tamper_o").attr("data-checked", "2");
			$("#container_magdet .reed_tamper_o").css("background", "url({TMPL_DIR}res/"+($("#container_magdet .reed_tamper_o").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
			$("#container_magdet .reed_tamper_r").attr("data-checked", "1");
			$("#container_magdet .reed_tamper_r").css("background", "url({TMPL_DIR}res/"+($("#container_magdet .reed_tamper_r").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
		}
		//chime
		if (SIL)
		{
			global_toggle_tick_binder("#container_magdet .chime", "chime");
			//dispositivo associato
			item_and_function_dev_wrapper("#container_magdet");
			//area and
			item_area_and_wrapper("#container_magdet");
			//delay between device matched
			global_picker_init("#container_magdet", "mode_match_sec", "mode_match_sec_item", this);
			//reed manomissione magnetica reed magnetic tamper
			global_toggle_tick_binder("#container_magdet .reed_tamper_mag", "antimask");
		}
		else
		{
			$("#container_magdet .chime").empty();
		}
		//tvcc
		item_tvcc("#container_magdet", this);
		//
		item_tvcc_delay_initial("#container_magdet", this);
		//
		item_fw_ver("#container_magdet");
		//
		item_delete("#container_magdet", this);
		//
		if (!DIY)
		{
			$("#container_magdet .and_function_dev.curt").each(function()
			{
				if ($(this).find(".item_button").length > 0)
					$(this).find(".selector_container").attr("style", "background:url({TMPL_DIR}res/three_lines.png) no-repeat 95% center;");
				else
					$(this).find(".selector_container").attr("style", "background:url({TMPL_DIR}res/three_lines_d.png) no-repeat 95% center;");
			});
		}
		//
		global_item_tag_ter("#container_magdet");
		global_subtitle_header("#container_magdet", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_magdet_fonly",
	xml_any: xml_any_tbl[any_ind],
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	trovata_tvvc: false,
	attivata_tvcc: false,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_magdet", this);
		//
		xml_any.find("room").text(id_room_selected);
		//
		if ($("#container_magdet .reed .roc[data-checked='1']").hasClass("open"))
			xml_any.children("alarm_mode").text("1");
		else if ($("#container_magdet .reed .roc[data-checked='1']").hasClass("open_close"))
			xml_any.children("alarm_mode").text("2");
		//
		save_item_picker("#container_magdet", "mode_delay_sec", "delay");
		save_item_picker("#container_magdet", "block_tx", "inter");
		//
		xml_any.children("sir_mode").text($("#container_magdet .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
		save_item_toggled("#container_magdet", "led");
		save_item_toggled("#container_magdet", "reed_tamper", "protect");
		//
		save_item_picker("#container_magdet", "pulse_n", "impulse");
		//shock
		save_item_picker("#container_magdet", "shock_lev", "shock_lev");
		//
		if ($("#container_magdet .reed_tamper_o").attr("data-checked") === "2" && $("#container_magdet .reed_tamper_r").attr("data-checked") === "1")
		{
			xml_any.children("reed_tamper").text("3");
		}
		else if ($("#container_magdet .reed_tamper_o").attr("data-checked") === "2")
		{
			xml_any.children("reed_tamper").text("2");
		}
		else if ($("#container_magdet .reed_tamper_r").attr("data-checked") === "1")
		{
			xml_any.children("reed_tamper").text("1");
		}
		else
		{
			xml_any.children("reed_tamper").text("0");
		}
		if (!DIY) save_item_toggled("#container_magdet", "chime"); 
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		//
		save_item_mode("#container_magdet");
		//
		save_item_picker("#container_magdet", "mode_match_sec", "mode_match_sec_item");
		//reed manomissione magnetica reed magnetic tamper
		save_item_toggled("#container_magdet", "antimask", "reed_tamper_mag");
		//
		var area_str_father = "";
		area_str_father += ($("#container_magdet .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str_father += ($("#container_magdet .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str_father += ($("#container_magdet .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str_father += ($("#container_magdet .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str_father += ($("#container_magdet .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str_father += ($("#container_magdet .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str_father == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str_father);
		//
		save_item_toggled("#container_magdet", "area_or", "area_and");
		//
		save_item_tvcc("#container_magdet", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_magdet", this);
	}
};