pag_table_new["widget_mod_device_photopir_outdoor"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//title
		$("#container_photopir_outdoor .nndb_title").text(xml_any.children("name").text());
		//name
		global_item_init("#container_photopir_outdoor", "name", "input", "name", this);
		//room
		item_room("#container_photopir_outdoor");
		//
		global_load_areas("#container_photopir_outdoor .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//sir_mode
		item_sir_mode("#container_photopir_outdoor");
		//
		picker("#container_photopir_outdoor");
		//tempo di interdizione
		item_inter("#container_photopir_outdoor");
		//
		global_toggle_tick_binder_warn("#container_photopir_outdoor .reed_tamper_o", "reed_tamper", "2", null, "on_ballot_x", "{LANG_EN50131}", "disabled");
		global_toggle_tick_binder_warn("#container_photopir_outdoor .reed_tamper_r", "reed_tamper", "1", null, "on_ballot_x", "{LANG_EN50131}", null);
		if (xml_any.children("reed_tamper").text() === "3")
		{
			$("#container_photopir_outdoor .reed_tamper_o").attr("data-checked", "2");
			$("#container_photopir_outdoor .reed_tamper_o").css("background", "url({TMPL_DIR}res/"+($("#container_photopir_outdoor .reed_tamper_o").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
			$("#container_photopir_outdoor .reed_tamper_r").attr("data-checked", "1");
			$("#container_photopir_outdoor .reed_tamper_r").css("background", "url({TMPL_DIR}res/"+($("#container_photopir_outdoor .reed_tamper_r").hasClass("disabled") ? "tick_grey.png" : (SIL ? "tick_y.png" : "tick.png"))+") no-repeat 94% center");
		}
		//
		global_picker_init("#container_photopir_outdoor", "mode_delay_sec", "delay", this);
		//anti removal protection
		item_protection("#container_photopir_outdoor");
		//temperature compensation
		item_temp_comp("#container_photopir_outdoor");
		//led allarme
		global_toggle_tick_binder("#container_photopir_outdoor .led", "led");
		//antimask
		global_toggle_tick_binder("#container_photopir_outdoor .antimask", "antimask", null, null, DIY ? "disabled" : null);
		//
		item_sensibility("#container_photopir_outdoor");
		//
		item_pulse("#container_photopir_outdoor");
		//integration
		item_integration("#container_photopir_outdoor");
		//allarme doppia rilevazione
		global_toggle_tick_binder("#container_photopir_outdoor .double_ala", "and");
		//dispositivo associato
		item_and_function_dev_wrapper("#container_photopir_outdoor");
		//area and
		item_area_and_wrapper("#container_photopir_outdoor");
		//delay time between device matched
		global_picker_init("#container_photopir_outdoor", "mode_match_sec", "mode_match_sec_item", this);
		//
//		global_toggle_tick_binder("#container_photopir_outdoor .p1p2_and", "TODO");
		//and direzionale
//		global_toggle_tick_binder("#container_photopir_outdoor .p1p2_and_dir", "and_direzionale");
		//reed
		item_reed_mode("#container_photopir_outdoor", null, this);
		//chime
		global_toggle_tick_binder("#container_photopir_outdoor .chime", "chime");
		//
		item_dhcp("#container_photopir_outdoor", this);
		//
		item_ip("#container_photopir_outdoor", this);
		//
		item_frame("#container_photopir_outdoor", this);
		//
		item_visual("#container_photopir_outdoor", this, this.xml_any.children("tag").text());
		//
		item_photo("#container_photopir_outdoor", this);
		//tvcc
//		item_tvcc("#container_photopir_outdoor", this);
		//
		item_fw_ver("#container_photopir_outdoor");
		//
		item_photopir_mac("#container_photopir_outdoor", this);
		//
		item_delete("#container_photopir_outdoor", this);
		//
		//
		global_item_tag_ter("#container_photopir_outdoor");
		global_subtitle_header("#container_photopir_outdoor", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
		else if (conf.attr("type") == "DEVICE_CMD")
		{
			$("#container_photopir_outdoor .visual .info").html("{LANG_ACQUIRING}");
			$("#container_photopir_outdoor #get_frame").addClass("disabled");
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
		else if (indi.attr("type") == "DEVICE_CMD")
		{
			clearTimeout(this.t_out_visual);
			this.t_out_visual = setTimeout(function()
			{
				$("#container_photopir_outdoor .visual").removeAttr("style");
				$("#container_photopir_outdoor .visual .info").html("");
				$("#container_photopir_outdoor #get_frame").removeClass("disabled");
			}, 10*1000);
			//
			$("#container_photopir_outdoor .visual .info").html("");
			if (indi.children("Image").attr("res") == "0")
				$("#container_photopir_outdoor .visual .info").html("{LANG_NO_IMAGE_AVAILABLE}");
			else
				$("#container_photopir_outdoor .visual").attr("style", "background-image: url(data:image/jpg;base64,"+indi.children("Image").text()+");");
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_photopir_outdoor",
	xml_any: xml_any_tbl[any_ind],
	uansciot_fleg: false,
//	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_photopir_outdoor", this);
		//save_room
		xml_any.find("room").text(id_room_selected);
		//
		save_item_picker("#container_photopir_outdoor", "mode_delay_sec", "delay");
		//
		xml_any.children("sir_mode").text($("#container_photopir_outdoor .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
		save_item_toggled("#container_photopir_outdoor", "led");
		save_item_toggled("#container_photopir_outdoor", "reed_tamper", "protect");
		//
		if (xml_any.children("pir_a_present").text() == "1")
		{
			//interdizione
			save_item_picker("#container_photopir_outdoor", "pir_a_block_tx", "inter");
			//temperature compensation
			xml_any.children("pir_a_temperature").text($("#container_photopir_outdoor .temp_comp").attr("data-checked"));
			//sensibility
			save_item_picker("#container_photopir_outdoor", "pir_a_sensibility", "sensibility_a");
			//contaimpulsi o pulse
			save_item_picker("#container_photopir_outdoor", "pir_a_count_impulses", "pulse_a");
			//integration
			save_item_picker("#container_photopir_outdoor", "pir_a_time_integration", "integration_a");
		}
		if (xml_any.children("pir_b_present").text() == "1")
		{
			//interdizione
			save_item_picker("#container_photopir_outdoor", "pir_b_block_tx", "inter");
			//temperature compensation
			xml_any.children("pir_b_temperature").text($("#container_photopir_outdoor .temp_comp").attr("data-checked"));
			//sensibility
			save_item_picker("#container_photopir_outdoor", "pir_b_sensibility", "sensibility_b");
			//contaimpulsi o pulse
			save_item_picker("#container_photopir_outdoor", "pir_b_count_impulses", "pulse_b");
			//integration
			save_item_picker("#container_photopir_outdoor", "pir_b_time_integration", "integration_b");
		}
		// allarme per doppia rilevazione (and)
		save_item_toggled("#container_photopir_outdoor", "and", "double_ala");
		//delay time between device matched
		save_item_picker("#container_photopir_outdoor", "mode_match_sec", "mode_match_sec_item");
		//antimask
		xml_any.children("antimask").text($("#container_photopir_outdoor .antimask").attr("data-checked"));
		save_item_toggled("#container_photopir_outdoor", "antimask");
		//
		if (!DIY) save_item_toggled("#container_photopir_outdoor", "chime");
		//mode save
		save_item_mode("#container_photopir_outdoor");
		//
		if ($("#container_photopir_outdoor .reed_tamper_o").attr("data-checked") === "2" && $("#container_photopir_outdoor .reed_tamper_r").attr("data-checked") === "1")
		{
			xml_any.children("reed_tamper").text("3");
		}
		else if ($("#container_photopir_outdoor .reed_tamper_o").attr("data-checked") === "2")
		{
			xml_any.children("reed_tamper").text("2");
		}
		else if ($("#container_photopir_outdoor .reed_tamper_r").attr("data-checked") === "1")
		{
			xml_any.children("reed_tamper").text("1");
		}
		else
		{
			xml_any.children("reed_tamper").text("0");
		}
		//
		xml_any.children("mode_match_id").text(and_function_dev);
		//
		var area_str = "";
		area_str += ($("#container_photopir_outdoor .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_photopir_outdoor .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_photopir_outdoor .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_photopir_outdoor .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_photopir_outdoor .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_photopir_outdoor .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
		//
		save_item_toggled("#container_photopir_outdoor", "area_or", "area_and");
		//and pir1 pir2 direzionale
//		save_item_toggled("#container_photopir_outdoor", "and_direzionale", "p1p2_and_dir");
		//
		save_item_picker("#container_photopir_outdoor", "snapshot_frame_cnt", "frame");
		//
		save_item_picker("#container_photopir_outdoor", "snapshot_delay_sec", "photo");
		//
		$("#container_photopir_outdoor .ip_input").global_save_item_val({trama_ptr: this.xml_any.children("ip"), position: $("#container_photopir_outdoor .ip_input").closest(".entire").index(), check_func: this.check_ip, extra: this});
		//
//		save_item_tvcc("#container_photopir_outdoor", this);
	},
	check_ip: function(widget_obj)
	{
		if ($("#container_photopir_outdoor .dhcp").hasClass("unavailable"))
		{
			return null;
		}
		//
		if ($("#container_photopir_outdoor .dhcp").attr("data-checked") == "1")
		{
			widget_obj.xml_any.children("ip").text("0.0.0.0");
			return null;
		}
		//
		var val_array = $.trim($(this).val()).split(".");
		if (val_array.length != 4)
		{
			return false;
		}
		else if (val_array[0] == 0 && val_array[1] == 0 && val_array[2] == 0 && val_array[3] == 0)
		{
			return false;
		}
		else
		{
			for (var i = 0; i < val_array.length; i++)
			{
				if (isNaN(val_array[i]))
					return false;
				else if (val_array[i] < 0 || val_array[i] > 255 || val_array[i] == "")
					return false;
			}
		}
		return true;
	}
};