pag_table_new["widget_mod_device_wired_i"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(9, this);
		//
		//title
		$("#container_wired .nndb_title").text(this.xml_any.children("name").text());
		//name
		$("#container_wired .name").val(this.xml_any.children("name").text());
		//
		item_room("#container_wired");
		//
		global_load_areas("#container_wired .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		picker("#container_wired");
		//
		item_reed_mode_wired("#container_wired", this);
		//
		global_picker_init("#container_wired", "mode_delay_sec", "delay", this);
		//
		item_sir_mode("#container_wired");
		//
		item_phy_mode("#container_wired", this);
		//pulse
		global_picker_init("#container_wired", "cfg_wire_in_pulse_n", "impulse", this, this.phy_mode != this.NC_CONTAIMPULSI && this.phy_mode != this.NC_BILANCIATO_CONTAIMPULSI ? "disabled" : null);
		//
		item_and_function_dev_wrapper("#container_wired");
		//area and
		item_area_and_wrapper("#container_wired");
		//delay between device matched
		global_picker_init("#container_wired", "mode_match_sec", "mode_match_sec_item", this);
		//
		item_chime("#container_wired", this);
		//tvcc
		item_tvcc("#container_wired", this);
		//
		item_tvcc_delay_initial("#container_wired", this);
		//
		$("#container_wired .delete")
			.click(function()
			{
				pag_change(".JSdialog", "widget_popwarn", "{LANG_WARNING}", "{LANG_WDELDEV}", "okab", "#container_wired .delete");
			})
			.on("on_pw_ok", function()
			{
				xml_any.children("cfg_wire_in_mode").text(WIRE_N_DISABLED);
				//
				xml_request = xml_request_head_build("MENU", "widget_mod_device_wired_i");
				xml_par = $(XML("act")); xml_par.text("SAVE"); xml_request.append(xml_par);
				xml_par = $(XML("page")); xml_par.text(WS_DEV_STR); xml_request.append(xml_par);
				xml_par = $(XML("par")); xml_request.append(xml_par);
				xml_par.append(xml_any);
				xml_send(xml_request);
			});
		//
		//
		global_item_tag_ter("#container_wired");
		global_subtitle_header("#container_wired", this);
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{		
			if (conf.children("act").text() == "LOAD")
			{
				if (conf.children("res").text() == "LOADED")
				{
					if (conf.children("page").text() == WS_AREA_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert("_EO_4" + conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert("_EO_5" + conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
			else if (conf.children("act").text() == "DELETE")
			{
				if (conf.children("res").text() == "DELETING")
				{
					if (conf.children("page").text() == WS_DEV_STR)
					{
						//
					}
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert("_EO_6" + conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("act").text() == "DELETE")
			{
				if (indi.children("res").text() == "DELETED")
				{
					if (indi.children("page").text() == WS_DEV_STR)
					{
						$(".footer_container_btn_inside").trigger("add_other_devices_back");
					}
				}
			}
		}
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_mod_device_wired_i",
	xml_any: xml_any_tbl[any_ind],
	tvccs: xml_any_tbl[any_ind].find("tvccs").clone(),
	trovata_tvvc: false,
	attivata_tvcc: false,
	force_to_open: false,
	reed_mode: xml_any_tbl[any_ind].children("cfg_wire_in_alarm_mode").text(),
	phy_mode: xml_any_tbl[any_ind].children("cfg_wire_in_mode").text(),
	associative_phy_mode: ["{LANG_NCLOSED}", "{LANG_NOPENED}", "{LANG_ICOUNT}", "{LANG_BALANCED}", "{LANG_DBALANCED}", "{LANG_IBALANCED}", "NONE"],
	NC_BILANCIATO: WIRE_NC_BILANCIATO,
	NC_DOPPIO_BILANCIAMENTO: WIRE_NC_DOPPIO_BILANCIAMENTO,
	NC_BILANCIATO_CONTAIMPULSI: WIRE_NC_BILANCIATO_CONTAIMPULSI,
	NC: WIRE_NC,
	NO: WIRE_NO,
	NC_CONTAIMPULSI: WIRE_NC_CONTAIMPULSI,
	N_DISABLED: WIRE_N_DISABLED,
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("#container_wired", this);
		//
		this.xml_any.find("room").text(id_room_selected);
		//
		save_item_reed_wired("#container_wired", this);
		//
		save_item_picker("#container_wired", "mode_delay_sec", "delay");
		//
		save_item_picker("#container_wired", "mode_match_sec", "mode_match_sec_item");
		//
		this.xml_any.children("sir_mode").text($("#container_wired .sound .sound_btn[data-checked='1']").attr("data-anchor"));
		//
		this.xml_any.children("cfg_wire_in_mode").text(this.phy_mode);
		//
		save_item_picker("#container_wired", "cfg_wire_in_pulse_n", "impulse");
		//
		this.xml_any.children("mode_match_id").text(and_function_dev);
		//
		save_item_mode("#container_wired");
		//
		save_item_chime("#container_wired", this);
		//
		var area_str = "";
		area_str += ($("#container_wired .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($("#container_wired .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($("#container_wired .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($("#container_wired .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($("#container_wired .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($("#container_wired .area.f").attr("data-checked") == "1") ? "6" : "-";
		this.xml_any.find("area_alarm").text(area_str);
		//
		save_item_tvcc("#container_wired", this);
		//"save_item_tvcc_delay_initial" sempre dopo "save_item_tvcc"
		save_item_tvcc_delay_initial("#container_wired", this);
	}
};