pag_table_new["widget_region_diag"] = {
	onload: function()
	{
		$("#region_arrow_cont").css("left", $("#region_arrow_cont").parent().width()/2-$("#region_arrow_cont").width()/2);
		$(".home .JSdialog").addClass("full_scr");
		$(".JSdialog").show();
		pstn_obj = pag_table_new["widget_mod_device_pstn"];
		//
		$("#escape_region_diag").click(function()
		{
			pag_clear(".JSdialog");
		});
		$("#ok_region_diag").click(function()
		{
			pstn_obj.local_region_pstn = $(".r_button.item[data-checked='1']").attr("id");
			$("#container_pstn .region .sl_selector").html($(".r_button.item[data-checked='1']").text());
			pag_clear(".JSdialog");
		});
		//
		var region_button_id = [];
		var region_button_desc = [];
		var xml_region_path = "regions region";
		if (xml_any.children("subcategory").text() == WS_DEV_ALARM_PSTN_STR)
			xml_region_path = "PstnCountries PstnCountry";
		xml_file_configuration.find(xml_region_path).each(function(index)
		{
			region_button_desc[index] = $(this).attr("desc");
			region_button_id[index] = $(this).attr("id");
		});
		this.item_button_sort(region_button_desc, region_button_id);
		for (var i = 0; i < region_button_desc.length; i++)
		{
			$("#region_button_container").append("<div class=\"r_button item btb\" id=\""+region_button_id[i]+"\">"+region_button_desc[i]+"</div>");
		}
		//init filter
		var filter_char = [];
		for (var i = 0; i < region_button_desc.length; i++)
		{
			filter_char[i] = region_button_desc[i].charAt(0).toUpperCase();
		}
		filter_char.sort();
		var len = filter_char.length;
		for (var i = 1; i < len; i++) 
		{
	        if (filter_char[i-1] == filter_char[i]) 
	        {
	        	filter_char.splice(i--, 1);
	        	len = filter_char.length;
	        }
	    }
		for (var i = 0; i < filter_char.length; i++)
		{
			$("#region_filter_char_container").append("<div class=\"character\" name=\""+filter_char[i]+"\">"+filter_char[i]+"</div>");
		}
		//
		$("#region_filter_container .character").hide();
		$("#region_filter_container .character:first").show();
		//
		if (region_button_desc.length > 4)
		{
			$(".footer_diag .arrow_container").s_scroller_new("#region_button_container");
			//
			$("#region_button_container").on("scroller_extra", function()
			{
				$("#region_filter_container .character:visible").hide();
				var index = Math.round($(this).scrollTop()/$(this).children().outerHeight(true));
				var fl = $(this).children().eq(index).text().charAt(0).toUpperCase();
				$("#region_filter_container .character[name='"+fl+"']").show();
			});
		}
		else
		{
			$(".r_button.item:last-child").css("border-bottom-width", "1px");
			$("#region_filter_container").children().hide();
		}
		//
		$(".r_button.item[id='"+pstn_obj.local_region_pstn+"']")
			.attr("data-checked", "1")
			.attr("style", "background:url({TMPL_DIR}res/tick.png) no-repeat 70% center;")
			.css("color", "white");
		var item_index = $("#region_button_container .r_button.item[data-checked='1']").index();
		$(".footer_diag .arrow_container").shift_item_new(item_index, 0, $("#region_button_container .r_button").outerHeight(true));
		//
		$("#region_arrow_left").click(function()
		{
			if (!$("#region_filter_container .character:visible").is(":first-child"))
			{
				$("#region_filter_container .character:visible").hide().prev().show();
				var item_index = $("#region_button_container .r_button.item").filter(function()
				{
					if ($(this).html().charAt(0).toUpperCase() == $("#region_filter_container .character:visible").attr("name"))
					{
						return true;
					}
				}).first().index();
				//
				$(".footer_diag .arrow_container").shift_item_new(item_index, 0, $("#region_button_container .r_button").outerHeight(true));
			}
		});
		$("#region_arrow_right").click(function()
		{
			if (!$("#region_filter_container .character:visible").is(":last-child"))
			{
				$("#region_filter_container .character:visible").hide().next().show();
				var item_index = $("#region_button_container .r_button.item").filter(function()
				{
					if ($(this).html().charAt(0).toUpperCase() == $("#region_filter_container .character:visible").attr("name"))
					{
						return true;
					}
				}).first().index();
				//
				$(".footer_diag .arrow_container").shift_item_new(item_index, 0, $("#region_button_container .r_button").outerHeight(true));
			}
		});
		//
		$(".r_button.item").click(function()
		{
			$(".r_button.item").css("color", "rgba(255,255,255,0.5)");
			$(this).css("color", "rgba(255,255,255,1)");
		});
		$(".r_button.item").click(function()
		{
			$(".r_button.item")
				.attr("data-checked", "0")
				.removeAttr("style")
				.css("color", "rgba(255,255,255,0.5)");
			$(this)
				.attr("data-checked", "1")
				.attr("style", "background:url({TMPL_DIR}res/tick.png) no-repeat 70% center;")
				.css("color", "rgba(255,255,255,1)");
			//
			if ($(".widget_region .region_button").length < 5)
			{
				$(".widget_region .region_button:last-child").css("border-bottom-width", "1px");
			}
		});
		//
		$("#ok_region_diag").show();
	},
	onrecv_confirmation: function(conf)
	{
		//
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		$(".JSdialog").hide();
		$(".home .JSdialog").removeClass("full_scr");
	},
	//
	name: "widget_region_diag",
	//
	item_button_sort: function(ib_desc, ib_id)
	{
		var temp = 0;
		var j = ib_desc.length-1;
		while (j > 0) 
		{
			for (var i = 0; i < j; i++) 
			{
				if (ib_desc[i].toLowerCase() > ib_desc[i+1].toLowerCase())
				{
					temp = ib_desc[i];
					ib_desc[i] = ib_desc[i+1];
					ib_desc[i+1] = temp;
					//
					temp = ib_id[i];
					ib_id[i] = ib_id[i+1];
					ib_id[i+1] = temp;
				}
			}
			j--;
		}	
	}
};