pag_table_new["widget_set_device_bus"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(6, this);
		storing = false;
		//
		item_room(".widget_set_device_bus");
		//
		if 
		(
			this.subcat == WS_DEV_ALARM_BUS_TAG_READER_STR
			|| this.subcat == WS_DEV_ALARM_BUS_REM_STR
		)
		{
			$("#set_area_standard").remove();
			//
			var device_icon = xml_any.find("subcategory").text() + "-" + xml_any.find("model").text() + ".png";
			if (this.subcat == WS_DEV_ALARM_BUS_REM_STR)
				$(".widget_set_device_bus .nndb_item.img").attr("style", "background:rgba(255,255,255,0) !important");
			else
				$(".widget_set_device_bus .nndb_item.img").attr("style", "background:url({TMPL_DIR}res/" + device_icon + ") no-repeat center center");
			//
			item_dev_areas("#set_area_selector", this);
		}
		else
		{
			$("#set_area_selector").remove();
			//
			global_load_areas(".widget_set_device .area_container_trins", "area_alarm", null, this.subcat == WS_DEV_ALARM_BUS_CONC_RF_STR ? "disabled" : null);
			$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
			{
				if ($(".area_container_trins .area[data-checked='1']").length == 0)
					$("#footer_d_b").parent().hide();
				else
					$("#footer_d_b").parent().show();
			}).trigger("extra_area_func");	
		}
		//
		var widget_device_type_str = xml_file_configuration
			.find("Categories")
			.find("Category[id='"+xml_any_tbl[any_ind].find("category").text()+"']")
			.find("Subcategories").find("Subcategory[id='"+xml_any
			.find("subcategory").text()+"']")
			.attr("name");
		if (this.xml_any.children("name").text() != "")
			widget_device_type_str = this.xml_any.children("name").text();
		$(".widget_set_device_bus .nndb_title").text(widget_device_type_str+" "+xml_any.find("prg").text());
		global_item_init(".widget_set_device_bus", "name", "input", null, null, null, widget_device_type_str+" "+this.xml_any.find("prg").text(), this.xml_any.children("name").attr("maxlength"));
		//
		//
		global_item_tag_ter(".widget_set_device_bus");
		global_subtitle_header(".widget_set_device_bus", this, widget_device_type_str+" "+xml_any.find("prg").text());
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					$(".footer_container_btn_inside").trigger("any_saved");
				}
				else if (conf.children("res").text() == "ERROR")
				{
					tyu(conf.children("res").text() + ": " + conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_set_device_bus",
	xml_any: xml_any_tbl[any_ind],
	subcat: xml_any_tbl[any_ind].find("subcategory:first").text(),
	area_ins: [],
	area_dis: [],
	area_insp: [],
	insp_def_flg: xml_any_tbl[any_ind].children("insp_def_flg").text(),
	sons: function()
	{
		var sonsList = [];
		if (xml_any_tbl[any_ind].children("has_children").text() == "1")
		{
			var i = 1;
			while 
			(
				(any_ind + i) in xml_any_tbl
				&& xml_any_tbl[any_ind + i].children("subcategory").text() == xml_any_tbl[any_ind].children("subcategory").text()
				&& !(xml_any_tbl[any_ind + i].children("ord").text() == "0")
			)
			{
				sonsList.push(xml_any_tbl[any_ind + i]);
				i++;
			}
		}
		return sonsList;
	}(),
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name("." + this.name, this);
		//
		xml_any.find("room").text(id_room_selected);
		//
		if (this.subcat == WS_DEV_ALARM_BUS_TAG_READER_STR)
		{
			this.xml_any.find("area_ins").text(this.aa_to_str(this.area_ins, true));
			this.xml_any.find("area_dis").text(this.aa_to_str(this.area_dis, true));
			this.xml_any.find("area_insp").text(this.aa_to_str(this.area_insp, true));
			//
			this.xml_any.find("insp_def_flg").text(this.insp_def_flg);
		}
		else if (this.subcat == WS_DEV_ALARM_BUS_REM_STR)
		{
			xml_any.find("keys key[id='1'] par").text(this.aa_to_str(this.area_ins, true));
			xml_any.find("keys key[id='2'] par").text(this.aa_to_str(this.area_dis, true));
			xml_any.find("keys key[id='3'] par").text(this.aa_to_str(this.area_insp, true));
			//
			xml_any.find("insp_def_flg").text(this.insp_def_flg);
		}
		else
		{
			var area_str = "";
			area_str += ($(".ins_area_bus .area.a").attr("data-checked") == "1") ? "1" : "-";
			area_str += ($(".ins_area_bus .area.b").attr("data-checked") == "1") ? "2" : "-";
			area_str += ($(".ins_area_bus .area.c").attr("data-checked") == "1") ? "3" : "-";
			area_str += ($(".ins_area_bus .area.d").attr("data-checked") == "1") ? "4" : "-";
			area_str += ($(".ins_area_bus .area.e").attr("data-checked") == "1") ? "5" : "-";
			area_str += ($(".ins_area_bus .area.f").attr("data-checked") == "1") ? "6" : "-";
			if (area_str == "------") ena_save = false;
			xml_any.find("area_alarm").text(area_str);
		}
		//
		for (var i = 0; i < this.sons.length; i++)
		{
			this.sons[i].children("name").text($(".nndb_item .name").val() + (String.fromCharCode(97 + i)));
			this.sons[i].children("room").text(id_room_selected);
			this.sons[i].children("area_alarm").text(area_str);
		}
	},
	aa_to_str: function(area_array, less)
	{
		less = less || false;
		//
		var area_str = "";
		for (var i = 0; i < area_array.length; i++)
			if (area_array[i] == 1)
				area_str += (i+1);
			else
				area_str += (less ? "-" : "");
		//
		return area_str;
	}
};