pag_table_new["widget_set_device_relay"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		footer_wizard_switch(6, this);
		header_wizard_switch();
		storing = false;
		//
		item_room(".widget_set_device_relay");
		//
		global_load_areas(".widget_set_device .area_container_trins", "area_alarm");
		$(".area_container_trins .area").off("extra_area_func").on("extra_area_func", function()
		{
			if ($(".area_container_trins .area[data-checked='1']").length == 0)
				$("#footer_d_b").parent().hide();
			else
				$("#footer_d_b").parent().show();
		}).trigger("extra_area_func");
		//
		var widget_device_type_str = xml_file_configuration
			.find("Categories")
			.find("Category[id='"+xml_any_tbl[any_ind].find("category").text()+"']")
			.find("Subcategories").find("Subcategory[id='"+xml_any
			.find("subcategory").text()+"']")
			.attr("name");
		if (this.xml_any.children("name").text() != "")
			widget_device_type_str = this.xml_any.children("name").text();
		$(".widget_set_device_relay .nndb_title").text(widget_device_type_str+" "+xml_any.find("prg").text());
		global_item_init(".widget_set_device_relay", "name", "input", null, null, null, widget_device_type_str+" "+this.xml_any.find("prg").text(), this.xml_any.children("name").attr("maxlength"));
		//
		//
		global_item_tag_ter(".widget_set_device_relay");
		global_subtitle_header(".widget_set_device_relay", this, widget_device_type_str+" "+xml_any.find("prg").text());
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					$(".footer_container_btn_inside").trigger("any_saved");
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_set_device_relay",
	xml_any: xml_any_tbl[any_ind],
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name(".widget_set_device_relay", this);
		//
		xml_any.find("room").text(id_room_selected);
		//
		var area_str = "";
		area_str += ($(".ins_area_relay .area.a").attr("data-checked") == "1") ? "1" : "-";
		area_str += ($(".ins_area_relay .area.b").attr("data-checked") == "1") ? "2" : "-";
		area_str += ($(".ins_area_relay .area.c").attr("data-checked") == "1") ? "3" : "-";
		area_str += ($(".ins_area_relay .area.d").attr("data-checked") == "1") ? "4" : "-";
		area_str += ($(".ins_area_relay .area.e").attr("data-checked") == "1") ? "5" : "-";
		area_str += ($(".ins_area_relay .area.f").attr("data-checked") == "1") ? "6" : "-";
		if (area_str == "------") ena_save = false;
		xml_any.find("area_alarm").text(area_str);
	}
};