pag_table_new["widget_set_device_rem"] = {
	onload: function()
	{
		xml_any = this.xml_any;
		header_wizard_switch();
		footer_wizard_switch(6, this);
		storing = false;
		this.get_relay_dev();
		//
		this.draw_icons();
		//
		item_dev_areas(".widget_set_device_rem", this);
		//
		item_dev_events(".widget_set_device_rem", this);
		//
		var widget_device_type_str = xml_file_configuration
			.find("Categories")
			.find("Category[id='"+xml_any_tbl[any_ind].find("category").text()+"']")
			.find("Subcategories").find("Subcategory[id='"+xml_any
			.find("subcategory").text()+"']")
			.attr("name");
		if (this.xml_any.children("name").text() != "")
			widget_device_type_str = this.xml_any.children("name").text();
		$(".widget_set_device_rem .nndb_title").text(widget_device_type_str+" "+this.xml_any.find("prg").text());
		global_item_init(".widget_set_device_rem", "name", "input", null, null, null, widget_device_type_str+" "+this.xml_any.find("prg").text(), this.xml_any.children("name").attr("maxlength"));
		$(".nndb_item .name_noedit").text(widget_device_type_str+" "+this.xml_any.find("prg").text());
		$(".nndb_item .name").change(function()
		{
			$(".nndb_item .name_noedit").text($(this).val());
		});
		//
		global_item_tag_ter(".widget_set_device_rem");
		global_subtitle_header(".widget_set_device_rem", this, widget_device_type_str+" "+xml_any.find("prg").text());
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "SAVE")
			{
				if (conf.children("res").text() == "SAVED")
				{
					$(".footer_container_btn_inside").trigger("any_saved");
				}
				else if (conf.children("res").text() == "ERROR")
				{
					alert(conf.children("res").text()+": "+conf.children("desc").text());
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		xml_any = null;
		$("#wizard_header_info").text("");
	},
	//
	name: "widget_set_device_rem",
	xml_any: xml_any_tbl[any_ind],
	area_ins: [],
	area_dis: [],
	area_insp: [],
	insp_def_flg: xml_any_tbl[any_ind].children("insp_def_flg").text(),
	events: [],
	events_array_init_flg: false,
	associative_xml_relay_domo_tbl: [],
	//
	par_save: function()
	{
		ena_save = true;
		//
		save_item_name(".widget_set_device_rem", this);
		//
		xml_any.find("keys key[id='1'] par").text(this.aa_to_str(this.area_ins, true));
		xml_any.find("keys key[id='2'] par").text(this.aa_to_str(this.area_dis, true));
		xml_any.find("keys key[id='3'] par").text(this.aa_to_str(this.area_insp, true));
		//
		xml_any.find("insp_def_flg").text(this.insp_def_flg);
		//
		ena_save = this.events_array_init_flg;
		this.xml_any.find("keys key[id='7'] type").text(this.events[0].type);
		this.xml_any.find("keys key[id='5'] type").text(this.events[1].type);
		this.xml_any.find("keys key[id='6'] type").text(this.events[2].type);
		this.xml_any.find("keys key[id='7'] par").text(this.events[0].par);
		this.xml_any.find("keys key[id='5'] par").text(this.events[1].par);
		this.xml_any.find("keys key[id='6'] par").text(this.events[2].par);
	},
	aa_to_str: function(area_array, less)
	{
		less = less || false;
		//
		var area_str = "";
		for (var i = 0; i < area_array.length; i++)
			if (area_array[i] == 1)
				area_str += (i+1);
			else
				area_str += (less ? "-" : "");
		//
		return area_str;
	},
	get_relay_dev: function()
	{
		for (var i = 0; i < xml_any_tbl.length; i++)
			if
			(
				(
					xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_RELAY_STR
					&& xml_any_tbl[i].children("mode").text() == "2"
				)
				|| 
				(
					xml_any_tbl[i].children("subcategory").text() == WS_DEV_ALARM_WIRED_STR
					&& xml_any_tbl[i].children("wire_out_mode").text() == "2"
				)
			)
				this.associative_xml_relay_domo_tbl[xml_any_tbl[i].children("id").text()] = xml_any_tbl[i];
		return this.associative_xml_relay_domo_tbl;
	},
	draw_icons: function()
	{
		var device_icon_name = this.xml_any.find("subcategory").text()+"-"+xml_any.find("model").text();
		$("#icon_areas").attr("style", "background:url({TMPL_DIR}res/"+device_icon_name+"-AREAS.png) no-repeat center center;");
		$("#icon_domo").attr("style", "background:url({TMPL_DIR}res/"+device_icon_name+"-DOMO.png) no-repeat center center;");
	}
};