pag_table_new["widget_sideanom"] = {
	onload: function()
	{
		var widget_obj = this;
		//
		if (anoms_obj.getSize() > 0)
		{
			if (!anoms_obj.isWarning())
			{
				summon_sideanom("hide");
				summon_sideanom("display");
				summon_sideicon("hide");
			}
		}
		//
		$("#anom_list_escape").click(function()
		{
			clearTimeout(widget_obj.t_out_escape);
			//
			if (anom_flush_area_str != "")
				send_state_anom_flush(anom_flush_area_str);
			anom_flush_area_str = "";
			summon_sideanom("hide");
			anoms_obj.clean();
		});
		//
		this.loaded = true;
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("act").text() == "LOGIN")
			{
				if (conf.children("page").text() == "USER")
				{
					if (conf.children("res").text() == "ACCEPTING")
					{
						//
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if ($(".widget_login").length == 0)
		{
			if (indi.attr("type") == "MENU")
			{
				if (indi.children("act").text() == "LOGIN")
				{
					if (indi.children("page").text() == "USER")
					{
						if (indi.children("res").text() == "ACCEPTED")
						{
							pag_change(".JSdialog", "widget_zone_select", indi.find("par item area_ins").text(), indi.find("par item area_dis").text());
						}
					}
				}
			}
		}
	},
	onclose: function()
	{
		//
	},
	//
	loaded: false,
	cmd_standing: pag_table_new["widget_cmd"].widget_cmd_standing,
	t_out_escape: null,
	//
	update: function()
	{
		this.refresh();
	},
	refresh: function()
	{
		var widget_obj = this;
		//
		$(".widget_sideanom #anom_list_container").empty();
		if (anoms_obj.flush_areas != "")
			anom_flush_area_str = anoms_obj.flush_areas;
		//
		for (var i = 0; i < anoms_obj.getSize(); i++)
			$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button btb s_shift\"><p>"+anoms_obj.getAnomIndex(i).id+" "+anoms_obj.getAnomIndex(i).desc+(anoms_obj.getAnomIndex(i).count > 1 ? " ("+anoms_obj.getAnomIndex(i).count+")" : "")+"</p></div>");
		//
		if (anoms_obj.login_code == "")
		{
			$("#anom_list_ok").hide();
		}
		else
		{
			if (anoms_obj.command == "")
			{
				$("#anom_list_ok").html("{LANG_CONTINUE}");
				//
				clearTimeout(this.t_out_escape);
				if (imq_flg == "1")
					this.t_out_escape = setTimeout(function(){ $("#anom_list_escape").trigger("click"); }, 60 * 1000);
			}
			else
			{
				$("#anom_list_ok").html("{LANG_FORCE}");
			}
			//
			$("#anom_list_ok").show().off("click").click(function()
			{
				clearTimeout(widget_obj.t_out_escape);
				//
				if (anoms_obj.command == "")
				{
					u_p = anoms_obj.login_code;
					//
					xml_request = xml_request_head_build("MENU", "widget_sideanom");
					//
					xml_par = $(XML("filter")); xml_par.text("USER|POWERUSER"); xml_request.append(xml_par);
					//
					xml_par = $(XML("act")); xml_par.text("LOGIN"); xml_request.append(xml_par);	
					xml_par = $(XML("page")); xml_par.text("USER"); xml_request.append(xml_par);
					xml_par = $(XML("par")); xml_request.append(xml_par);
					xml_item = $(XML("code")); xml_item.text(anoms_obj.login_code); xml_par.append(xml_item);
					xml_item = $(XML("type")); xml_item.text("TERM_CODE_FORCE"); xml_par.append(xml_item);
					xml_send(xml_request);
				}
				else
				{
					var cen_id = xml_file_configuration.find("Devices Device")
					.filter(function()
					{
						if ($(this).children("Subcategory").text() == WS_DEV_ALARM_CEN_STR)
							return true;
					}).attr("id");
					//
					xml_request = xml_request_head_build("DEVICE_CMD");
					xml_par = $(XML("Command")); xml_par.text(anoms_obj.command); xml_request.append(xml_par);
					xml_par = $(XML("Device")); xml_par.text(cen_id); xml_request.append(xml_par);
					xml_par = $(XML("Arguments")); xml_request.append(xml_par);
					xml_node = $(XML("Argument")); xml_node.attr("id", "PIN"); xml_node.text(anoms_obj.login_code); xml_par.append(xml_node);
					xml_node = $(XML("Argument")); xml_node.attr("id", "AREAS"); xml_node.text(anoms_obj.cmd_area); xml_par.append(xml_node);
					xml_send(xml_request);
				}
				//
				if (anom_flush_area_str != "")
					send_state_anom_flush(anom_flush_area_str);
				anom_flush_area_str = "";
				//
				summon_sideanom("hide");
				//
				anoms_obj.clean();
			});
		}
		//
		$("#anom_list_arrow_cont").off("s_scroller_new").s_scroller_new("#anom_list_container");
	},
	hide: function()
	{
		if (this.cmd_standing[0] == "#pag_side_anom_container")
		{
			this.cmd_standing.shift();
			var curr_stand = this.cmd_standing[0];
			$(".widget_cmd").hide();
			if (curr_stand == "cmd")
			{
				$(".widget_cmd.cmd:first").show();
			}
			else
			{
				$(this.cmd_standing[0]).show();
			}
		}
		else
		{
			var indexes = get_all_indexes(this.cmd_standing, "#pag_side_anom_container");
			for (var i = 0; i < indexes.length; i++)
				this.cmd_standing.splice(indexes[i], 1);
		}
		//
		$("#info_stdby").text("");
	},
	show: function()
	{
		if (this.cmd_standing[0] != "#pag_side_anom_container")
		{
			var indexes = get_all_indexes(this.cmd_standing, "#pag_side_anom_container");
			for (var i = 0; i < indexes.length; i++)
				this.cmd_standing.splice(indexes[i], 1);
			//
			this.refresh();
			//
			$(".widget_cmd").hide();
			$("#pag_side_anom_container").show();
			//
			$("#anom_list_arrow_cont").off("s_scroller_new").s_scroller_new("#anom_list_container");
			//
			this.cmd_standing.unshift("#pag_side_anom_container");
		}
		else
		{
			this.update();
		}
	},
	display: function()
	{
		this.show();
	}
};
/*
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test</p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test test test test test test test </p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test test test test test test test test test test</p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test test test test test test test test test test</p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test</p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test test test test test test test </p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test test test test test test test test test test</p></div>");
$(".widget_sideanom #anom_list_container").append("<div class=\"anom_list_button s_shift\"><p>test test test test test test test test test test test test test test test</p></div>");
*/