pag_table_new["widget_sidemsg"] = {
	onload: function()
	{
		this.loaded = true;
		var widget_obj = this;
		//
		$("#msg_list_escape").off("click").click(function()
		{
			if (widget_obj.esc_on)
				widget_obj.hide();
		});
		//
		$("#sidemsg_arrow_cont").off("s_scroller_new").s_scroller_new(".sidemsg_container");
	},
	onrecv_confirmation: function(conf)
	{
		//
	},
	onrecv_indication: function(indi)
	{
		//
	},
	onclose: function()
	{
		clearTimeout(this.t_out_sec);
	},
	//
	loaded: false,
	cmd_standing: pag_table_new["widget_cmd"].widget_cmd_standing,
	xml_indi: null,
	esc_on: true,
	tout_sec: null,
	t_out_sec: null,
	//
	update: function(msg_text)
	{
		clearTimeout(this.t_out_sec);
		//
		$(".widget_sidemsg .msg_text").html(msg_text);
		//
		this.tout_sec = parseInt(this.xml_indi.children("tout_sec").text());
		if (this.tout_sec > 0)
		{
			this.esc_on = false;
			$("#msg_list_escape").hide();
			$(".widget_sidemsg .msg_text").append(" "+this.xml_indi.children("tout_str").text().cutAfter("[")+"<span> "+this.tout_sec+"</span>"+this.xml_indi.children("tout_str").text().cutBefore("]"));
			//
			this.tout_sec_decrease();
		}
		else
		{
			$("#msg_list_escape").show();
			this.esc_on = true;
		}
		//
		$("#anom_list_arrow_cont").off("s_scroller_new").s_scroller_new("#anom_list_container");
	},
	refresh: function()
	{
		//
	},
	hide: function()
	{
		if (this.cmd_standing[0] == "#pag_side_msg_container")
		{
			this.cmd_standing.shift();
			var curr_stand = this.cmd_standing[0];
			$(".widget_cmd").hide();
			if (curr_stand == "cmd")
			{
				$(".widget_cmd.cmd:first").show();
			}
			else
			{
				$(this.cmd_standing[0]).show();
			}
		}
		else
		{
			var indexes = get_all_indexes(this.cmd_standing, "#pag_side_msg_container");
			for (var i = 0; i < indexes.length; i++)
				this.cmd_standing.splice(indexes[i], 1);
		}
	},
	show: function()
	{
		if (this.cmd_standing[0] != "#pag_side_msg_container")
		{
			var indexes = get_all_indexes(this.cmd_standing, "#pag_side_msg_container");
			for (var i = 0; i < indexes.length; i++)
				this.cmd_standing.splice(indexes[i], 1);
			//
			this.refresh();
			//
			$(".widget_cmd").hide();
			$("#pag_side_msg_container").show();
			//
			this.cmd_standing.unshift("#pag_side_msg_container");
		}
	},
	display: function(msg_text)
	{
		this.update(msg_text);
		this.show();
	},
	tout_sec_decrease: function()
	{
		var widget_obj = this;
		//
		clearTimeout(this.t_out_sec);
		this.t_out_sec = setTimeout(function()
		{
			widget_obj.tout_sec--;
			if (widget_obj.tout_sec > 0)
			{
				$(".widget_sidemsg .msg_text span").html(" "+widget_obj.tout_sec);
				//
				widget_obj.tout_sec_decrease();
			}
			else
			{
				$(".widget_sidemsg .msg_text").html("");
				widget_obj.esc_on = true;
				$("#msg_list_escape").trigger("click");
			}
		}, 1000);
	}
};