pag_table_new["widget_smart"] = {
	onload: function()
	{
		header_home_switch2(1, this);
		footer_wizard_switch(34, this);
		var widget_obj = this;
		//
		//
		cen_conf_request("WIFI");
		//
		$("#container_smart .serial").text(cen_set_xml.children("cen_sn").text());
		//
		if (type_conn == "CL")
			$("#container_smart .ip").text(wifi_dev[2].children("client_ip").text());
		else if (type_conn == "AP")
			$("#container_smart .ip").text(wifi_dev[1].children("ap_ip").text());
		else if (type_conn == "NN")
			$("#container_smart .ip").parent().empty();
		//
		$("#start_stop_smart").off("click").click(function()
		{
			if ($(this).hasClass("start"))
			{
				widget_obj.start_binding();
				$(this)
					.switchClass("start", "stop")
					.children("p").html("{LANG_STOP_IT}");
			}
			else if ($(this).hasClass("stop"))
			{
				widget_obj.stop_binding();
				$(this)
					.switchClass("stop", "start")
					.children("p").html("{LANG_START_IT}");
				//
				widget_obj.pair_flg = false;
			}
		});
		//
		this.pbar = document.getElementById("pbar").getContext("2d");
		this.pbar.fillStyle = "#f7b600";
		//
		//
		global_item_tag_ter("#container_smart");
	},
	onrecv_confirmation: function(conf)
	{
		var widget_obj = this;
		//
		this.pair_flg = true;
		var idx = 20;
		widget_obj.bar_drawer(widget_obj.pbar, 1);
		(function myLoop(i)
		{
			widget_obj.t_out_loop = setTimeout(function ()
			{
				widget_obj.bar_drawer(widget_obj.pbar, idx+2-i);
				if (--i && widget_obj.t_out_loop != -1) myLoop(i);
				else $("#start_stop_smart").trigger("click");
			}, 1000)
		})(idx);
	},
	onrecv_indication: function(indi)
	{
		if (this.pair_flg)
		{
			if (indi.attr("type") == "MENU")
			{
				if (indi.children("act").text() == "PAIRING_DONE")
				{
					if (indi.children("page").text() == WS_USER_STR)
					{
						$("#container_smart .user").html(indi.find("user_name").text());
						if ($("#start_stop_smart").hasClass("stop"))
							$("#start_stop_smart").trigger("click");
					}
				}
			}
		}
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_smart",
	pbar: null,
	t_out_loop: -1,
	pair_flg: false,
	//
	stop_binding: function()
	{
		xml_request = xml_request_head_build("MENU", null);
		xml_node = $(XML("act")); xml_node.text("PAIRING_STOP"); xml_request.append(xml_node);
		xml_node = $(XML("page")); xml_node.text("USER"); xml_request.append(xml_node);
		xml_node = $(XML("par")); xml_request.append(xml_node);
		xml_send(xml_request);
		//
		this.bar_reset();
	},
	start_binding: function()
	{
		xml_request = xml_request_head_build("MENU", "widget_smart");
		xml_node = $(XML("act")); xml_node.text("PAIRING_START"); xml_request.append(xml_node);
		xml_node = $(XML("page")); xml_node.text("USER"); xml_request.append(xml_node);
		xml_node = $(XML("par")); xml_request.append(xml_node);
		xml_send(xml_request);
	},
	bar_reset: function()
	{
		clearTimeout(this.t_out_loop);
		this.t_out_loop = -1;
		this.bar_drawer(this.pbar, 0); 
	},
	bar_drawer: function(ctx, g_ys)
	{
		ctx.beginPath();
		ctx.clearRect(0, 0, 670, 40);
		for (var i = 0; i < g_ys; i++)
			ctx.fillRect((i*7)+(26*i), 0, 26, 40);
	}
};