pag_table_new["widget_wifi_seek"] = {
	onload: function()
	{
		var widget_obj = this;
		$("#wifi_seek_arrow_cont").css("left", $("#wifi_seek_arrow_cont").parent().width()/2-$("#wifi_seek_arrow_cont").width()/2);
		$(".home .JSdialog").addClass("full_scr");
		$(".JSdialog").show();
		//
		//
		$("#wifi_seek_esc").click(function()
		{
			pag_clear(".JSdialog");
		});
		//
		this.start_wifi_seeker();
	},
	onrecv_confirmation: function(conf)
	{
		if (conf.attr("type") == "MENU")
		{
			if (conf.children("page").text() == "SSID")
			{
				if (conf.children("act").text() == "LOAD")
				{
					if (conf.children("res").text() == "OK")
					{
						if (conf.children("par").length > 0)
						{
							var widget_obj = this;
							//
							$("#new_ap").html("{LANG_WIZARD_SET_DEVICE_NEWSSID}");
							//spostare la stop in $("#wifi_seek_esc") in caso di implementazione tasto refresh
							this.stop_wifi_seeker();
							//
							this.ssid_list_xml = conf.find("par");
							//
							conf.find("par item").each(function()
							{
								widget_obj.appendElem
								(
										$(this).attr("id")
										, $(this).children("custom").text()
										, $(this).children("name").text()
										, null
										, $(this).children("name").attr("minlength")
										, $(this).children("name").attr("maxlength")
										, Number($(this).children("wps_ena").text())
								);
							});
							//
							$("#wifi_seek_arrow_cont").unbind("s_scroller_new").s_scroller_new(".wifi_seek_container", null, null);
							//tick
							this.click_binder();
							//
							$("#wifi_seek_container .diag_button").each(function()
							{
								if ($(this).children(".name_input").text() == pag_table_new["widget_parconn"].ssid_name)
								{
									$(".click_zone", this).trigger("click");
									$("#wifi_seek_arrow_cont").shift_item_new(Math.round($(this).position().top/60), 0, null);
									return false;
								}
							});
							//
							$("#ok_wifi_seek_diag").off("click").click(function()
							{
								if ($(this).data("enabled") == "on")
								{
									$(this).data("enabled", "off");
									setTimeout(function()
									{
										$("#ok_wifi_seek_diag").data("enabled", "on");
									}, 1000);
									//
									widget_obj.deleteCustoms();
									widget_obj.saveCustoms();
									//aggiorna la gui parconn senza attendere la conferma di salvataggio e cancellazione
									if (widget_obj.first_item_fault == null)//se non ci sono errori
									{
										if (widget_obj.selected_id == "")
										{
											pag_table_new["widget_parconn"].ssid_name = "";
											$("#container_cl #web_client_ssid.sl_selector").html("");
										}
										else
										{
											var item = widget_obj.ssid_list_xml.children("item[id='"+widget_obj.selected_id+"']");
											//
											var name = item.children("name").text();
											var auth = item.children("auth").text();
											var wps_ena = item.children("wps_ena").text();
											var mac_adr = item.children("mac_adr").text();
											pag_table_new["widget_parconn"].ssid_name = name;
											pag_table_new["widget_parconn"].auth = auth;
											pag_table_new["widget_parconn"].mac_adr = mac_adr;
											$("#container_cl .auth .sl_selector").html(widget_obj.auth[auth]);
											$("#container_cl #web_client_ssid.sl_selector").html(name);
											//
											if (auth == "0")
												$("#web_client_password").parent().addClass("invisible");
											else
												$("#web_client_password").parent().removeClass("invisible");
											//
											if (wps_ena == "1")
												pag_change(".JSdialog2", "widget_popwarn", "{LANG_WPS_ALERT_TITLE_A}", "{LANG_WPS_ALERT_DESC_A}", "okab", "#wps_trigger");
										}
										//
										$("#wifi_seek_esc").trigger("click");
									}
								}
							}).data("enabled", "on");
							//this.manage_ok_btn();
							//
							$("#new_ap").off("click").click(function()
							{
								xml_request = xml_request_head_build("MENU", "widget_wifi_seek");
								xml_node = $(XML("page")); xml_node.text("SSID"); xml_request.append(xml_node);
								xml_node = $(XML("act")); xml_node.text("NEW"); xml_request.append(xml_node);
								xml_send(xml_request);
							});
							//
							this.initCrud();
						}
					}
				}
				else if (conf.children("act").text() == "NEW")
				{
					if (conf.children("res").text() == "CREATED")
					{
						this.ssid_list_xml.append(conf.find("par item").attr("id", "n"+this.new_item_id).attr("new", "1").clone()); //aggiunta ssid nuovi
						this.appendElem("n"+this.new_item_id, "1", conf.find("par item name").text(), true, conf.find("par item name").attr("minlength"), conf.find("par item name").attr("maxlength"));
						//
						this.initCrud();
						this.click_binder();
						//
						$("#wifi_seek_container .diag_button[data-item-id='"+"n"+this.new_item_id+"'] .click_zone").trigger("click");
						$("#wifi_seek_arrow_cont").shift_item_new(0, 0, null);
						//this.manage_ok_btn();
						//
						this.new_item_id++;
					}
				}
				else if (conf.children("act").text() == "START")
				{
					if (conf.children("res").text() == "STARTING")
					{
						//
					}
					else if (conf.children("res").text() == "KO")
					{
						this.load_ssid_list();
					}
				}
			}
		}
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "MENU")
		{
			if (indi.children("page").text() == "SSID")
			{
				if (indi.children("act").text() == "START")
				{
					if (indi.children("res").text() == "STARTED")
					{
						this.load_ssid_list();
					}
					else if (indi.children("res").text() == "ERROR")
					{
						pag_clear(".home .JSdialog");
					}
				}
			}
		}
	},
	onclose: function()
	{
		$(".JSdialog").hide();
		$(".home .JSdialog").removeClass("full_scr");
	},
	//
	name: "widget_wifi_seek",
	ssid_list_xml: null,
	ssid_add_xml: null,
	ssid_del_xml: null,
	new_item_id: 1,
	selected_id: "", //id del ssid selezionato riferito alle liste ssid_add_xml (per i nuovi ssid da salvare) e ssid_list_xml (per gli ssid gia' presenti)
	auth: ["NONE", "WPA", "WPA2", "WEP"],
	first_item_fault: null,
	//
	saveCustoms: function()
	{
		var widget_obj = this;
		//rimozione modalita edit
		if (!QT)
		{
			$("#wifi_seek_container .diag_button[data-custom='1']").each(function()
			{
				if ($(this).children(".name_input").prop("tagName") == "INPUT")
					widget_obj.switchInput($(this), widget_obj.ssid_list_xml.children("item[id='"+$(this).attr("data-item-id")+"']"));
			});
		}
		//controllo che gli ssid non siano vuoti
		this.first_item_fault = null;
		var ssid_name_arr = [];
		this.ssid_list_xml.children("item").each(function()
		{
			if ($(this).children("custom").text() == "1" && !($(this).attr("delete") == "1"))
			{
				var res = true;
				//
				var name = $(this).children("name");
				var minlen = name.attr("minlength");
				var maxlen = name.attr("maxlength");
				//
				var txt = name.text().trim();
				//
				res =
				!(
					(
						minlen != null
						&& txt.length <= minlen
					)
					||
					(
						maxlen != null
						&& txt.length > maxlen
					)
					||
						txt == ""
				);
				//
				if (ssid_name_arr.indexOf(txt) > -1)
				{
					res = false;
				}
				else
				{
					ssid_name_arr.push(txt);
				}
				//
				if (res)
				{
					$("#wifi_seek_container .diag_button[data-item-id='"+$(this).attr("id")+"']").removeClass("fault");
				}
				else
				{
					var diag_elem = $("#wifi_seek_container .diag_button[data-item-id='"+$(this).attr("id")+"']").addClass("fault");
					if (widget_obj.first_item_fault == null)
						widget_obj.first_item_fault = diag_elem;
				}
			}
		});
		//
		if (this.first_item_fault != null)
		{
			$("#wifi_seek_arrow_cont").shift_item_new(Math.round(this.first_item_fault.position().top/60), 0, null);
			return; //interrompe la funzione se almeno un ssid e' vuoto
		}
		//preparazione lista di salvataggio
		xml_par = $(XML("par"));
		this.ssid_add_xml = this.ssid_list_xml.clone();
		this.ssid_add_xml.children("item").each(function()
		{
			if
			(
				$(this).children("custom").text() == "1"
				&& $(this).attr("delete") != "1"
				&& 
				(
					$(this).attr("new") == "1"
					|| $(this).attr("modified") == "1"
				)
			)
			{
				xml_par.append($(this));
			}
		});
		//salvataggio
		if (xml_par.children("item").length > 0)
		{
			xml_request = xml_request_head_build("MENU", null);
			xml_node = $(XML("page")); xml_node.text("SSID"); xml_request.append(xml_node);
			xml_node = $(XML("act")); xml_node.text("SAVE"); xml_request.append(xml_node);
			xml_request.append(xml_par);
			xml_send(xml_request);
		}
	},
	deleteCustoms: function()
	{
		//preparazione lista di cancellazione
		xml_par = $(XML("par"));
		this.ssid_del_xml = this.ssid_list_xml.clone();
		this.ssid_del_xml.children("item").each(function()
		{
			if
			(
				$(this).children("custom").text() == "1"
				&& $(this).attr("delete") == "1"
			)
			{
				xml_par.append($(this));
			}
		});
		//cancellazione
		if (xml_par.children("item").length > 0)
		{
			xml_request = xml_request_head_build("MENU", null);
			xml_node = $(XML("page")); xml_node.text("SSID"); xml_request.append(xml_node);
			xml_node = $(XML("act")); xml_node.text("DELETE"); xml_request.append(xml_node);
			xml_request.append(xml_par);
			xml_send(xml_request);
		}
	},
	appendElem: function(id, custom, name, beforeFlg, minlen, maxlen, wps_ena)
	{
		var str = 
		"<div class='diag_button item btt s_shift' data-item-id='"+id+"' data-custom='"+custom+"' data-checked='0'>"
			+ "<div class='tick'></div>"
			+ "<p class='name_input short'>"+name+"</p>"
			+ "<div class='click_zone'></div>"
			+ (custom == 1 ? "<div class='ssid del'></div>" : "")
			+ (custom == 1 ? "<div class='ssid mod' data-owner='#room_container .item[data-id=''] .input'></div>" : "")
			+ (wps_ena == 1 ? "<div class='wps_ena'></div>" : "")
		+ "</div>";
		//
		if (beforeFlg == null || !beforeFlg)
			$("#wifi_seek_container").append(str);
		else if (beforeFlg)
			$("#wifi_seek_container").prepend(str);
		//
		if (minlen != null)
			$("#wifi_seek_container .diag_button[data-item-id='"+id+"']").data("minlen", minlen);
		if (maxlen != null)
			$("#wifi_seek_container .diag_button[data-item-id='"+id+"']").data("maxlen", maxlen);
	},
	initCrud: function()
	{
		var widget_obj = this;
		//
		$("#wifi_seek_container .diag_button[data-custom='1'] .ssid").off("click").click(function()
		{
			var diag_button = $(this).parent();
			var item = widget_obj.ssid_list_xml.children("item[id='"+diag_button.attr("data-item-id")+"']");
			//
			if ($(this).hasClass("del"))
			{
				if (diag_button.attr("data-checked") == "1")
					widget_obj.selected_id = "";
				//
				item.attr("delete", "1");
				diag_button.remove();
			}
			else if ($(this).hasClass("mod"))
			{
				if (QT)
				{
					var desc_text = webbridge.openKeyboard("FREE", $(".name_input", diag_button).text(), $(".name_input", diag_button).text(), diag_button.data("maxlen"), null);
					$(".name_input", diag_button).html(desc_text);
					item.attr("modified", "1");
					item.children("name").text(desc_text);
				}
				else
				{
					widget_obj.switchInput(diag_button, item); //trasforma da P a INPUT e viceversa
				}
			}
		});
	},
	click_binder: function()
	{
		/**
		 * al click viene aggiornata la variabile "selected_id"
		 * che poi servira' al tasto "ok_wifi_seek_diag" per valutare il ssid selezionato
		 */
		var widget_obj = this;
		//
		$("#wifi_seek_container .diag_button .click_zone").off("click").click(function()
		{
			if ($(this).parent().attr("data-checked") == "0")
			{
				widget_obj.selected_id = $(this).parent().attr("data-item-id");
				//
				$("#wifi_seek_container .diag_button").attr("data-checked", "0");
				$(this).parent().attr("data-checked", "1");
			}
			else if ($(this).parent().attr("data-checked") == "1")
			{
				widget_obj.selected_id = "";
				//
				$("#wifi_seek_container .diag_button").attr("data-checked", "0");
			}
			//widget_obj.manage_ok_btn();
		});
	},
	switchInput: function(diag_button, item)
	{
		var elem_mod = $(".ssid.mod", diag_button);
		var elem_click = $(".click_zone", diag_button);
		var elem = $(".name_input", diag_button);
		var elem_type = elem.prop("tagName");
		//
		if (elem_type == "P")
		{
			var maxlen = diag_button.data("maxlen");
			var maxlen_str = "";
			if (maxlen != null)
				maxlen_str = "maxlength='"+maxlen+"'";
			//
			var val_str = elem.html();
			elem.replaceWith("<input class='name_input' type='text' "+maxlen_str+">");
			elem = $(".name_input", diag_button);
			elem.val(val_str);
			elem_mod.addClass("edit");
			elem_click.hide();
			elem.focus().select();
		}
		else if (elem_type == "INPUT")
		{
			item.children("name").text(elem.val());
			item.attr("modified", "1");
			elem.replaceWith("<p class='name_input short'>"+elem.val()+"</p>");
			elem_mod.removeClass("edit");
			elem_click.show();
			diag_button.removeClass("fault");
		}
	},
	manage_ok_btn: function()
	{
		if ($("#wifi_seek_container .diag_button[data-checked='1']").length == 0)
			$("#ok_wifi_seek_diag").data("enabled", "off").hide();
		else
			$("#ok_wifi_seek_diag").data("enabled", "on").show();
	},
	start_wifi_seeker: function()
	{
		xml_request = xml_request_head_build("MENU", this.name);
		xml_node = $(XML("page")); xml_node.text("SSID"); xml_request.append(xml_node);
		xml_node = $(XML("act")); xml_node.text("START"); xml_request.append(xml_node);
		xml_send(xml_request);
	},
	stop_wifi_seeker: function()
	{
		xml_request = xml_request_head_build("MENU", null);
		xml_node = $(XML("page")); xml_node.text("SSID"); xml_request.append(xml_node);
		xml_node = $(XML("act")); xml_node.text("STOP"); xml_request.append(xml_node);
		xml_send(xml_request);
	},
	load_ssid_list: function()
	{
		xml_request = xml_request_head_build("MENU", this.name);
		xml_node = $(XML("page")); xml_node.text("SSID"); xml_request.append(xml_node);
		xml_node = $(XML("act")); xml_node.text("LOAD"); xml_request.append(xml_node);
		xml_send(xml_request);
	}
};