pag_table_new["widget_zone"] = {
	onload: function()
	{
		$("#widget_zone_status_icon_container, #widget_zone_status_container").click(function()
		{
			pag_change(".home .JSdialog", "widget_login", "zone_select");
		});
		//
		area_list.children("item").each(function()
		{
			$("#widget_zone_status_container").append("<div class='zone_status btb btl btt' data-id='" + $(this).children("name").text() + "'><p>" + $(this).children("desc").text() + "</p></div>");
		});
		//get area and state reference from catalogue
		this.area_reference = xml_file_configuration.find("Devices Device").filter(function()
		{
			var res = false;
			if ($(this).children("Category").text() == "ALARM")
				if ($(this).children("Subcategory").text() == WS_DEV_ALARM_CEN_STR)
					res = true;
			return res;
		}).attr("id");
		//
		icon_st_reference = xml_file_configuration
			.children("Categories")
			.children("Category[id='ALARM']")
			.children("Subcategories")
			.children("Subcategory[id='"+WS_DEV_ALARM_CEN_STR+"']")
			.children("States")
			.children("State")
			.filter(function()
			{
				var res = false;
				if ($(this).attr("id") == WS_DEV_ALARM_CEN_STATE_ON_STR
					|| $(this).attr("id") == WS_DEV_ALARM_CEN_STATE_OFF_STR
					|| $(this).attr("id") == WS_DEV_ALARM_CEN_STATE_PART_STR)
					res= true;
				return res;
			});
		//
		//
		this.loaded = true;
	},
	onrecv_confirmation: function(conf)
	{
		//
	},
	onrecv_indication: function(indi)
	{
		if (indi.attr("type") == "STATE")
		{
			if
			(
				indi.find("State").text() == WS_DEV_ALARM_CEN_STATE_ON_STR
				|| indi.find("State").text() == WS_DEV_ALARM_CEN_STATE_OFF_STR
				|| indi.find("State").text() == WS_DEV_ALARM_CEN_STATE_PART_STR
			)
			{
				if (indi.find("State").text() === WS_DEV_ALARM_CEN_STATE_OFF_STR)
				{
					area_dis_flg = true;
					if ("footer_home" in pag_table_new && !maintenance_flg)
					{
						pag_table_new["footer_home"].unlock_home_footer();
						pag_table_new["footer_home"].unlock_home_footer_settings();
					}
				}
				else
				{
					area_dis_flg = false;
					if ("footer_home" in pag_table_new && !maintenance_flg)
					{
						pag_table_new["footer_home"].unlock_home_footer();//WARN: _FT_ unire i due comandi in uno nuovo per maggiore sicurezza
						pag_table_new["footer_home"].lock_home_footer_settings();	
					}
				}
				//
				stdby_out();
				//
				var aree_pattern = indi.children("Device").filter(function()
				{
					var res = false;
					if ($(this).text() == pag_table_new["widget_zone"].area_reference)
						res = true;
					return res;
				});
				if (aree_pattern.length > 0)
				{
					var widget_obj = this;
					//
					var status_area = indi.children("State").text();
					this.change_icon_area_status(status_area);
					this.change_bg_status(status_area);
					for (var i = 0; i < this.t_out_area.length; i++)
						clearTimeout(this.t_out_area[i]);
					this.t_out_area = [];
					this.t_exit_min = null;
					var area_st_msk = indi.find("Areas Area");
					//
					area_st_msk.each(function()
					{
						if ($(this).attr("st") == "0")
							$("#widget_zone_status_container").find("div[data-id = '"+$(this).attr("id")+"'] p")
								.css("color", "rgba(255,255,255,0.4)")
								.parent().removeClass("enabled");
						else if ($(this).attr("st") == "2")
							$("#widget_zone_status_container").find("div[data-id = '"+$(this).attr("id")+"'] p")
								.css("color", "rgba(255,255,255,1)")
								.parent().addClass("enabled");
						else
						{
							$("#widget_zone_status_container").find("div[data-id = '"+$(this).attr("id")+"'] p")
								.css("color", "rgba(255,255,0,1)")
								.parent().removeClass("enabled");
							var id = $(this).attr("id");
							widget_obj.t_out_area.push(setTimeout(function()
							{
								$("#widget_zone_status_container").find("div[data-id = '"+id+"'] p")
									.css("color", "rgba(255,255,255,1)")
									.parent().addClass("enabled");
							}, $(this).attr("texit")*1000));
							//
							if ($(this).attr("texit") < widget_obj.t_exit_min || widget_obj.t_exit_min == null)
								widget_obj.t_exit_min = $(this).attr("texit");
						}
					});
					clearTimeout(this.t_out_decrease);
					this.t_exit_min = this.t_exit_min || 0;
					this.decrease_and_show_t_exit();
				}
			}
		}
	},
	onclose: function()
	{
		//
	},
	//
	name: "widget_zone",
	loaded: false,
	area_reference: "",
	t_out_area: [],
	t_out_decrease: null,
	t_exit_min: null,
	//
	decrease_and_show_t_exit: function()
	{
		var widget_obj = this;
		//
		clearTimeout(this.t_out_decrease);
		//
		if (this.t_exit_min > 0)
		{
			$("#t_exit").text(this.t_exit_min).show();
			this.t_out_decrease = setTimeout(function()
			{
				widget_obj.t_exit_min -= 1;
				widget_obj.decrease_and_show_t_exit();
			}, QT ? 950 : 1000);
		}
		else
		{
			$("#t_exit").hide();
			clearTimeout(this.t_out_decrease);
		}
	},
	change_icon_area_status: function(icon_status)
	{
		icon_st_reference.each(function()
		{
			if ($(this).attr("id") == icon_status)
			{
				var icon = $(this).children("icon").text();
				$("#widget_zone_status_icon_container").attr("style", "background:url({TMPL_DIR}res/" + icon + ") no-repeat center center");
				$("#stdby_zone_status_icon").attr("src", "{TMPL_DIR}res/" + icon);
			}
		});
	},
	change_bg_status: function(state)
	{
		if (NICE || DIY)
		{
			$(".widget_zone")
				.removeClass("bg_dis")
				.removeClass("bg_ins")
				.removeClass("bg_part")
				.removeClass("bg_grey");
			//
			switch(state)
			{
				case WS_DEV_ALARM_CEN_STATE_ON_STR:
					$(".widget_zone").addClass("bg_ins");
					break;	
				case WS_DEV_ALARM_CEN_STATE_OFF_STR:
					$(".widget_zone").addClass("bg_dis");
					break;
				case WS_DEV_ALARM_CEN_STATE_PART_STR:
					$(".widget_zone").addClass("bg_part");
					break;
				default:
					$(".widget_zone").addClass("bg_grey");
					break;
			}
		}
	},
	refresh_areas_name: function()
	{
		area_list.children("item").each(function(index)
		{
			$("#widget_zone_status_container .zone_status").eq(index).children("p").text($(this).children("desc").text());
		});
	}
};