<?php
	function get_php_parsed_contents($filename)
	{
		if (is_file($filename))
		{
			ob_start();
			include $filename;
			$contents = ob_get_contents();
			ob_end_clean();
			return $contents;
		}
		return false;
	}
	function load_lang($lang)
	{
		$file = "private/lang/".$lang.".php";
		if (file_exists($file))
		{
			include($file);
			return true;
		}
		else
		{
			return false;
		}
	}
	function l($key, $substr_arr = "")
	{
		Global $l;
		
		if (empty($key))
		{
			return($l);
		}
		else
		{
			$str = $l[$key];
			if (is_array($substr_arr))
			{
				while (list($key, $value) = each($substr_arr))
					$str = str_replace('{'.$key.'}', $value, $str);
			}
			return($str);
		}
	}
	function check_key($name)
	{
		$key = md5(time() * rand());
		$res = false;
		if (isset($_SESSION["key".$name]))
		{
			if ($_SESSION["key".$name] == $_GET["key"])
				$res = true;
		}
		$_SESSION["key".$name] = $key;
		return($res);
	}
	function DEBUG($obj, $exit_flg = true)
	{
		echo "<pre>";
		print_r($obj);
		echo "</pre>";
		if ($exit_flg)
			exit;
	}
?>